// C Source File
// Created 1/2/2015; 8:51:45 PM

#include <tigcclib.h>
#include "new_mobs.h"

// this contains the pics for animals and for princess zelda

extern unsigned short mob_pic_light_any[mob_gfx_list_size][16];
extern unsigned short mob_pic_dark_any[mob_gfx_list_size][16];
extern unsigned short mob_pic_mask_any[mob_gfx_list_size][16];
extern int loc_in_pic_arr, mob_location;
extern int num_of_sprites, num_of_walk_sprites, creature_width, creature_height,creature_animation_speed;


void center_eye_dark()
{
	#undef gfx_size
	#define gfx_size 2
	
	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=4;
	creature_height=10;
	creature_width=12;	
	
		if ((loc_in_pic_arr+gfx_size)>(mob_gfx_list_size)){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
	{0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0180,0x0180,0x0000,0x0000,0x0000,0x0000},
	{0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0180,0x0180,0x0000,0x0000,0x0000,0x0000},


	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0000,0x0000,0x0000,0x03c0,0x07e0,0x0db0,0x0ff0,0x0db0,0x0ff0,0x0ff0,0x0990,0x05a0,0x0420,0x03c0,0x0000,0x0000},
 	{0x0000,0x0000,0x0000,0x03c0,0x07e0,0x0db0,0x0ff0,0x0db0,0x0ff0,0x0ff0,0x0990,0x05a0,0x0420,0x03c0,0x0000,0x0000},
 	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x0000,~0x0000,~0x0000,~0x63c0,~0xf7e0,~0x7ff0,~0x3ff6,~0x1fff,~0x0fff,~0x0ff0,~0x0ff0,~0x07e0,~0x07e0,~0x03c0,~0x0000,~0x0000},
  {~0x0000,~0x0000,~0x0000,~0x03c6,~0x07ef,~0x0ffe,~0x6ffc,~0xfff8,~0xfff0,~0x0ff0,~0x0ff0,~0x07e0,~0x07e0,~0x03c0,~0x0000,~0x0000}, 
 	

	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("center_eye out of bounds");}

}// end center eye






void circle_eye2_dark()// the eye that circles around the center eye
{

	#undef gfx_size
	#define gfx_size 2
	
	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=4;
	creature_height=8;
	creature_width=8;	

		
		if ((loc_in_pic_arr+gfx_size)>(mob_gfx_list_size)){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
  {0x0000,0x0000,0x0000,0x0000,0x0080,0x0040,0x0040,0x0040,0x0020,0x01a0,0x0020,0x0040,0x0000,0x0000,0x0000,0x0000},
  {0x0000,0x0000,0x0000,0x0000,0x0080,0x0040,0x0040,0x0060,0x0020,0x01a0,0x0020,0x0040,0x0000,0x0000,0x0000,0x0000},
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0000,0x0000,0x0000,0x0000,0x0180,0x03c0,0x03c0,0x03c0,0x07e0,0x05a0,0x0420,0x03c0,0x0000,0x0000,0x0000,0x0000},
	{0x0000,0x0000,0x0000,0x0000,0x0180,0x03c0,0x03c0,0x07e0,0x07e0,0x05a0,0x0420,0x03c0,0x0000,0x0000,0x0000,0x0000},
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
 {~0x0000,~0x0000,~0x0000,~0x0000,~0x0180,~0x03c0,~0x0ff0,~0x0ff0,~0x07e0,~0x07e0,~0x07e0,~0x03c0,~0x0000,~0x0000,~0x0000,~0x0000},
 {~0x0000,~0x0000,~0x0000,~0x0000,~0x05a0,~0x0ff0,~0x07e0,~0x07e0,~0x07e0,~0x07e0,~0x07e0,~0x03c0,~0x0000,~0x0000,~0x0000,~0x0000},	
	
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("circle_eye out of bounds");}

}// end circle eye 2



void center_eye_light()
{
	#undef gfx_size
	#define gfx_size 2
	
	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=4;
	creature_height=10;
	creature_width=12;	
	
		if ((loc_in_pic_arr+gfx_size)>(mob_gfx_list_size)){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
	{0x0000,0x0000,0x0000,0x03c0,0x07e0,0x0ff0,0x0ff0,0x0ff0,0x0ff0,0x0ff0,0x0990,0x05a0,0x0420,0x03c0,0x0000,0x0000},
	{0x0000,0x0000,0x0000,0x03c0,0x07e0,0x0ff0,0x0ff0,0x0ff0,0x0ff0,0x0ff0,0x0990,0x05a0,0x0420,0x03c0,0x0000,0x0000}, 


	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0000,0x0000,0x0000,0x0000,0x0000,0x0240,0x0000,0x0240,0x0000,0x0000,0x0180,0x0180,0x0000,0x0000,0x0000,0x0000},
	{0x0000,0x0000,0x0000,0x0000,0x0000,0x0240,0x0000,0x0240,0x0000,0x0000,0x0180,0x0180,0x0000,0x0000,0x0000,0x0000}, 	
	
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x0000,~0x0000,~0x0000,~0x63c0,~0xf7e0,~0x7ff0,~0x3ff6,~0x1fff,~0x0fff,~0x0ff0,~0x0ff0,~0x07e0,~0x07e0,~0x03c0,~0x0000,~0x0000},
  {~0x0000,~0x0000,~0x0000,~0x03c6,~0x07ef,~0x0ffe,~0x6ffc,~0xfff8,~0xfff0,~0x0ff0,~0x0ff0,~0x07e0,~0x07e0,~0x03c0,~0x0000,~0x0000}, 
 	

	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("center_eye out of bounds");}

}// end center eye






void circle_eye2_light()// the eye that circles around the center eye
{

	#undef gfx_size
	#define gfx_size 2
	
	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=4;
	creature_height=8;
	creature_width=8;	

		
		if ((loc_in_pic_arr+gfx_size)>(mob_gfx_list_size)){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
{0x0000,0x0000,0x0000,0x0000,0x0100,0x0380,0x0380,0x0380,0x07c0,0x0400,0x0400,0x0380,0x0000,0x0000,0x0000,0x0000},
{0x0000,0x0000,0x0000,0x0000,0x0100,0x0380,0x0380,0x0780,0x07c0,0x0400,0x0400,0x0380,0x0000,0x0000,0x0000,0x0000},
 

	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
{0x0000,0x0000,0x0000,0x0000,0x0080,0x0040,0x0040,0x0040,0x0020,0x01a0,0x0020,0x0040,0x0000,0x0000,0x0000,0x0000},
{0x0000,0x0000,0x0000,0x0000,0x0080,0x0040,0x0040,0x0060,0x0020,0x01a0,0x0020,0x0040,0x0000,0x0000,0x0000,0x0000}, 
 

	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
 {~0x0000,~0x0000,~0x0000,~0x0000,~0x0180,~0x03c0,~0x0ff0,~0x0ff0,~0x07e0,~0x07e0,~0x07e0,~0x03c0,~0x0000,~0x0000,~0x0000,~0x0000},
 {~0x0000,~0x0000,~0x0000,~0x0000,~0x05a0,~0x0ff0,~0x07e0,~0x07e0,~0x07e0,~0x07e0,~0x07e0,~0x03c0,~0x0000,~0x0000,~0x0000,~0x0000},	
	
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("circle_eye out of bounds");}

}// end circle eye 2





void pic_spider_boss()
{


	#undef gfx_size
	#define gfx_size 18
	
		num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=4;
	creature_height=16;
	creature_width=48;
	

	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light
// this mob is a 48w x 16h
// each set of 3 makes the mob
// each set of 6 is the walk sprites

	// open eye 1

{0x0000,0x0000,0x0088,0x018c,0x0106,0x000a,0x0f8d,0x1c06,0x0078,0x043e,0x0e1e,0x1c00,0x3000,0x4000,0x8000,0x0000},// left leg 1
{0x0000,0x0000,0x0c30,0x7ffe,0x3ffc,0x6ff6,0x67e6,0xffff,0xc003,0x8001,0x8001,0xc003,0xf00f,0x6816,0x07e0,0x0000},// head1
{0x0000,0x0000,0x0d60,0x10b8,0x2800,0x54c0,0xa860,0x50b0,0x3088,0x70c4,0x6060,0x0020,0x0010,0x0010,0x0008,0x0000},// right leg 2

	// open eye 2
{0x0000,0x0000,0x06b0,0x1d08,0x0014,0x032a,0x0615,0x0d0a,0x110c,0x230e,0x0606,0x0400,0x0800,0x0800,0x1000,0x0000},// left leg 2
{0x0000,0x0000,0x0c30,0x7ffe,0x3ffc,0x6ff6,0x67e6,0xffff,0xc003,0x8001,0x8001,0xc003,0xf00f,0x6816,0x07e0,0x0000},// head1
{0x0000,0x0000,0x1100,0x3180,0x6080,0x5000,0xb1f0,0x6038,0x1e00,0x7c20,0x7870,0x0038,0x000c,0x0002,0x0001,0x0000},// right leg 1 	

	// half open eye 1

{0x0000,0x0000,0x0088,0x018c,0x0106,0x000a,0x0f8d,0x1c06,0x0078,0x043e,0x0e1e,0x1c00,0x3000,0x4000,0x8000,0x0000},// left leg 1
{0x0000,0x0000,0x0c30,0x7ffe,0x3ffc,0x6ff6,0x67e6,0xffff,0xffff,0x8ff1,0x8001,0xc003,0xf00f,0x6816,0x07e0,0x0000},// head 2
{0x0000,0x0000,0x0d60,0x10b8,0x2800,0x54c0,0xa860,0x50b0,0x3088,0x70c4,0x6060,0x0020,0x0010,0x0010,0x0008,0x0000},// right leg 2

	// half open eye 2
{0x0000,0x0000,0x06b0,0x1d08,0x0014,0x032a,0x0615,0x0d0a,0x110c,0x230e,0x0606,0x0400,0x0800,0x0800,0x1000,0x0000},// left leg 2
{0x0000,0x0000,0x0c30,0x7ffe,0x3ffc,0x6ff6,0x67e6,0xffff,0xffff,0x8ff1,0x8001,0xc003,0xf00f,0x6816,0x07e0,0x0000},// head 2
{0x0000,0x0000,0x1100,0x3180,0x6080,0x5000,0xb1f0,0x6038,0x1e00,0x7c20,0x7870,0x0038,0x000c,0x0002,0x0001,0x0000},// right leg 1 	

	// closed eye 1

{0x0000,0x0000,0x0088,0x018c,0x0106,0x000a,0x0f8d,0x1c06,0x0078,0x043e,0x0e1e,0x1c00,0x3000,0x4000,0x8000,0x0000},// left leg 1
{0x0000,0x0000,0x0c30,0x7ffe,0x3ffc,0x6ff6,0x67e6,0xffff,0xffff,0xbffd,0x9ff9,0x4ff2,0x77ee,0x2814,0x07e0,0x0000},// head 3
{0x0000,0x0000,0x0d60,0x10b8,0x2800,0x54c0,0xa860,0x50b0,0x3088,0x70c4,0x6060,0x0020,0x0010,0x0010,0x0008,0x0000},// right leg 2

	// closed eye 2
{0x0000,0x0000,0x06b0,0x1d08,0x0014,0x032a,0x0615,0x0d0a,0x110c,0x230e,0x0606,0x0400,0x0800,0x0800,0x1000,0x0000},// left leg 2
{0x0000,0x0000,0x0c30,0x7ffe,0x3ffc,0x6ff6,0x67e6,0xffff,0xffff,0xbffd,0x9ff9,0x4ff2,0x77ee,0x2814,0x07e0,0x0000},// head 3
{0x0000,0x0000,0x1100,0x3180,0x6080,0x5000,0xb1f0,0x6038,0x1e00,0x7c20,0x7870,0x0038,0x000c,0x0002,0x0001,0x0000},// right leg 1 	
	
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// open eye 1
{0x0000,0x0000,0x0000,0x0050,0x0098,0x0104,0x0002,0x0399,0x7c07,0x0001,0x0021,0x023f,0x0e0f,0x3003,0x4000,0x8000},// left leg 1
{0x0000,0x2004,0x300c,0x8001,0xc003,0x9009,0x9819,0x0000,0x0660,0x0660,0x07e0,0x03c0,0x0000,0x0000,0x0000,0x0000},//head 1
{0x0000,0x0000,0x0000,0x0c40,0x107e,0x2800,0x5080,0xa040,0xc130,0x8108,0x9984,0xf0c0,0xe060,0x8020,0x0010,0x0008},// right leg 2 	
	
	// open eye 2
{0x0000,0x0000,0x0000,0x0230,0x7e08,0x0014,0x010a,0x0205,0x0c83,0x1081,0x2199,0x030f,0x0607,0x0401,0x0800,0x1000},// left leg 2
{0x0000,0x2004,0x300c,0x8001,0xc003,0x9009,0x9819,0x0000,0x0660,0x0660,0x07e0,0x03c0,0x0000,0x0000,0x0000,0x0000},//head 1
{0x0000,0x0000,0x0000,0x0a00,0x1900,0x2080,0x4000,0x99c0,0xe03e,0x8000,0x8400,0xfc40,0xf070,0xc00c,0x0002,0x0001},// right leg 1 	

	// half open eye 1
{0x0000,0x0000,0x0000,0x0050,0x0098,0x0104,0x0002,0x0399,0x7c07,0x0001,0x0021,0x023f,0x0e0f,0x3003,0x4000,0x8000},// left leg 1
{0x0000,0x2004,0x300c,0x8001,0xc003,0x9009,0x9819,0x0000,0x0000,0x0000,0x07e0,0x03c0,0x0000,0x0000,0x0000,0x0000},// head 2
{0x0000,0x0000,0x0000,0x0c40,0x107e,0x2800,0x5080,0xa040,0xc130,0x8108,0x9984,0xf0c0,0xe060,0x8020,0x0010,0x0008},// right leg 2 	
	
	// half open eye 2
{0x0000,0x0000,0x0000,0x0230,0x7e08,0x0014,0x010a,0x0205,0x0c83,0x1081,0x2199,0x030f,0x0607,0x0401,0x0800,0x1000},// left leg 2
{0x0000,0x2004,0x300c,0x8001,0xc003,0x9009,0x9819,0x0000,0x0000,0x0000,0x07e0,0x03c0,0x0000,0x0000,0x0000,0x0000},// head 2
{0x0000,0x0000,0x0000,0x0a00,0x1900,0x2080,0x4000,0x99c0,0xe03e,0x8000,0x8400,0xfc40,0xf070,0xc00c,0x0002,0x0001},// right leg 1 

	// closed eye 1
{0x0000,0x0000,0x0000,0x0050,0x0098,0x0104,0x0002,0x0399,0x7c07,0x0001,0x0021,0x023f,0x0e0f,0x3003,0x4000,0x8000},// left leg 1
{0x0000,0x2004,0x300c,0x8001,0xc003,0x9009,0x9819,0x0000,0x0000,0x0000,0x0000,0x8001,0x8001,0x4002,0x0000,0x0000},// head 3
{0x0000,0x0000,0x0000,0x0c40,0x107e,0x2800,0x5080,0xa040,0xc130,0x8108,0x9984,0xf0c0,0xe060,0x8020,0x0010,0x0008},// right leg 2 	
	
	// closed eye 2
{0x0000,0x0000,0x0000,0x0230,0x7e08,0x0014,0x010a,0x0205,0x0c83,0x1081,0x2199,0x030f,0x0607,0x0401,0x0800,0x1000},// left leg 2
{0x0000,0x2004,0x300c,0x8001,0xc003,0x9009,0x9819,0x0000,0x0000,0x0000,0x0000,0x8001,0x8001,0x4002,0x0000,0x0000},// head 3
{0x0000,0x0000,0x0000,0x0a00,0x1900,0x2080,0x4000,0x99c0,0xe03e,0x8000,0x8400,0xfc40,0xf070,0xc00c,0x0002,0x0001},// right leg 1 
	
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// walk 1 mask
{~0x0060,~0x00f0,~0x00f8,~0x01fc,~0x01fe,~0x01fe,~0x0fff,~0x1fff,~0x7fff,~0x07ff,~0x0fff,~0x1fff,~0x3f8f,~0x7003,~0xc000,~0x8000},// left leg 1
{~0x0000,~0x2004,~0x3c3c,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0x7ffe,~0x3ffc,~0x2004},// head mask
{~0x0000,~0x0180,~0x0fe0,~0x1ff8,~0x3ffe,~0x7fc0,~0xffe0,~0xfff0,~0xffb8,~0xffcc,~0xffe4,~0xf0e0,~0xe070,~0x8030,~0x0018,~0x0008},//right leg 2 	
	
	// walk 2 mask
{~0x0000,~0x0180,~0x07f0,~0x1ff8,~0x7ffc,~0x03fe,~0x07ff,~0x0fff,~0x1dff,~0x33ff,~0x27ff,~0x070f,~0x0e07,~0x0c01,~0x1800,~0x1000},// left leg 2
{~0x0000,~0x2004,~0x3c3c,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0x7ffe,~0x3ffc,~0x2004},// head mask
{~0x0600,~0x0f00,~0x1f00,~0x3f80,~0x7f80,~0x7f80,~0xfff0,~0xfff8,~0xfffe,~0xffe0,~0xfff0,~0xfff8,~0xf1fc,~0xc00e,~0x0003,~0x0001},//right leg 1
	
	// walk 1 mask
{~0x0060,~0x00f0,~0x00f8,~0x01fc,~0x01fe,~0x01fe,~0x0fff,~0x1fff,~0x7fff,~0x07ff,~0x0fff,~0x1fff,~0x3f8f,~0x7003,~0xc000,~0x8000},// left leg 1
{~0x0000,~0x2004,~0x3c3c,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0x7ffe,~0x3ffc,~0x2004},// head mask
{~0x0000,~0x0180,~0x0fe0,~0x1ff8,~0x3ffe,~0x7fc0,~0xffe0,~0xfff0,~0xffb8,~0xffcc,~0xffe4,~0xf0e0,~0xe070,~0x8030,~0x0018,~0x0008},//right leg 2 	
	
	// walk 2 mask
{~0x0000,~0x0180,~0x07f0,~0x1ff8,~0x7ffc,~0x03fe,~0x07ff,~0x0fff,~0x1dff,~0x33ff,~0x27ff,~0x070f,~0x0e07,~0x0c01,~0x1800,~0x1000},// left leg 2
{~0x0000,~0x2004,~0x3c3c,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0x7ffe,~0x3ffc,~0x2004},// head mask
{~0x0600,~0x0f00,~0x1f00,~0x3f80,~0x7f80,~0x7f80,~0xfff0,~0xfff8,~0xfffe,~0xffe0,~0xfff0,~0xfff8,~0xf1fc,~0xc00e,~0x0003,~0x0001},//right leg 1

	// walk 1 mask
{~0x0060,~0x00f0,~0x00f8,~0x01fc,~0x01fe,~0x01fe,~0x0fff,~0x1fff,~0x7fff,~0x07ff,~0x0fff,~0x1fff,~0x3f8f,~0x7003,~0xc000,~0x8000},// left leg 1
{~0x0000,~0x2004,~0x3c3c,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0x7ffe,~0x3ffc,~0x2004},// head mask
{~0x0000,~0x0180,~0x0fe0,~0x1ff8,~0x3ffe,~0x7fc0,~0xffe0,~0xfff0,~0xffb8,~0xffcc,~0xffe4,~0xf0e0,~0xe070,~0x8030,~0x0018,~0x0008},//right leg 2 	
	
	// walk 2 mask
{~0x0000,~0x0180,~0x07f0,~0x1ff8,~0x7ffc,~0x03fe,~0x07ff,~0x0fff,~0x1dff,~0x33ff,~0x27ff,~0x070f,~0x0e07,~0x0c01,~0x1800,~0x1000},// left leg 2
{~0x0000,~0x2004,~0x3c3c,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0xffff,~0x7ffe,~0x3ffc,~0x2004},// head mask
{~0x0600,~0x0f00,~0x1f00,~0x3f80,~0x7f80,~0x7f80,~0xfff0,~0xfff8,~0xfffe,~0xffe0,~0xfff0,~0xfff8,~0xf1fc,~0xc00e,~0x0003,~0x0001},//right leg 1

	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("boss spider out of bounds");}

}// end pic boss spider
