// C Source File
// Created 8/30/2011; 10:31:44 AM

#include <tigcclib.h>
#include "defines.h"
#include "new_mobs.h"
// sandmob is dog
// crab is butterfly
int mob_stat1[max_mobs][mob_num_of_stats];
extern int mob_location;

void no_mob()
{// this is for a blank mob, ie one that does not exist.
// it is only used for world_mob_list files.
	int i=0;
	while (i<mob_num_of_stats){
		mob_stat1[mob_location][i]=(-100);
		i++;
	}
	mob_location++;
}// end no mob

// these mobs were updated to work with mob pic set 3, which has 48 pics in it.


void mob_merin(int loc, int x, int y, int gfx, int msg_id, int msg_num)
{

	mob_stat1[loc][mob_hp]=-77;// invincible
	mob_stat1[loc][mob_msg_id]=msg_id;
	mob_stat1[loc][mob_dam]=0;
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=2;// this should be irrelevant, but might be needed.
	mob_stat1[loc][mob_walk_sprites]=1;
	//mob_stat1[loc][mob_sprite_id]=gfx;//22;
	mob_stat1[loc][mob_sprite_id]=gfx;//0;
	//mob_stat1[loc][mob_current_sprite]=22;
	mob_stat1[loc][mob_current_sprite]=gfx;//0;
	//mob_stat1[loc][mob_special_atk]=;
	mob_stat1[loc][mob_msg_num]=msg_num;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=towns_people;
//	mob_stat1[loc][mob_id]=2;
	mob_stat1[loc][mob_animation_speed]=4;
	mob_stat1[loc][mob_move_type]=MOB_WANDER;
	/* unused.
	mob_stat1[loc][18]
	mob_stat1[loc][19]
	*/
	mob_stat1[loc][mob_speed]=0;
	mob_stat1[loc][mob_rand_var1]=0;// set this so i dont have issues
}// end butterfly 

//=================================================================================================



void mob_sandmob(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=8;// invincible
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=8;
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=4;// this should be irrelevant, but might be needed.
	mob_stat1[loc][mob_walk_sprites]=1;
	mob_stat1[loc][mob_sprite_id]=gfx;//26;
	mob_stat1[loc][mob_current_sprite]=gfx+2;//28;
	//mob_stat1[loc][mob_special_atk]=;
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=1;
	mob_stat1[loc][mob_type]=digger;
//	mob_stat1[loc][mob_id]=2;
	mob_stat1[loc][mob_animation_speed]=0;
	mob_stat1[loc][mob_move_type]=MOB_FOLLOW;
	/* unused.
	mob_stat1[loc][18]
	mob_stat1[loc][19]
	*/
	mob_stat1[loc][mob_speed]=1;
	mob_stat1[loc][mob_rand_var1]=0;// set this so i dont have issues
}// end butterfly 

//=================================================================================================



void mob_crab(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=8;// invincible
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=4;
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=2;
	mob_stat1[loc][mob_walk_sprites]=1;
	mob_stat1[loc][mob_sprite_id]=gfx;//24;
	mob_stat1[loc][mob_current_sprite]=gfx;//24;
	//mob_stat1[loc][mob_special_atk]=;
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=crab;
//	mob_stat1[loc][mob_id]=2;
	mob_stat1[loc][mob_animation_speed]=2;
	mob_stat1[loc][mob_move_type]=MOB_WANDER;
	/* unused.
	mob_stat1[loc][18]
	mob_stat1[loc][19]
	*/
	mob_stat1[loc][mob_speed]=2;
	mob_stat1[loc][mob_rand_var2]=2;// this sets the original speed.
	// in the algo, the crab has 2 speeds.  2*original speed and the original speed.
	// rand_var2 is used as the original speed 
}// end butterfly 

//=================================================================================================





void mob_butterfly(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=-77;// invincible
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=0;
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=2;
	mob_stat1[loc][mob_walk_sprites]=1;
	mob_stat1[loc][mob_sprite_id]=gfx;//2;
	mob_stat1[loc][mob_current_sprite]=gfx;//2;
	//mob_stat1[loc][mob_special_atk]=;
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=flyer;
//	mob_stat1[loc][mob_id]=2;
	mob_stat1[loc][mob_animation_speed]=2;
	mob_stat1[loc][mob_move_type]=MOB_FLUTTER;
	/* unused.
	mob_stat1[loc][18]
	mob_stat1[loc][19]
	*/
	mob_stat1[loc][mob_speed]=2;
}// end butterfly 

//=================================================================================================


void mob_chicken(int loc, int x, int y, int gfx)
{
		mob_stat1[loc][mob_hp]=4;
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=0;// half a heart
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=4;
	mob_stat1[loc][mob_walk_sprites]=1;
	mob_stat1[loc][mob_sprite_id]=gfx;//20;
	//mob_stat1[loc][mob_special_atk]=;
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=chicken;
	//mob_stat1[loc][mob_id]=1;
	mob_stat1[loc][mob_speed]=2;
	mob_stat1[loc][mob_animation_speed]=4;
	mob_stat1[loc][mob_current_sprite]=gfx;//20;
	mob_stat1[loc][mob_move_type]=MOB_HOP;
}// end mob chicken

//=================================================================================================

void mob_dog(int loc, int x, int y, int gfx)
{
	mob_stat1[loc][mob_hp]=(-66);
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=0;
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=4;
	mob_stat1[loc][mob_walk_sprites]=1;
	mob_stat1[loc][mob_sprite_id]=gfx;//16;// starts in 14
	//mob_stat1[loc][mob_special_atk]=;
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=dog;
//	mob_stat1[loc][mob_id]=1;
	mob_stat1[loc][mob_speed]=2;
	mob_stat1[loc][mob_animation_speed]=4;
	mob_stat1[loc][mob_current_sprite]=gfx;//16;
	mob_stat1[loc][mob_move_type]=MOB_HOP;
}// end mob dog

//=================================================================================================

void mob_octi(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=(4);
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=4;// half a heart
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=8;
	mob_stat1[loc][mob_walk_sprites]=2;
	mob_stat1[loc][mob_sprite_id]=gfx;//4;
	mob_stat1[loc][mob_special_atk]=9003;//item it attacks with
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=flyer;
//	mob_stat1[loc][mob_id]=1;
	mob_stat1[loc][mob_speed]=1;
	mob_stat1[loc][mob_animation_speed]=4;
	mob_stat1[loc][mob_current_sprite]=gfx;//4;
	mob_stat1[loc][mob_move_type]=MOB_GHOST;
	mob_stat1[loc][mob_stops]=sometimes;
}// end mob octi


//=================================================================================================

void mob_spike(int loc, int x, int y, int gfx)
{
// this is that spiky ball creature
	mob_stat1[loc][mob_hp]=4;// 
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=4;// half a heart
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[1][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=4;
	mob_stat1[loc][mob_walk_sprites]=0;
	mob_stat1[loc][mob_sprite_id]=gfx;//12;
	mob_stat1[loc][mob_current_sprite]=gfx;//12;
	//mob_stat1[1][mob_special_atk]=;
	//mob_stat1[1][mob_shield]=;
	//mob_stat1[1][mob_item]=;
	//mob_stat1[1][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=generic;
//	mob_stat1[1][mob_id]=2;
	mob_stat1[loc][mob_animation_speed]=6;
	mob_stat1[loc][mob_speed]=0;	
	mob_stat1[loc][mob_move_type]=MOB_WANDER;	
}// end mob spike

//=================================================================================================

void mob_guard(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=12;
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=8;// half a heart
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=8;
	mob_stat1[loc][mob_walk_sprites]=2;
	mob_stat1[loc][mob_sprite_id]=gfx;//7;
	mob_stat1[loc][mob_special_atk]=9000;//item it attacks with
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=generic;
//	mob_stat1[loc][mob_id]=1;
	mob_stat1[loc][mob_speed]=2;
	mob_stat1[loc][mob_animation_speed]=2;
	mob_stat1[loc][mob_current_sprite]=gfx;//4;
	mob_stat1[loc][mob_move_type]=MOB_WANDER;

}// end mob guard

//=================================================================================================
/*
void pic_guard(int i);
void pic_golem(int i);
void pic_likelike(int i);
void pic_mummy(int i);


			pic_reaper(0);//8
		//	pic_red(7);//8
			pic_guard(7);//8
			pic_golem(15);//8
			pic_likelike(23);//2
			pic_mummy(25);//2
*/

//=================================================================================================

void mob_golem(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=8;
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=8;// half a heart
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=8;
	mob_stat1[loc][mob_walk_sprites]=2;
	mob_stat1[loc][mob_sprite_id]=gfx;//15;
	mob_stat1[loc][mob_special_atk]=0;//item it attacks with
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=generic;
//	mob_stat1[loc][mob_id]=1;
	mob_stat1[loc][mob_speed]=1;
	mob_stat1[loc][mob_animation_speed]=4;// higher the speed the slower
	// it goes
	mob_stat1[loc][mob_current_sprite]=gfx;//4;
	mob_stat1[loc][mob_move_type]=MOB_WANDER;

}// end mob golem


//=================================================================================================

void mob_reaper(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=4;
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=12;// half a heart
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=8;
	mob_stat1[loc][mob_walk_sprites]=2;
	mob_stat1[loc][mob_sprite_id]=gfx;//0;
	mob_stat1[loc][mob_special_atk]=9002;//item it attacks with
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=generic;
//	mob_stat1[loc][mob_id]=1;
	mob_stat1[loc][mob_speed]=1;
	mob_stat1[loc][mob_animation_speed]=8;
	mob_stat1[loc][mob_current_sprite]=gfx;//4;
	mob_stat1[loc][mob_move_type]=MOB_WANDER;

}// end mob reaper

//=================================================================================================

void mob_likelike(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=8;
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=4;// half a heart
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=2;
	mob_stat1[loc][mob_walk_sprites]=1;
	mob_stat1[loc][mob_sprite_id]=gfx;//23;
	mob_stat1[loc][mob_special_atk]=0;//item it attacks with
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=generic;
//	mob_stat1[loc][mob_id]=1;
	mob_stat1[loc][mob_speed]=1;
	mob_stat1[loc][mob_animation_speed]=4;
	mob_stat1[loc][mob_current_sprite]=gfx;//4;
	mob_stat1[loc][mob_move_type]=MOB_WANDER;

}// end mob like
//=================================================================================================

void mob_mummy(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=16;
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=4;// half a heart
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=2;
	mob_stat1[loc][mob_walk_sprites]=1;
	mob_stat1[loc][mob_sprite_id]=gfx;//25;
	mob_stat1[loc][mob_special_atk]=0;//item it attacks with
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=generic;
//	mob_stat1[loc][mob_id]=1;
	mob_stat1[loc][mob_speed]=1;
	mob_stat1[loc][mob_animation_speed]=4;
	mob_stat1[loc][mob_current_sprite]=gfx;//4;
	mob_stat1[loc][mob_move_type]=MOB_WANDER;

}// end mob mummy

//=================================================================================================

void mob_pede_body(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=16;
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=4;// half a heart
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=2;
	mob_stat1[loc][mob_walk_sprites]=1;
	mob_stat1[loc][mob_sprite_id]=gfx;//25;
	mob_stat1[loc][mob_special_atk]=0;//item it attacks with
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=pede_body;
//	mob_stat1[loc][mob_id]=1;
	mob_stat1[loc][mob_speed]=2;
	mob_stat1[loc][mob_animation_speed]=5;
	mob_stat1[loc][mob_current_sprite]=gfx;//4;
	mob_stat1[loc][mob_move_type]=MOB_CONSTANT;
	mob_stat1[loc][mob_h]=8;
	mob_stat1[loc][mob_w]=8;
//	mob_stat1[loc][mob_rand_var1]=gfx2;
//	mob_stat1[loc][mob_rand_var2]=8;
}// end mob pede_body

//=================================================================================================

void mob_pede_head(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=16;
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=8;// half a heart
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=2;
	mob_stat1[loc][mob_walk_sprites]=1;
	mob_stat1[loc][mob_sprite_id]=gfx;//25;
	mob_stat1[loc][mob_special_atk]=0;//item it attacks with
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=pede_head;
//	mob_stat1[loc][mob_id]=1;
	mob_stat1[loc][mob_speed]=2;
	mob_stat1[loc][mob_animation_speed]=5;
	mob_stat1[loc][mob_current_sprite]=gfx;//4;
	mob_stat1[loc][mob_move_type]=MOB_CONSTANT;
	mob_stat1[loc][mob_h]=8;
	mob_stat1[loc][mob_w]=8;
//	mob_stat1[loc][mob_rand_var1]=0;
//	mob_stat1[loc][mob_rand_var2]=8;
	
}// end mob pede_head

//=================================================================================================

void mob_wizard(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=16;
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=8;
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	mob_stat1[loc][mob_sprites]=8;
	mob_stat1[loc][mob_walk_sprites]=2;
	mob_stat1[loc][mob_sprite_id]=gfx;//25;
	mob_stat1[loc][mob_special_atk]=0;//item it attacks with
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=flyer;
	mob_stat1[loc][mob_speed]=4;
	mob_stat1[loc][mob_animation_speed]=4;
	mob_stat1[loc][mob_current_sprite]=gfx;//4;
	mob_stat1[loc][mob_move_type]=MOB_WIZARD;

}// end mob wizard

//=================================================================================================

void mob_bat(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=4;
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=2;
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	mob_stat1[loc][mob_sprites]=2;
	mob_stat1[loc][mob_walk_sprites]=2;
	mob_stat1[loc][mob_sprite_id]=gfx;//25;
	mob_stat1[loc][mob_special_atk]=0;//item it attacks with
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=flyer;
	mob_stat1[loc][mob_speed]=4;
	mob_stat1[loc][mob_animation_speed]=4;
	mob_stat1[loc][mob_current_sprite]=gfx;//4;
	mob_stat1[loc][mob_move_type]=MOB_BAT;

}// end mob bat



//=================================================================================================

void mob_evil_eye(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]= -77;
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=0;// half a heart
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=2;
	mob_stat1[loc][mob_walk_sprites]=1;
	mob_stat1[loc][mob_sprite_id]=gfx;//15;
	mob_stat1[loc][mob_special_atk]=0;//item it attacks with
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=evil_eye;
//	mob_stat1[loc][mob_id]=1;
	mob_stat1[loc][mob_speed]=1;
	mob_stat1[loc][mob_animation_speed]=4;// higher the speed the slower
	// it goes
	mob_stat1[loc][mob_current_sprite]=gfx;//4;
		
	mob_stat1[loc][mob_rand_var1]=0;
	mob_stat1[loc][mob_rand_var2]=0;
		mob_stat1[loc][mob_h]=8;
	mob_stat1[loc][mob_w]=8;
}// end mob golem

//=================================================================================================

void mob_circle_eye(int loc, int x, int y, int gfx)
{

	mob_stat1[loc][mob_hp]=4;
	mob_stat1[loc][mob_def]=0;
	mob_stat1[loc][mob_dam]=0;// half a heart
	mob_stat1[loc][mob_x]=x;
	mob_stat1[loc][mob_y]=y;
	//mob_stat1[loc][mob_room]=;// this may be unused.
	mob_stat1[loc][mob_sprites]=2;
	mob_stat1[loc][mob_walk_sprites]=1;
	mob_stat1[loc][mob_sprite_id]=gfx;//15;
	mob_stat1[loc][mob_special_atk]=0;//item it attacks with
	//mob_stat1[loc][mob_shield]=;
	//mob_stat1[loc][mob_item]=;
	//mob_stat1[loc][mob_sl_exec]=;
	mob_stat1[loc][mob_stunned]=0;
	mob_stat1[loc][mob_underground]=0;
	mob_stat1[loc][mob_type]=circle_eye;
//	mob_stat1[loc][mob_id]=1;
	mob_stat1[loc][mob_speed]=1;
	mob_stat1[loc][mob_animation_speed]=4;// higher the speed the slower
	// it goes
	mob_stat1[loc][mob_current_sprite]=gfx;//4;
	mob_stat1[loc][mob_move_type]=0;
	mob_stat1[loc][mob_rand_var1]=0;
	mob_stat1[loc][mob_rand_var2]=0;
	mob_stat1[loc][mob_h]=5;
	mob_stat1[loc][mob_w]=5;
}// end mob golem

//=================================================================================================


//=================================================================================================


//=================================================================================================


//=================================================================================================


//=================================================================================================


//=================================================================================================

