// C Source File
// Created 10/15/2014; 3:39:09 PM

#include <tigcclib.h>
#include "new_mobs.h"

extern unsigned short mob_pic_light_any[mob_gfx_list_size][16];
extern unsigned short mob_pic_dark_any[mob_gfx_list_size][16];
extern unsigned short mob_pic_mask_any[mob_gfx_list_size][16];
extern int loc_in_pic_arr, mob_location;
extern int num_of_sprites, num_of_walk_sprites, creature_width, creature_height,creature_animation_speed;
//===================================================================================================================



void pic_bat()
{


	#undef gfx_size
	#define gfx_size 2

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=3;
	creature_height=8;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
{0x0000,0x0000,0x0000,0x1008,0x324c,0x3a5c,0x7ffe,0x799e,0xffff,0xe7e7,0x8181,0x0000,0x0000,0x0000,0x0000,0x0000},
{0x0000,0x0000,0x0240,0x0240,0x0660,0x07e0,0x0db0,0x0db0,0x0ff0,0x0db0,0x0c30,0x0810,0x0000,0x0000,0x0000,0x0000}

	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
{0x0000,0x0000,0x0000,0x1008,0x324c,0x3a5c,0x7ffe,0x799e,0xffff,0xe7e7,0x8181,0x0000,0x0000,0x0000,0x0000,0x0000},
{0x0000,0x0000,0x0240,0x0240,0x0660,0x07e0,0x0db0,0x0db0,0x0ff0,0x0db0,0x0c30,0x0810,0x0000,0x0000,0x0000,0x0000}
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
{~0x0000,~0x0000,~0x0000,~0x1008,~0x324c,~0x3a5c,~0x7ffe,~0x7ffe,~0xffff,~0xe7e7,~0x8181,~0x0000,~0x0000,~0x0000,~0x0000,~0x0000},
{~0x0000,~0x0000,~0x0240,~0x0240,~0x0660,~0x07e0,~0x0ff0,~0x0ff0,~0x0ff0,~0x0db0,~0x0c30,~0x0810,~0x0000,~0x0000,~0x0000,~0x0000}
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("bat out of bounds");}

}// end bat


//===================================================================================================================



void pic_bee()
{

//like the snake
	#undef gfx_size
	#define gfx_size 8

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=3;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
{0x0000,0x6187,0x5289,0x2d11,0x3f92,0x7fea,0xfffc,0xbdf8,0xfff8,0x7fdc,0x7fb2,0x54f6,0x59e6,0x364e,0x155d,0x09bb},
{0x6180,0x5280,0x2d00,0x3f80,0x7fc0,0xffe0,0xbdfc,0xfff2,0x7fd9,0x7fbd,0x54f5,0x59e6,0x264e,0x293d,0x10db,0x0000},

	// down light
{0x0000,0xe186,0x914a,0x88b4,0x49fc,0x57fe,0x3fff,0x1fbd,0x1fff,0x3bfe,0x4dfe,0x6f2a,0x679a,0x726c,0xbaa8,0xdd90},	
{0x0186,0x014a,0x00b4,0x01fc,0x03fe,0x07ff,0x3fbd,0x4fff,0x9bfe,0xbdfe,0xaf2a,0x679a,0x7264,0xbc94,0xdb08,0x0000},

	// up light
{0x0000,0x6187,0x5289,0x2d11,0x3f92,0x7fea,0xfffc,0xbdf8,0xfff8,0x7fdc,0x7fb2,0x54f6,0x59e6,0x364e,0x155d,0x09bb},
{0x6180,0x5280,0x2d00,0x3f80,0x7fc0,0xffe0,0xbdfc,0xfff2,0x7fd9,0x7fbd,0x54f5,0x59e6,0x264e,0x293d,0x10db,0x0000},

	// down light
{0x0000,0xe186,0x914a,0x88b4,0x49fc,0x57fe,0x3fff,0x1fbd,0x1fff,0x3bfe,0x4dfe,0x6f2a,0x679a,0x726c,0xbaa8,0xdd90},	
{0x0186,0x014a,0x00b4,0x01fc,0x03fe,0x07ff,0x3fbd,0x4fff,0x9bfe,0xbdfe,0xaf2a,0x679a,0x7264,0xbc94,0xdb08,0x0000},

	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
{0x0000,0x6187,0x5289,0x2d11,0x3292,0x4062,0xe324,0xa5a8,0xe338,0x405c,0x7fb2,0x54f6,0x59e6,0x364e,0x155d,0x09bb},
{0x6180,0x5280,0x2d00,0x3280,0x4040,0xe320,0xa5bc,0xe332,0x4051,0x7fb9,0x54f5,0x59e6,0x264e,0x293d,0x10db,0x0000},		
	
	// down dark
{0x0000,0xe186,0x914a,0x88b4,0x494c,0x4602,0x24c7,0x15a5,0x1cc7,0x3a02,0x4dfe,0x6f2a,0x679a,0x726c,0xbaa8,0xdd90},
{0x0186,0x014a,0x00b4,0x014c,0x0202,0x04c7,0x3da5,0x4cc7,0x8a02,0x9dfe,0xaf2a,0x679a,0x7264,0xbc94,0xdb08,0x0000},	
	
	// up dark
{0x0000,0x6187,0x5289,0x2d11,0x3292,0x4062,0xe324,0xa5a8,0xe338,0x405c,0x7fb2,0x54f6,0x59e6,0x364e,0x155d,0x09bb},
{0x6180,0x5280,0x2d00,0x3280,0x4040,0xe320,0xa5bc,0xe332,0x4051,0x7fb9,0x54f5,0x59e6,0x264e,0x293d,0x10db,0x0000},		
	
	// down dark
{0x0000,0xe186,0x914a,0x88b4,0x494c,0x4602,0x24c7,0x15a5,0x1cc7,0x3a02,0x4dfe,0x6f2a,0x679a,0x726c,0xbaa8,0xdd90},
{0x0186,0x014a,0x00b4,0x014c,0x0202,0x04c7,0x3da5,0x4cc7,0x8a02,0x9dfe,0xaf2a,0x679a,0x7264,0xbc94,0xdb08,0x0000},
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// left mask
{~0x0000,~0x6187,~0x738f,~0x3f1f,~0x3f9e,~0x7ffe,~0xfffc,~0xfff8,~0xfff8,~0x7ffc,~0x7ffe,~0x7ffe,~0x7ffe,~0x3ffe,~0x1dff,~0x09bb},
{~0x6180,~0x7380,~0x3f00,~0x3f80,~0x7fc0,~0xffe0,~0xfffc,~0xfffe,~0x7fff,~0x7fff,~0x7fff,~0x7ffe,~0x3ffe,~0x39ff,~0x10db,~0x0000},	
	
	// right mask
{~0x0000,~0xe186,~0xf1ce,~0xf8fc,~0x79fc,~0x7ffe,~0x3fff,~0x1fff,~0x1fff,~0x3ffe,~0x7ffe,~0x7ffe,~0x7ffe,~0x7ffc,~0xffb8,~0xdd90},
{~0x0186,~0x01ce,~0x00fc,~0x01fc,~0x03fe,~0x07ff,~0x3fff,~0x7fff,~0xfffe,~0xfffe,~0xfffe,~0x7ffe,~0x7ffc,~0xff9c,~0xdb08,~0x0000},
	

	// left mask
{~0x0000,~0x6187,~0x738f,~0x3f1f,~0x3f9e,~0x7ffe,~0xfffc,~0xfff8,~0xfff8,~0x7ffc,~0x7ffe,~0x7ffe,~0x7ffe,~0x3ffe,~0x1dff,~0x09bb},
{~0x6180,~0x7380,~0x3f00,~0x3f80,~0x7fc0,~0xffe0,~0xfffc,~0xfffe,~0x7fff,~0x7fff,~0x7fff,~0x7ffe,~0x3ffe,~0x39ff,~0x10db,~0x0000},	
	
	// right mask
{~0x0000,~0xe186,~0xf1ce,~0xf8fc,~0x79fc,~0x7ffe,~0x3fff,~0x1fff,~0x1fff,~0x3ffe,~0x7ffe,~0x7ffe,~0x7ffe,~0x7ffc,~0xffb8,~0xdd90},
{~0x0186,~0x01ce,~0x00fc,~0x01fc,~0x03fe,~0x07ff,~0x3fff,~0x7fff,~0xfffe,~0xfffe,~0xfffe,~0x7ffe,~0x7ffc,~0xff9c,~0xdb08,~0x0000},
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("bee out of bounds");}

}// end bee


//===================================================================================================================



void pic_fish()
{


	#undef gfx_size
	#define gfx_size 8

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=4;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
{0x0100,0x0380,0x07c0,0x1b30,0x2308,0x2008,0x4004,0x4c04,0x4e04,0x4f04,0x4c04,0xed0e,0xee0e,0xdc3e,0xa6d6,0xc10e},
{0x0080,0x01c0,0x03e0,0x0cd8,0x10c4,0x1004,0x2002,0x2032,0x2072,0x20f2,0x2032,0x70b7,0x7077,0x7c3b,0x6b65,0x7083},

	// down light
{0x0100,0x0380,0x06c0,0x38b8,0x7c7c,0xfc7e,0xfc7e,0xf45e,0x7bbc,0x77dc,0x4fe4,0xdff6,0xfffe,0xfff6,0xd6ca,0xe106},
{0x0080,0x01c0,0x0360,0x1d1c,0x3e3e,0x7e3f,0x7e3f,0x7a2f,0x3dde,0x3bee,0x27f2,0x6ffb,0x7fff,0x6fff,0x536b,0x6087}, 
 	
	// left light
{0x01f0,0x0210,0x0fa0,0x3060,0x4e10,0x5f10,0x9f0b,0x9f0d,0xf70b,0xfe73,0xbc9b,0x7f3d,0x7fb3,0x3ff0,0x0f90,0x0070},
{0x00f0,0x0110,0x07e0,0x1830,0x2708,0x2f88,0x4f87,0x7f85,0x7f85,0x0f31,0x0755,0x3f95,0x3fdb,0x1ff0,0x07d0,0x0030},	
	
	// right light
{0x0f80,0x0840,0x05f0,0x060c,0x0872,0x08fa,0xd0f9,0xb0f9,0xd0ef,0xce7f,0xd93d,0xbcfe,0xcdfe,0x0ffc,0x09f0,0x0e00},
{0x0f00,0x0880,0x07e0,0x0c18,0x10e4,0x11f4,0xe1f2,0xa1fe,0xa1fe,0x8cf0,0xaae0,0xa9fc,0xdbfc,0x0ff8,0x0be0,0x0c00}
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
{0x0100,0x0280,0x05c0,0x1df0,0x3df8,0x3ff8,0x7ffc,0x7ffc,0x7bfc,0x79fc,0x7bfc,0xfbfe,0xbbfa,0xbff2,0xe7da,0xc10e},
{0x0080,0x0140,0x03a0,0x0fb8,0x1fbc,0x1ffc,0x3ffe,0x3ffe,0x3fde,0x3f9e,0x3fde,0x7fdf,0x5fdd,0x4ffd,0x5be7,0x7083},
	
	// down dark
{0x0100,0x0280,0x0740,0x3f78,0x47c4,0x9ff2,0x9ff2,0x97d2,0x5c74,0x7bbc,0x77dc,0xfffe,0xa38a,0x983a,0xb7ce,0xe106},	
{0x0080,0x0140,0x02e0,0x1efc,0x23e2,0x4ff9,0x4ff9,0x4be9,0x2e3a,0x3dde,0x3bee,0x7fff,0x51c5,0x5c19,0x73ed,0x6087},
	
	// left dark
{0x01f0,0x03f0,0x0fe0,0x3fe0,0x7ff0,0x71f0,0xfdfb,0xfdff,0x95fd,0xeffd,0xdbfd,0x47df,0x40d3,0x3070,0x0ff0,0x0070},
{0x00f0,0x01f0,0x07e0,0x1ff0,0x3ff8,0x38f8,0x78ff,0x4fff,0x78ff,0x0fff,0x04ff,0x3fff,0x207b,0x1830,0x07f0,0x0030}, 
 	
	// right dark
{0x0f80,0x0fc0,0x07f0,0x07fc,0x0ffe,0x0f8e,0xdfbf,0xffbf,0xbfa9,0xbff7,0xbfdb,0xfbe2,0xcb02,0x0e0c,0x0ff0,0x0e00},
{0x0f00,0x0f80,0x07e0,0x0ff8,0x1ffc,0x1f1c,0xff1e,0xfff2,0xff1e,0xfff0,0xff20,0xfffc,0xde04,0x0c18,0x0fe0,0x0c00},
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
{~0x0100,~0x0380,~0x07c0,~0x1ff0,~0x3ff8,~0x3ff8,~0x7ffc,~0x7ffc,~0x7ffc,~0x7ffc,~0x7ffc,~0xfffe,~0xfffe,~0xfffe,~0xe7de,~0xc10e},
{~0x0080,~0x01c0,~0x03e0,~0x0ff8,~0x1ffc,~0x1ffc,~0x3ffe,~0x3ffe,~0x3ffe,~0x3ffe,~0x3ffe,~0x7fff,~0x7fff,~0x7fff,~0x7be7,~0x7083},	
	
	// down mask
{~0x0100,~0x0380,~0x07c0,~0x3ff8,~0x7ffc,~0xfffe,~0xfffe,~0xfffe,~0x7ffc,~0x7ffc,~0x7ffc,~0xfffe,~0xfffe,~0xfffe,~0xf7ce,~0xe106},
{~0x0080,~0x01c0,~0x03e0,~0x1ffc,~0x3ffe,~0x7fff,~0x7fff,~0x7fff,~0x3ffe,~0x3ffe,~0x3ffe,~0x7fff,~0x7fff,~0x7fff,~0x73ef,~0x6087},	
	
	// left mask
{~0x01f0,~0x03f0,~0x0fe0,~0x3fe0,~0x7ff0,~0x7ff0,~0xfffb,~0xffff,~0xffff,~0xffff,~0xffff,~0x7fff,~0x7ff3,~0x3ff0,~0x0ff0,~0x0070},
{~0x00f0,~0x01f0,~0x07e0,~0x1ff0,~0x3ff8,~0x3ff8,~0x7fff,~0x7fff,~0x7fff,~0x0fff,~0x07ff,~0x3fff,~0x3ffb,~0x1ff0,~0x07f0,~0x0030}, 
 
	// right mask
{~0x0f80,~0x0fc0,~0x07f0,~0x07fc,~0x0ffe,~0x0ffe,~0xdfff,~0xffff,~0xffff,~0xffff,~0xffff,~0xfffe,~0xcffe,~0x0ffc,~0x0ff0,~0x0e00},
{~0x0f00,~0x0f80,~0x07e0,~0x0ff8,~0x1ffc,~0x1ffc,~0xfffe,~0xfffe,~0xfffe,~0xfff0,~0xffe0,~0xfffc,~0xdffc,~0x0ff8,~0x0fe0,~0x0c00}
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("fish out of bounds");}

}// end fish


//===================================================================================================================



void pic_gator()
{


	#undef gfx_size
	#define gfx_size 8

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=5;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
{0x0770,0x0888,0x0808,0x0808,0x1004,0x2002,0x2002,0x21c2,0x3c1e,0x7e3f,0x3fff,0x4ffe,0x37f1,0x0ff9,0x0cd6,0x07fc},
{0x0ee0,0x1110,0x1010,0x1010,0x2008,0x4004,0x4004,0x4384,0x783c,0xfc7e,0xfffc,0x7ff2,0x8fec,0x9ff0,0x6b30,0x3fe0}, 

	// down light
{0x0ee0,0x1550,0x16d0,0x1290,0x26c8,0x4c64,0x4004,0x5ab4,0x3ab8,0x7c7c,0xdfdc,0xfff8,0x7f7e,0x6eb9,0x11ff,0x1f60},
{0x0770,0x0aa8,0x0b68,0x0948,0x1364,0x2632,0x2002,0x2d5a,0x1d5c,0x3e3e,0x3bfb,0x1fff,0x7efe,0x9d76,0xff88,0x06f8},

	// left light
{0x01c0,0x02b0,0x6348,0x9d44,0xc0e4,0xb984,0xc7c8,0x1ff8,0x3ffc,0x1ffc,0x1fec,0x1fca,0x0fca,0x1dfa,0x181a,0x07e6},
{0x0000,0x01c0,0x02b0,0x6348,0x9d44,0xc0e4,0xb984,0xffc8,0x3ff8,0x0ffc,0x3ff8,0x7fe6,0x3ff6,0x4fff,0x27e5,0x1b3b},	
	
	// right light
{0x0380,0x0d40,0x12c6,0x22b9,0x2703,0x219d,0x13e3,0x1ff8,0x3ffc,0x3ff8,0x37f8,0x53f8,0x53f0,0x5fb8,0x5818,0x67e0},
{0x0000,0x0380,0x0d40,0x12c6,0x22b9,0x2703,0x219d,0x13ff,0x1ffc,0x3ff0,0x1ffc,0x67fe,0x6ffc,0xfff2,0xa7e4,0xdcd8}
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
{0x0770,0x0ff8,0x0ff8,0x0ff8,0x1ffc,0x3ffe,0x3ffe,0x3ffe,0x3ffe,0x43e1,0x35d3,0x780e,0x341f,0x0b7f,0x0fae,0x07fc},
{0x0ee0,0x1ff0,0x1ff0,0x1ff0,0x3ff8,0x7ffc,0x7ffc,0x7ffc,0x7ffc,0x87c2,0xcbac,0x701e,0xf82c,0xfed0,0x75f0,0x3fe0},	
	
	// down dark
{0x0ee0,0x1ff0,0x1ff0,0x1390,0x37d8,0x7ffc,0x7ffc,0x7ffc,0x2fe8,0x7ff4,0xb3b4,0x9038,0x50ce,0x6fcf,0x1f9f,0x1f60},	
{0x0770,0x0ff8,0x0ff8,0x09c8,0x1bec,0x3ffe,0x3ffe,0x3ffe,0x17f4,0x2ffe,0x2dcd,0x1c09,0x730a,0xf3f6,0xf9f8,0x06f8},
	
	// left dark
{0x01c0,0x03f0,0x6378,0xff7c,0xfffc,0xfffc,0xc678,0x1878,0x2384,0x1c94,0x11fc,0x127e,0x0e7e,0x17fe,0x1ffe,0x07e6},	
{0x0000,0x01c0,0x03f0,0x6378,0xff7c,0xfffc,0xfffc,0xc678,0x3878,0x0f84,0x30b8,0x50fe,0x339e,0x7c9b,0x3cff,0x1b3b},
	
	// right dark
{0x0380,0x0fc0,0x1ec6,0x3eff,0x3fff,0x3fff,0x1e63,0x1e18,0x21c4,0x2938,0x3f88,0x7e48,0x7e70,0x7fe8,0x7ff8,0x67e0},
{0x0000,0x0380,0x0fc0,0x1ec6,0x3eff,0x3fff,0x3fff,0x1e63,0x1e1c,0x21f0,0x1d0c,0x7f0a,0x79cc,0xd93e,0xff3c,0xdcd8}
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
{~0x0770,~0x0ff8,~0x0ff8,~0x0ff8,~0x1ffc,~0x3ffe,~0x3ffe,~0x3ffe,~0x3ffe,~0x7fff,~0x3fff,~0x7ffe,~0x37ff,~0x0fff,~0x0ffe,~0x07fc},	
{~0x0ee0,~0x1ff0,~0x1ff0,~0x1ff0,~0x3ff8,~0x7ffc,~0x7ffc,~0x7ffc,~0x7ffc,~0xfffe,~0xfffc,~0x7ffe,~0xffec,~0xfff0,~0x7ff0,~0x3fe0},
 
	
	// down mask
{~0x0ee0,~0x1ff0,~0x1ff0,~0x1ff0,~0x3ff8,~0x7ffc,~0x7ffc,~0x7ffc,~0x3ff8,~0x7ffc,~0xfffc,~0xfff8,~0x7ffe,~0x6fff,~0x1fff,~0x1f60},	
{~0x0770,~0x0ff8,~0x0ff8,~0x0ff8,~0x1ffc,~0x3ffe,~0x3ffe,~0x3ffe,~0x1ffc,~0x3ffe,~0x3fff,~0x1fff,~0x7ffe,~0xfff6,~0xfff8,~0x06f8},

	// left mask
{~0x01c0,~0x03f0,~0x63f8,~0xfffc,~0xfffc,~0xfffc,~0xc7f8,~0x1ff8,~0x3ffc,~0x1ffc,~0x1ffc,~0x1ffe,~0x0ffe,~0x1ffe,~0x1ffe,~0x07e6},
{~0x0000,~0x01c0,~0x03f0,~0x63f8,~0xfffc,~0xfffc,~0xfffc,~0xfff8,~0x3ff8,~0x0ffc,~0x3ff8,~0x7ffe,~0x3ffe,~0x7fff,~0x3fff,~0x1b3b},	
	
	// right mask
{~0x0380,~0x0fc0,~0x1fc6,~0x3fff,~0x3fff,~0x3fff,~0x1fe3,~0x1ff8,~0x3ffc,~0x3ff8,~0x3ff8,~0x7ff8,~0x7ff0,~0x7ff8,~0x7ff8,~0x67e0},
{~0x0000,~0x0380,~0x0fc0,~0x1fc6,~0x3fff,~0x3fff,~0x3fff,~0x1fff,~0x1ffc,~0x3ff0,~0x1ffc,~0x7ffe,~0x7ffc,~0xfffe,~0xfffc,~0xdcd8}
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("gator out of bounds");}

}// end gator


//===================================================================================================================



void pic_mouse()
{


	#undef gfx_size
	#define gfx_size 8

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=5;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
{0x1c1c,0x3e3e,0x7ddf,0x7c1f,0x7bef,0x7fff,0x3ffe,0x3ffc,0x1f98,0x3ffc,0x7ffe,0x7ffe,0x3ffc,0x07f0,0x03f0,0x0060},
{0x3838,0x7c7c,0xfbbe,0xf83e,0xf7de,0xfffe,0x7ffc,0x3ffc,0x19f8,0x3ffc,0x7ffe,0x7ffe,0x3ffc,0x0fe0,0x0fc0,0x0600},

	// down light
{0x1c1c,0x3e3e,0x77f7,0x63e3,0x67f3,0x7fff,0x3ffe,0x1ffc,0x0ff8,0x1ffc,0x3ffe,0x3ffe,0x1ffe,0x07fc,0x03e0,0x0180},	
{0x3838,0x7c7c,0xefee,0xc7c6,0xcfe6,0xfffe,0x7ffc,0x3ff8,0x1ff0,0x3ff8,0x7ffc,0x7ffc,0x7ff8,0x3fe0,0x07c0,0x0180},
	
	// left light
{0x0780,0x0fc0,0x1ce0,0x1860,0x1860,0x3dc0,0x7fc0,0xffc4,0xffec,0x7ffc,0x3ffc,0x3ffe,0x1ffe,0x0ffe,0x1ffc,0x0f98},
{0x0000,0x03c0,0x07e0,0x0e70,0x0c33,0x0c36,0x1eee,0x3fee,0x7fe7,0x7ff7,0x3fff,0x1fff,0x3ffe,0x3ffc,0x1ff0,0x0c60},
	
	// right light
{0x01e0,0x03f0,0x0738,0x0618,0x0618,0x03bc,0x03fe,0x23ff,0x37ff,0x3ffe,0x3ffc,0x7ffc,0x7ff8,0x7ff0,0x3ff8,0x19f0},
{0x0000,0x03c0,0x07e0,0x0e70,0xcc30,0x6c30,0x7778,0x77fc,0xe7fe,0xeffe,0xfffc,0xfff8,0x7ffc,0x3ffc,0x0ff8,0x0630},
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
{0x1c1c,0x2222,0x43e1,0x43e1,0x4411,0x4001,0x3802,0x240c,0x1278,0x3a0c,0x4a0a,0x4a6a,0x399c,0x0490,0x0390,0x0060},
{0x3838,0x4444,0x87c2,0x87c2,0x8822,0x8002,0x401c,0x3024,0x1e48,0x305c,0x5052,0x5652,0x399c,0x0920,0x09c0,0x0600},	
	
	// down dark
{0x1c1c,0x2222,0x49c9,0x5c1d,0x5c1d,0x4809,0x280a,0x194c,0x0d58,0x1414,0x2222,0x29ca,0x1812,0x041c,0x0260,0x0180},
{0x3838,0x4444,0x9392,0xb83a,0xb83a,0x9012,0x5014,0x3298,0x1ab0,0x2828,0x4444,0x5394,0x4818,0x3820,0x0640,0x0180},	
	
	// left dark
{0x0780,0x0840,0x1320,0x17a0,0x17a0,0x2240,0x51c0,0x9044,0x802c,0x4034,0x2434,0x24b2,0x131a,0x0842,0x1064,0x0f98},
{0x0000,0x03c0,0x0420,0x0990,0x0bd3,0x0bd6,0x112a,0x28ea,0x4825,0x4015,0x2029,0x1121,0x38ca,0x200c,0x1390,0x0c60},	
	
	// right dark
{0x01e0,0x0210,0x04c8,0x05e8,0x05e8,0x0244,0x038a,0x2209,0x3401,0x2c02,0x2c24,0x4d24,0x58c8,0x4210,0x2608,0x19f0},
{0x0000,0x03c0,0x0420,0x0990,0xcbd0,0x6bd0,0x5488,0x5714,0xa412,0xa802,0x9404,0x8488,0x531c,0x3004,0x09c8,0x0630}
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
{~0x1c1c,~0x3e3e,~0x7fff,~0x7fff,~0x7fff,~0x7fff,~0x3ffe,~0x3ffc,~0x1ff8,~0x3ffc,~0x7ffe,~0x7ffe,~0x3ffc,~0x07f0,~0x03f0,~0x0060},
{~0x3838,~0x7c7c,~0xfffe,~0xfffe,~0xfffe,~0xfffe,~0x7ffc,~0x3ffc,~0x1ff8,~0x3ffc,~0x7ffe,~0x7ffe,~0x3ffc,~0x0fe0,~0x0fc0,~0x0600},	
	
	// down mask
{~0x1c1c,~0x3e3e,~0x7fff,~0x7fff,~0x7fff,~0x7fff,~0x3ffe,~0x1ffc,~0x0ff8,~0x1ffc,~0x3ffe,~0x3ffe,~0x1ffe,~0x07fc,~0x03e0,~0x0180},	
{~0x3838,~0x7c7c,~0xfffe,~0xfffe,~0xfffe,~0xfffe,~0x7ffc,~0x3ff8,~0x1ff0,~0x3ff8,~0x7ffc,~0x7ffc,~0x7ff8,~0x3fe0,~0x07c0,~0x0180},

	// left mask
{~0x0780,~0x0fc0,~0x1fe0,~0x1fe0,~0x1fe0,~0x3fc0,~0x7fc0,~0xffc4,~0xffec,~0x7ffc,~0x3ffc,~0x3ffe,~0x1ffe,~0x0ffe,~0x1ffc,~0x0f98},
{~0x0000,~0x03c0,~0x07e0,~0x0ff0,~0x0ff3,~0x0ff6,~0x1fee,~0x3fee,~0x7fe7,~0x7ff7,~0x3fff,~0x1fff,~0x3ffe,~0x3ffc,~0x1ff0,~0x0c60},	
	
	// right mask
{~0x01e0,~0x03f0,~0x07f8,~0x07f8,~0x07f8,~0x03fc,~0x03fe,~0x23ff,~0x37ff,~0x3ffe,~0x3ffc,~0x7ffc,~0x7ff8,~0x7ff0,~0x3ff8,~0x19f0},
{~0x0000,~0x03c0,~0x07e0,~0x0ff0,~0xcff0,~0x6ff0,~0x77f8,~0x77fc,~0xe7fe,~0xeffe,~0xfffc,~0xfff8,~0x7ffc,~0x3ffc,~0x0ff8,~0x0630}

	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("mouse out of bounds");}

}// end mouse


//===================================================================================================================



void pic_p_knight_2()
{

	#undef gfx_size
	#define gfx_size 8

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=5;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
{0x03c0,0x04a0,0x0890,0x0cb0,0x17e8,0x342c,0x4812,0x85a1,0x6666,0x581a,0x4422,0x83d1,0x8021,0xb8c1,0xfc06,0xffff},
{0x03c0,0x0520,0x0910,0x0d30,0x17e8,0x342c,0x4812,0x85a1,0x6666,0x581a,0x4422,0x8bc1,0x8401,0x831d,0x603f,0xffff}, 

	// down light
{0x03c0,0x04a0,0x0bd0,0x0c30,0x1668,0x35ac,0x5dba,0x8bd1,0xe7ef,0x5a52,0x8992,0x9c3d,0x78dd,0xb8b5,0xa4e2,0xcff0},
{0x03c0,0x0520,0x0bd0,0x0c30,0x1668,0x35ac,0x5dba,0x8bd1,0xf7e7,0x4a5a,0x4991,0xbc39,0xbb1e,0xad1d,0x4725,0x0ff3},
	
	// left light
{0x07c0,0x0860,0x17d0,0x1090,0x1750,0x1b38,0x0b68,0x0f84,0x0d04,0x0a7c,0x05d0,0x0a50,0x0a48,0x05c8,0x0864,0x0ffc},
{0x0000,0x07c0,0x0860,0x17d0,0x1090,0x1750,0x1b38,0x0b68,0x0f84,0x0d04,0x0a7c,0x0dd0,0x1928,0x2724,0x13e2,0x1fff},
	
	// right light
{0x03e0,0x0610,0x0be8,0x0908,0x0ae8,0x1cd8,0x16d0,0x21f0,0x20b0,0x3e50,0x0ba0,0x0a50,0x1250,0x13a0,0x2610,0x3ff0},
{0x0000,0x03e0,0x0610,0x0be8,0x0908,0x0ae8,0x1cd8,0x16d0,0x21f0,0x20b0,0x3e50,0x0bb0,0x1498,0x24e4,0x47c8,0xfff8}

	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
{0x03c0,0x05e0,0x0bf0,0x0ff0,0x1ff8,0x3c3c,0x4bd2,0xbffd,0x7ffe,0x7ffe,0x7ffe,0xffff,0xffff,0xffff,0xfffe,0xffff},	
{0x03c0,0x07a0,0x0fd0,0x0ff0,0x1ff8,0x3c3c,0x4bd2,0xbffd,0x7ffe,0x7ffe,0x7ffe,0xffff,0xffff,0xffff,0x7fff,0xffff},

	// down dark
{0x03c0,0x07e0,0x0bf0,0x0df0,0x1ff8,0x3dbc,0x7dbe,0x9ff9,0xe7ef,0x7ff2,0xbff2,0x9e7f,0x7fff,0xfff7,0xe7e2,0xcff0},
{0x03c0,0x07e0,0x0fd0,0x0fb0,0x1ff8,0x3dbc,0x7dbe,0x9ff9,0xf7e7,0x4ffe,0x4ffd,0xfe79,0xfffe,0xefff,0x47e7,0x0ff3},	
	
	// left dark
{0x07c0,0x0be0,0x17f0,0x1ff0,0x1ff0,0x1bf8,0x0bf8,0x0ff4,0x0f04,0x0efc,0x07f0,0x0e70,0x0e78,0x07f8,0x0ffc,0x0ffc},
{0x0000,0x07c0,0x0be0,0x17f0,0x1ff0,0x1ff0,0x1bf8,0x0bf8,0x0ff4,0x0f04,0x0efc,0x0ff0,0x1f38,0x3f3c,0x1ffe,0x1fff},	
	
	// right dark
{0x03e0,0x07d0,0x0fe8,0x0ff8,0x0ff8,0x1fd8,0x1fd0,0x2ff0,0x20f0,0x3f70,0x0fe0,0x0e70,0x1e70,0x1fe0,0x3ff0,0x3ff0},
{0x0000,0x03e0,0x07d0,0x0fe8,0x0ff8,0x0ff8,0x1fd8,0x1fd0,0x2ff0,0x20f0,0x3f70,0x0ff0,0x1cf8,0x3cfc,0x7ff8,0xfff8}

	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
{~0x03c0,~0x07e0,~0x0ff0,~0x0ff0,~0x1ff8,~0x3ffc,~0x7ffe,~0xffff,~0x7ffe,~0x7ffe,~0x7ffe,~0xffff,~0xffff,~0xffff,~0xfffe,~0xffff},
{~0x03c0,~0x07e0,~0x0ff0,~0x0ff0,~0x1ff8,~0x3ffc,~0x7ffe,~0xffff,~0x7ffe,~0x7ffe,~0x7ffe,~0xffff,~0xffff,~0xffff,~0x7fff,~0xffff},
	
	
	// down mask
{~0x03c0,~0x07e0,~0x0ff0,~0x0ff0,~0x1ff8,~0x3ffc,~0x7ffe,~0xffff,~0xffff,~0x7ffe,~0xfffe,~0xffff,~0x7fff,~0xfff7,~0xe7e2,~0xcff0},	 
{~0x03c0,~0x07e0,~0x0ff0,~0x0ff0,~0x1ff8,~0x3ffc,~0x7ffe,~0xffff,~0xffff,~0x7ffe,~0x7fff,~0xffff,~0xfffe,~0xefff,~0x47e7,~0x0ff3},
	
	// left mask
{~0x07c0,~0x0fe0,~0x1ff0,~0x1ff0,~0x1ff0,~0x1ff8,~0x0ff8,~0x0ffc,~0x0ffc,~0x0ffc,~0x07f0,~0x0ff0,~0x0ff8,~0x07f8,~0x0ffc,~0x0ffc},
{~0x0000,~0x07c0,~0x0fe0,~0x1ff0,~0x1ff0,~0x1ff0,~0x1ff8,~0x0ff8,~0x0ffc,~0x0ffc,~0x0ffc,~0x0ff0,~0x1ff8,~0x3ffc,~0x1ffe,~0x1fff}, 	
	
	// right mask
{~0x03e0,~0x07f0,~0x0ff8,~0x0ff8,~0x0ff8,~0x1ff8,~0x1ff0,~0x3ff0,~0x3ff0,~0x3ff0,~0x0fe0,~0x0ff0,~0x1ff0,~0x1fe0,~0x3ff0,~0x3ff0},
{~0x0000,~0x03e0,~0x07f0,~0x0ff8,~0x0ff8,~0x0ff8,~0x1ff8,~0x1ff0,~0x3ff0,~0x3ff0,~0x3ff0,~0x0ff0,~0x1ff8,~0x3ffc,~0x7ff8,~0xfff8} 
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("pknight 2 out of bounds");}

}// end power knight 2


//===================================================================================================================



void pic_skull_head()
{


	#undef gfx_size
	#define gfx_size 8

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=5;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
{0x01c0,0x7637,0x4809,0x4001,0x380e,0x1004,0x3be6,0x4419,0x740e,0x980a,0x9414,0x6bea,0x194e,0x0988,0x0790,0x00f8},
{0x0380,0xec6e,0x9012,0x8002,0x701c,0x2008,0x67dc,0x9822,0x702e,0x5019,0x2829,0x57d6,0x7298,0x1190,0x09e0,0x1f00}, 

	// down light
{0x01c0,0x7637,0x4809,0x4221,0x394e,0x1144,0x73e6,0x9415,0xed5e,0x9bea,0x980c,0x7414,0x2bea,0x394e,0x0790,0x00e0},	
{0x0380,0xec6e,0x9012,0x8442,0x729c,0x2288,0x67ce,0xa829,0x7ab7,0x57d9,0x3019,0x282e,0x57d4,0x729c,0x09e0,0x0700},
	
	// left light
{0x03e0,0x041e,0x0982,0x0a02,0x3a24,0x2038,0x2044,0x3c9e,0x7992,0xa671,0xa041,0x71c6,0x0e3c,0x0a14,0x0418,0x07e0},
{0x0000,0x19e0,0x2618,0x20c6,0x1101,0x0822,0x083c,0x1046,0x149a,0x09e6,0x1706,0x310c,0x4cf2,0x23a2,0x124c,0x0c70},
	
	// right light
{0x07c0,0x7820,0x4190,0x4050,0x245c,0x1c04,0x2204,0x793c,0x499e,0x8e65,0x8205,0x638e,0x3c70,0x2850,0x1820,0x07e0},
{0x0000,0x0798,0x1864,0x6304,0x8088,0x4410,0x3c10,0x6208,0x5928,0x6790,0x60e8,0x308c,0x4f32,0x45c4,0x3248,0x0e30}
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
{0x01c0,0x7637,0x4809,0x4001,0x380e,0x1004,0x3be6,0x7fff,0x7ffe,0x9ffa,0x9ffc,0x7ffe,0x19ce,0x0ff8,0x07f0,0x00f8},
{0x0380,0xec6e,0x9012,0x8002,0x701c,0x2008,0x67dc,0xfffe,0x7ffe,0x5ff9,0x3ff9,0x7ffe,0x7398,0x1ff0,0x0fe0,0x1f00}, 	
	
	// down dark
{0x01c0,0x7637,0x4809,0x4221,0x394e,0x1144,0x73e6,0xf417,0xfd5e,0x9ffa,0x9ffc,0x7ffc,0x3bee,0x3ffe,0x07f0,0x00e0},	
{0x0380,0xec6e,0x9012,0x8442,0x729c,0x2288,0x67ce,0xe82f,0x7abf,0x5ff9,0x3ff9,0x3ffe,0x77dc,0x7ffc,0x0fe0,0x0700},
	
	// left dark
{0x03e0,0x041e,0x0982,0x0a02,0x3a24,0x2038,0x207c,0x3cfe,0x7ff2,0xbff1,0xbfc9,0x7fce,0x0e3c,0x0ffc,0x07f8,0x07e0},
{0x0000,0x19e0,0x2618,0x20c6,0x1101,0x0822,0x083c,0x107e,0x14fe,0x0fe6,0x1f26,0x3f2c,0x7ffe,0x3ffe,0x1e7c,0x0c70},
	
	// right dark
{0x07c0,0x7820,0x4190,0x4050,0x245c,0x1c04,0x3e04,0x7f3c,0x4ffe,0x8ffd,0x93fd,0x73fe,0x3c70,0x3ff0,0x1fe0,0x07e0},
{0x0000,0x0798,0x1864,0x6304,0x8088,0x4410,0x3c10,0x7e08,0x7f28,0x67f0,0x64f8,0x34fc,0x7ffe,0x7ffc,0x3e78,0x0e30}
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
{~0x01c0,~0x77f7,~0x7fff,~0x7fff,~0x3ffe,~0x1ffc,~0x3ffe,~0x7fff,~0x7ffe,~0xfffe,~0xfffc,~0x7ffe,~0x1ffe,~0x0ff8,~0x07f0,~0x00f8},
{~0x0380,~0xefee,~0xfffe,~0xfffe,~0x7ffc,~0x3ff8,~0x7ffc,~0xfffe,~0x7ffe,~0x7fff,~0x3fff,~0x7ffe,~0x7ff8,~0x1ff0,~0x0fe0,~0x1f00},
	
	// down mask
{~0x01c0,~0x77f7,~0x7fff,~0x7fff,~0x3ffe,~0x1ffc,~0x7ffe,~0xffff,~0xfffe,~0xfffe,~0xfffc,~0x7ffc,~0x3ffe,~0x3ffe,~0x07f0,~0x00e0},	
{~0x0380,~0xefee,~0xfffe,~0xfffe,~0x7ffc,~0x3ff8,~0x7ffe,~0xffff,~0x7fff,~0x7fff,~0x3fff,~0x3ffe,~0x7ffc,~0x7ffc,~0x0fe0,~0x0700},

	// left mask
{~0x03e0,~0x07fe,~0x0ffe,~0x0ffe,~0x3ffc,~0x3ff8,~0x3ffc,~0x3ffe,~0x7ffe,~0xffff,~0xffff,~0x7ffe,~0x0ffc,~0x0ffc,~0x07f8,~0x07e0},
{~0x0000,~0x19e0,~0x3ff8,~0x3ffe,~0x1fff,~0x0ffe,~0x0ffc,~0x1ffe,~0x1ffe,~0x0ffe,~0x1ffe,~0x3ffc,~0x7ffe,~0x3ffe,~0x1e7c,~0x0c70},
	
	
	// right mask
{~0x07c0,~0x7fe0,~0x7ff0,~0x7ff0,~0x3ffc,~0x1ffc,~0x3ffc,~0x7ffc,~0x7ffe,~0xffff,~0xffff,~0x7ffe,~0x3ff0,~0x3ff0,~0x1fe0,~0x07e0},
{~0x0000,~0x0798,~0x1ffc,~0x7ffc,~0xfff8,~0x7ff0,~0x3ff0,~0x7ff8,~0x7ff8,~0x7ff0,~0x7ff8,~0x3ffc,~0x7ffe,~0x7ffc,~0x3e78,~0x0e30}
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("skull head out of bounds");}

}// end skull head


//===================================================================================================================



void pic_snowman()
{
//like the snake

	#undef gfx_size
	#define gfx_size 8

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=5;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// left light
{0x01f0,0x0208,0x0c84,0x0b22,0x0482,0x3a82,0x5102,0x600c,0x4206,0x4009,0x4409,0x4006,0x2404,0x2008,0x1830,0x7ffc},
{0x0f80,0x1040,0x2020,0x4410,0x501c,0x4c32,0x3212,0x2c0c,0x7002,0xa002,0xa402,0x6002,0x1204,0x1084,0x0c18,0x3ffe}, 	
	
	// right light
{0x0f80,0x1040,0x2130,0x44d0,0x4120,0x415c,0x408a,0x3006,0x6042,0x9002,0x9022,0x6002,0x2024,0x1004,0x0c18,0x3ffe},
{0x01f0,0x0208,0x0404,0x0822,0x380a,0x4c32,0x484c,0x3034,0x400e,0x4005,0x4025,0x4006,0x2048,0x2108,0x1830,0x7ffc},
	
	// left light
{0x01f0,0x0208,0x0c84,0x0b22,0x0482,0x3a82,0x5102,0x600c,0x4206,0x4009,0x4409,0x4006,0x2404,0x2008,0x1830,0x7ffc},
{0x0f80,0x1040,0x2020,0x4410,0x501c,0x4c32,0x3212,0x2c0c,0x7002,0xa002,0xa402,0x6002,0x1204,0x1084,0x0c18,0x3ffe}, 	
	
	// right light
{0x0f80,0x1040,0x2130,0x44d0,0x4120,0x415c,0x408a,0x3006,0x6042,0x9002,0x9022,0x6002,0x2024,0x1004,0x0c18,0x3ffe},
{0x01f0,0x0208,0x0404,0x0822,0x380a,0x4c32,0x484c,0x3034,0x400e,0x4005,0x4025,0x4006,0x2048,0x2108,0x1830,0x7ffc}
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	
	// left dark
{0x01f0,0x0208,0x0c84,0x0f22,0x0782,0x3f86,0x512e,0x601c,0x420e,0x4009,0x4409,0x600e,0x241c,0x3038,0x1ff0,0x7ffc},
{0x0f80,0x10c0,0x2060,0x4430,0x503c,0x6c72,0x3e32,0x3c1c,0x7806,0xa006,0xa40e,0x600e,0x120c,0x1cbc,0x0ff8,0x3ffe}, 	
	
	// right dark
{0x0f80,0x1040,0x2130,0x44f0,0x41e0,0x61fc,0x748a,0x3806,0x7042,0x9002,0x9022,0x7006,0x3824,0x1c0c,0x0ff8,0x3ffe},
{0x01f0,0x0308,0x0604,0x0c22,0x3c0a,0x4e36,0x4c7c,0x383c,0x601e,0x6005,0x7025,0x7006,0x3048,0x3d38,0x1ff0,0x7ffc},
	
	// left dark
{0x01f0,0x0208,0x0c84,0x0f22,0x0782,0x3f86,0x512e,0x601c,0x420e,0x4009,0x4409,0x600e,0x241c,0x3038,0x1ff0,0x7ffc},
{0x0f80,0x10c0,0x2060,0x4430,0x503c,0x6c72,0x3e32,0x3c1c,0x7806,0xa006,0xa40e,0x600e,0x120c,0x1cbc,0x0ff8,0x3ffe}, 	
	
	// right dark
{0x0f80,0x1040,0x2130,0x44f0,0x41e0,0x61fc,0x748a,0x3806,0x7042,0x9002,0x9022,0x7006,0x3824,0x1c0c,0x0ff8,0x3ffe},
{0x01f0,0x0308,0x0604,0x0c22,0x3c0a,0x4e36,0x4c7c,0x383c,0x601e,0x6005,0x7025,0x7006,0x3048,0x3d38,0x1ff0,0x7ffc}
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// left mask
{~0x01f0,~0x03f8,~0x0ffc,~0x0ffe,~0x07fe,~0x3ffe,~0x7ffe,~0x7ffc,~0x7ffe,~0x7fff,~0x7fff,~0x7ffe,~0x3ffc,~0x3ff8,~0x1ff0,~0x7ffc},	
{~0x0f80,~0x1fc0,~0x3fe0,~0x7ff0,~0x7ffc,~0x7ffe,~0x3ffe,~0x3ffc,~0x7ffe,~0xfffe,~0xfffe,~0x7ffe,~0x1ffc,~0x1ffc,~0x0ff8,~0x3ffe},
	
	// right mask
{~0x0f80,~0x1fc0,~0x3ff0,~0x7ff0,~0x7fe0,~0x7ffc,~0x7ffe,~0x3ffe,~0x7ffe,~0xfffe,~0xfffe,~0x7ffe,~0x3ffc,~0x1ffc,~0x0ff8,~0x3ffe},
{~0x01f0,~0x03f8,~0x07fc,~0x0ffe,~0x3ffe,~0x7ffe,~0x7ffc,~0x3ffc,~0x7ffe,~0x7fff,~0x7fff,~0x7ffe,~0x3ff8,~0x3ff8,~0x1ff0,~0x7ffc},
	
	
	// left mask
{~0x01f0,~0x03f8,~0x0ffc,~0x0ffe,~0x07fe,~0x3ffe,~0x7ffe,~0x7ffc,~0x7ffe,~0x7fff,~0x7fff,~0x7ffe,~0x3ffc,~0x3ff8,~0x1ff0,~0x7ffc},	
{~0x0f80,~0x1fc0,~0x3fe0,~0x7ff0,~0x7ffc,~0x7ffe,~0x3ffe,~0x3ffc,~0x7ffe,~0xfffe,~0xfffe,~0x7ffe,~0x1ffc,~0x1ffc,~0x0ff8,~0x3ffe},
	
	// right mask
{~0x0f80,~0x1fc0,~0x3ff0,~0x7ff0,~0x7fe0,~0x7ffc,~0x7ffe,~0x3ffe,~0x7ffe,~0xfffe,~0xfffe,~0x7ffe,~0x3ffc,~0x1ffc,~0x0ff8,~0x3ffe},
{~0x01f0,~0x03f8,~0x07fc,~0x0ffe,~0x3ffe,~0x7ffe,~0x7ffc,~0x3ffc,~0x7ffe,~0x7fff,~0x7fff,~0x7ffe,~0x3ff8,~0x3ff8,~0x1ff0,~0x7ffc}
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("snowman out of bounds");}

}// end snowman


//===================================================================================================================



void pic_stingray()
{
// like the snake

	#undef gfx_size
	#define gfx_size 8

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=5;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// left light
{0x0000,0x01c0,0x07f0,0x0e08,0x1804,0x2004,0x3182,0x5b02,0x5502,0xae01,0xd0e1,0xef79,0x4095,0x0162,0x0180,0x0080},
{0x0000,0x3006,0x49df,0x4fff,0x9e1f,0x982f,0xa33f,0xb65e,0x6a7e,0x5cba,0x2374,0x1f94,0x0028,0x0030,0x0020,0x0020},
	
	// right light
{0x0000,0x0380,0x0fe0,0x1070,0x2018,0x2004,0x418c,0x40da,0x40aa,0x8075,0x870b,0x9ef7,0xa902,0x4680,0x0180,0x0100},
{0x0000,0x600c,0xfb92,0xfff2,0xf879,0xf419,0xfcc5,0x7a6d,0x7e56,0x5d3a,0x2ec4,0x29f8,0x1400,0x0c00,0x0400,0x0400},
	
	// left light
{0x0000,0x01c0,0x07f0,0x0e08,0x1804,0x2004,0x3182,0x5b02,0x5502,0xae01,0xd0e1,0xef79,0x4095,0x0162,0x0180,0x0080},
{0x0000,0x3006,0x49df,0x4fff,0x9e1f,0x982f,0xa33f,0xb65e,0x6a7e,0x5cba,0x2374,0x1f94,0x0028,0x0030,0x0020,0x0020},
	
	// right light
{0x0000,0x0380,0x0fe0,0x1070,0x2018,0x2004,0x418c,0x40da,0x40aa,0x8075,0x870b,0x9ef7,0xa902,0x4680,0x0180,0x0100},
{0x0000,0x600c,0xfb92,0xfff2,0xf879,0xf419,0xfcc5,0x7a6d,0x7e56,0x5d3a,0x2ec4,0x29f8,0x1400,0x0c00,0x0400,0x0400}
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// left dark
{0x0000,0x01c0,0x0630,0x09f8,0x17fc,0x3ffc,0x3ffe,0x7ffe,0x75fe,0xffff,0xbfff,0xaf7f,0x40f7,0x01e2,0x0180,0x0080},
{0x0000,0x3006,0x79d9,0x7e31,0xf9f1,0xf7f1,0xffe1,0xffe2,0x6bc6,0x7fde,0x3ffc,0x1f9c,0x0038,0x0030,0x0020,0x0020},	
	
	// right dark
{0x0000,0x0380,0x0c60,0x1f90,0x3fe8,0x3ffc,0x7ffc,0x7ffe,0x7fae,0xffff,0xfffd,0xfef5,0xef02,0x4780,0x0180,0x0100},
{0x0000,0x600c,0x9b9e,0x8c7e,0x8f9f,0x8fef,0x87ff,0x47ff,0x63d6,0x7bfe,0x3ffc,0x39f8,0x1c00,0x0c00,0x0400,0x0400},	
	
	// left dark
{0x0000,0x01c0,0x0630,0x09f8,0x17fc,0x3ffc,0x3ffe,0x7ffe,0x75fe,0xffff,0xbfff,0xaf7f,0x40f7,0x01e2,0x0180,0x0080},
{0x0000,0x3006,0x79d9,0x7e31,0xf9f1,0xf7f1,0xffe1,0xffe2,0x6bc6,0x7fde,0x3ffc,0x1f9c,0x0038,0x0030,0x0020,0x0020},	
	
	// right dark
{0x0000,0x0380,0x0c60,0x1f90,0x3fe8,0x3ffc,0x7ffc,0x7ffe,0x7fae,0xffff,0xfffd,0xfef5,0xef02,0x4780,0x0180,0x0100},
{0x0000,0x600c,0x9b9e,0x8c7e,0x8f9f,0x8fef,0x87ff,0x47ff,0x63d6,0x7bfe,0x3ffc,0x39f8,0x1c00,0x0c00,0x0400,0x0400}
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// left mask
{~0x0000,~0x01c0,~0x07f0,~0x0ff8,~0x1ffc,~0x3ffc,~0x3ffe,~0x7ffe,~0x7ffe,~0xffff,~0xffff,~0xef7f,~0x40f7,~0x01e2,~0x0180,~0x0080},
{~0x0000,~0x3006,~0x79df,~0x7fff,~0xffff,~0xffff,~0xffff,~0xfffe,~0x7ffe,~0x7ffe,~0x3ffc,~0x1f9c,~0x0038,~0x0030,~0x0020,~0x0020}, 	
	
	// right mask
{~0x0000,~0x0380,~0x0fe0,~0x1ff0,~0x3ff8,~0x3ffc,~0x7ffc,~0x7ffe,~0x7ffe,~0xffff,~0xffff,~0xfef7,~0xef02,~0x4780,~0x0180,~0x0100},
{~0x0000,~0x600c,~0xfb9e,~0xfffe,~0xffff,~0xffff,~0xffff,~0x7fff,~0x7ffe,~0x7ffe,~0x3ffc,~0x39f8,~0x1c00,~0x0c00,~0x0400,~0x0400},
	
	// left mask
{~0x0000,~0x01c0,~0x07f0,~0x0ff8,~0x1ffc,~0x3ffc,~0x3ffe,~0x7ffe,~0x7ffe,~0xffff,~0xffff,~0xef7f,~0x40f7,~0x01e2,~0x0180,~0x0080},
{~0x0000,~0x3006,~0x79df,~0x7fff,~0xffff,~0xffff,~0xffff,~0xfffe,~0x7ffe,~0x7ffe,~0x3ffc,~0x1f9c,~0x0038,~0x0030,~0x0020,~0x0020}, 	
	
	// right mask
{~0x0000,~0x0380,~0x0fe0,~0x1ff0,~0x3ff8,~0x3ffc,~0x7ffc,~0x7ffe,~0x7ffe,~0xffff,~0xffff,~0xfef7,~0xef02,~0x4780,~0x0180,~0x0100},
{~0x0000,~0x600c,~0xfb9e,~0xfffe,~0xffff,~0xffff,~0xffff,~0x7fff,~0x7ffe,~0x7ffe,~0x3ffc,~0x39f8,~0x1c00,~0x0c00,~0x0400,~0x0400}
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("stingray out of bounds");}

}// end stingray


//===================================================================================================================



void pic_toad()
{

// like the snake
	#undef gfx_size
	#define gfx_size 8

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=5;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// left light
{0x0000,0x0f80,0x307c,0x5714,0xd888,0xb24f,0xd045,0x8882,0x8702,0x7002,0x28e1,0x2101,0x1105,0x1f9d,0x240a,0x7fff},
{0x0f80,0x307c,0x7714,0xff88,0xffcf,0xdfc5,0x8f82,0x8702,0x7062,0x3e91,0x3901,0x7c85,0xb209,0x4f36,0x30a0,0xffff}, 	
	
	// right light
{0x0000,0x01f0,0x3e0c,0x28ea,0x111b,0xf24d,0xa20b,0x4111,0x40e1,0x400e,0x8714,0x8084,0xa088,0xb9f8,0x5024,0xfffe},
{0x01f0,0x3e0c,0x28ee,0x11ff,0xf3ff,0xa3fb,0x41f1,0x40e1,0x460e,0x897c,0x809c,0xa13e,0x904d,0x6cf2,0x050c,0xffff},
	
	// left light
{0x0000,0x0f80,0x307c,0x5714,0xd888,0xb24f,0xd045,0x8882,0x8702,0x7002,0x28e1,0x2101,0x1105,0x1f9d,0x240a,0x7fff},
{0x0f80,0x307c,0x7714,0xff88,0xffcf,0xdfc5,0x8f82,0x8702,0x7062,0x3e91,0x3901,0x7c85,0xb209,0x4f36,0x30a0,0xffff}, 	
	
	// right light
{0x0000,0x01f0,0x3e0c,0x28ea,0x111b,0xf24d,0xa20b,0x4111,0x40e1,0x400e,0x8714,0x8084,0xa088,0xb9f8,0x5024,0xfffe},
{0x01f0,0x3e0c,0x28ee,0x11ff,0xf3ff,0xa3fb,0x41f1,0x40e1,0x460e,0x897c,0x809c,0xa13e,0x904d,0x6cf2,0x050c,0xffff},

	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// left dark
{0x0000,0x0f80,0x3ffc,0x5ffc,0xd8f8,0xb27f,0xf07f,0xf8fe,0xfffe,0x7ffe,0x3fff,0x3fff,0x1fff,0x1fff,0x3ffa,0x7fff},	
{0x0f80,0x3ffc,0x5ffc,0xd8f8,0xb37f,0xf47f,0xf8fe,0xfffe,0x7ffe,0x3fff,0x3fff,0x7fff,0xffff,0x7ff6,0x30e0,0xffff},
	
	// right dark
{0x0000,0x01f0,0x3ffc,0x3ffa,0x1f1b,0xfe4d,0xfe0f,0x7f1f,0x7fff,0x7ffe,0xfffc,0xfffc,0xfff8,0xfff8,0x5ffc,0xfffe},
{0x01f0,0x3ffc,0x3ffa,0x1f1b,0xfecd,0xfe2f,0x7f1f,0x7fff,0x7ffe,0xfffc,0xfffc,0xfffe,0xffff,0x6ffe,0x070c,0xffff}, 
	
	// left dark
{0x0000,0x0f80,0x3ffc,0x5ffc,0xd8f8,0xb27f,0xf07f,0xf8fe,0xfffe,0x7ffe,0x3fff,0x3fff,0x1fff,0x1fff,0x3ffa,0x7fff},	
{0x0f80,0x3ffc,0x5ffc,0xd8f8,0xb37f,0xf47f,0xf8fe,0xfffe,0x7ffe,0x3fff,0x3fff,0x7fff,0xffff,0x7ff6,0x30e0,0xffff},
	
	// right dark
{0x0000,0x01f0,0x3ffc,0x3ffa,0x1f1b,0xfe4d,0xfe0f,0x7f1f,0x7fff,0x7ffe,0xfffc,0xfffc,0xfff8,0xfff8,0x5ffc,0xfffe},
{0x01f0,0x3ffc,0x3ffa,0x1f1b,0xfecd,0xfe2f,0x7f1f,0x7fff,0x7ffe,0xfffc,0xfffc,0xfffe,0xffff,0x6ffe,0x070c,0xffff}, 
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// left mask
{~0x0000,~0x0f80,~0x3ffc,~0x7ffc,~0xfff8,~0xffff,~0xffff,~0xfffe,~0xfffe,~0x7ffe,~0x3fff,~0x3fff,~0x1fff,~0x1fff,~0x3ffa,~0x7fff},
{~0x0f80,~0x3ffc,~0x7ffc,~0xfff8,~0xffff,~0xffff,~0xfffe,~0xfffe,~0x7ffe,~0x3fff,~0x3fff,~0x7fff,~0xffff,~0x7ff6,~0x30e0,~0xffff}, 	
	
	// right mask
{~0x0000,~0x01f0,~0x3ffc,~0x3ffe,~0x1fff,~0xffff,~0xffff,~0x7fff,~0x7fff,~0x7ffe,~0xfffc,~0xfffc,~0xfff8,~0xfff8,~0x5ffc,~0xfffe},
{~0x01f0,~0x3ffc,~0x3ffe,~0x1fff,~0xffff,~0xffff,~0x7fff,~0x7fff,~0x7ffe,~0xfffc,~0xfffc,~0xfffe,~0xffff,~0x6ffe,~0x070c,~0xffff},
	
	// left mask
{~0x0000,~0x0f80,~0x3ffc,~0x7ffc,~0xfff8,~0xffff,~0xffff,~0xfffe,~0xfffe,~0x7ffe,~0x3fff,~0x3fff,~0x1fff,~0x1fff,~0x3ffa,~0x7fff},
{~0x0f80,~0x3ffc,~0x7ffc,~0xfff8,~0xffff,~0xffff,~0xfffe,~0xfffe,~0x7ffe,~0x3fff,~0x3fff,~0x7fff,~0xffff,~0x7ff6,~0x30e0,~0xffff}, 	
	
	// right mask
{~0x0000,~0x01f0,~0x3ffc,~0x3ffe,~0x1fff,~0xffff,~0xffff,~0x7fff,~0x7fff,~0x7ffe,~0xfffc,~0xfffc,~0xfff8,~0xfff8,~0x5ffc,~0xfffe},
{~0x01f0,~0x3ffc,~0x3ffe,~0x1fff,~0xffff,~0xffff,~0x7fff,~0x7fff,~0x7ffe,~0xfffc,~0xfffc,~0xfffe,~0xffff,~0x6ffe,~0x070c,~0xffff}
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("toad out of bounds");}

}// end toad


//===================================================================================================================

