// C Source File
// Created 9/7/2011; 5:43:00 AM

#include <tigcclib.h>
#include "mapping_sys.h"
#include "defines.h"
#include "new_worlds.h"
/*
#define warp_points 16
#define warp_room 0
#define warp_x_low 1
#define warp_x_high 2
#define warp_y_low 3
#define warp_y_high 4
#define warp_new_world 5
#define warp_new_rmapx 6
#define warp_new_rmapy 7
#define warp_new_link_x 8
#define warp_new_link_y 9

// from warp
#define warp_map_x 0
#define warp_map_y 1
#define warp_x_sprite 2
#define warp_y_sprite 3
// to warp
#define warp_to_ow 4
#define warp_to_rset 5
#define warp_to_map_x 6
#define warp_to_map_y 7
#define warp_to_sprite_x 8
#define warp_to_sprite_y 9

*/
int warp[warp_points][10];
int rmapz(int x)
{// this will return the x coord for the room_map[?][y] coord
//	int x=link_stat(map_y);
	if (x>=4){x-=4;}// the adjustment of 4 is needed b/c the map is 4x4, but the world map is 8x8
	return x;
}// end rmapy
void set_warp_point(int loc, int mapx, int mapy, int x_sprite, int y_sprite, int to_ow,
										int to_map,int to_map_x, int to_map_y, int to_sprite_x, 
										int to_sprite_y)
{
					// **  this is important **  when you warp to a different map inside the same ow, make
					//  sure you put the ow number instead of "same_map".  this will make it load the new map.

	if (loc>=warp_points){printf("warp point out of bounds");return;}
	warp[loc][warp_map_x]=mapx;//rmapz(mapx);
	warp[loc][warp_map_y]=mapy;//rmapz(mapy);
	warp[loc][warp_x_sprite]=x_sprite;
	warp[loc][warp_y_sprite]=y_sprite;
	
	warp[loc][warp_to_ow]=to_ow;
	warp[loc][warp_to_map]=to_map;
	warp[loc][warp_to_map_x]=to_map_x;//rmapz(to_map_x);
	warp[loc][warp_to_map_y]=to_map_y;//rmapz(to_map_y);
	
	warp[loc][warp_to_sprite_x]=to_sprite_x;
	warp[loc][warp_to_sprite_y]=to_sprite_y;
}	// end set warp point									

void create_warp_point_set(int loc, int mapx, int mapy, int x_sprite, int y_sprite, int return_dir, int return_ow, int return_map,
										int to_ow, int to_map,int to_map_x, int to_map_y, int to_sprite_x, int to_sprite_y, int return_start_dir)
{
// return_dir tells if you want to return to the sprite to the left, right, up or down of where you warped.
// return_start_dir, tells the warper to point to where the warping sprite is for the return.
// this uses 15 arguments, instead of 22 like the old one.  besides this should reduce the cfusion on the return
// this will create 2 warp points, the initial one and the return warp point.
// use loc from 1 to 8.  it will calcualte from there

					// **  this is important **  when you warp to a different map inside the same ow, make
					//  sure you put the ow number instead of "same_map".  this will make it load the new map.

loc--;// to use the old locations start with this
loc=loc*2;// this creates 2 warp points, so double number sent to it.
if ((loc<0) || (loc>=warp_points)){printf("warp point out of bounds");return;}// oh bad juju happened before i had this.  all sorts of memory hell errors from not
// setting up the warps correctly.

	warp[loc][warp_map_x]=mapx;//rmapz(mapx);
	warp[loc][warp_map_y]=mapy;//rmapz(mapy);
	warp[loc][warp_x_sprite]=x_sprite;
	warp[loc][warp_y_sprite]=y_sprite;
	
	warp[loc][warp_to_ow]=to_ow;
	warp[loc][warp_to_map]=to_map;
	warp[loc][warp_to_map_x]=to_map_x;//rmapz(to_map_x);
	warp[loc][warp_to_map_y]=to_map_y;//rmapz(to_map_y);
	
	warp[loc][warp_to_sprite_x]=to_sprite_x;
	warp[loc][warp_to_sprite_y]=to_sprite_y;

	switch (return_dir)
	{
		case up:	y_sprite--;	break;
		case down: y_sprite++; break;
		case left: x_sprite--; break;
		case right: x_sprite++; break;
	}


	switch (return_start_dir)
	{
		case up: to_sprite_y--;	break;
		case down: to_sprite_y++; break;
		case left: to_sprite_x--; break;
		case right: to_sprite_x++; break;
	}

loc++; // increase the location for the return warp

// reverse the warp and make a return warp id.

	warp[loc][warp_map_x]=to_map_x;//rmapz(mapx);
	warp[loc][warp_map_y]=to_map_y;//rmapz(mapy);
	warp[loc][warp_x_sprite]=to_sprite_x;
	warp[loc][warp_y_sprite]=to_sprite_y;
	
	warp[loc][warp_to_ow]=return_ow;
	warp[loc][warp_to_map]=return_map;
	warp[loc][warp_to_map_x]=mapx;//rmapz(to_map_x);
	warp[loc][warp_to_map_y]=mapy;//rmapz(to_map_y);
	
	warp[loc][warp_to_sprite_x]=x_sprite;
	warp[loc][warp_to_sprite_y]=y_sprite;

}	// end set warp point									


void clr_warp(){

	int i=0,k=0;
	while (i<warp_points){
		while (k<10)
			{
				warp[i][k]=0;
				k++;
			}
		i++;k=0;
		}// end while	
}// end warp_1	





void create_warp_file(int i)
{
	clr_warp();

// set_warps is the modifyable switch statment in edit_these.c  

int create=set_warps(i);



if (create){//only create the file if you have update the file.
TRY

		    FILE *f = NULL;
    short int fileio = TRUE;
			char mapa[10], sav2[20];
		sprintf(mapa,"wp%i",i);
		sprintf(sav2,"etc\\wp%i",i);
    FolderCur(SYMSTR("etc"),TRUE);
    HSym sym = SymFind (SYMSTR (mapa));	
    TRY
    if (sym.folder){cmd_unarchiv(SYMSTR(mapa));}// unarchive the save
    ONERR
    ENDTRY    	
		    if ((f = fopen(mapa,"wb")) == NULL) {// write into temp - use the file saving routine for the
    // saving of the real file.  for everything else, use the temp file
        fileio = FALSE;
    } else {
        // write inv data to the file
       

    		    if (fwrite(warp,sizeof(warp),1,f) != 1) {fileio = FALSE;}

	        fputc(0,f);
	        fputs("ZLD",f);
	        fputc(0,f);
	        fputc(OTH_TAG,f);
	
	        // close the file
	        fclose(f);       
       }// end else
       if (fileio){cmd_archive(SYMSTR(sav2));}
       
       ONERR
       ENDTRY
	}// end if create the file.
	// this needs to be put into the etc folder.
}// end create warp file