// Header File
// Created 7/20/2011; 1:20:25 AM

#include "rdefines.h"

void save_items(int i);



// these defines are for room_maps[8][x]
#define gfx_list 0  // this will not be used, b/c it is now placed in the world[][]
#define mob_gfx_list 1
#define mob_file 2
#define warp_list 3
//#define treasure_list 4
//#define locked_door_list 5 - not needed anymore
#define world_pos_x 5 // this is the replacement for locked door list
#define story_file 6
#define shop_list 7
#define hidden 8  // mod dung_maps if you ever change this. (int room_hidden(int room))
#define msg_list 9

// these defines are for room_maps[9][x]
#define room_dark 10  // just do <define> - 10 to get the thingie.
//room id=19
//#define mobs_killed 11 // this will tell you whether to load the mob file for the room or not. 
	// this is no longer used. - redefine for the room stats, though.
#define world_pos_y 11 // this is the replacement for mobs killed.
#define mobs_start 12// these let me know the range of mobs to use in the mob list
#define mobs_end 13 
#define no_save 14
#define torches_to_be_lit 15
#define torches_lit 16
#define mobs_amount 17  // the amount of mobs to randomly create for a room.
#define base_sprite 18 // this is used as the base ground, so when you cut or move an object, then
// it will replace it with that sprite.

#define mobs_killed 1000 // this is redone so it can work in the get_room_info still and pull the
// get_room_stats array.
#define room_lit 1001 // this is to tell whether that room has been lit or not.




int room_list[49][10][10] =
{

{{GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},   //Blank Template for a room
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2}},

{{TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,FENCE1,FENCE1,FENCE1,FENCE1,FENCE1,FENCE1,FENCE1,GRASS2},
 {GRASS2,GRASS2,FENCE1,GRASS1,GRASS1,GRASS1,GRASS1,TREE1 ,TREE2 ,GRASS1},
 {GRASS2,FLOWER1,FENCE1,GRASS1,ROOF10,ROOF10,ROOF10,TREE3 ,TREE4 ,GRASS1},  //1 - Where link starts off
 {GRASS2,GRASS2,FENCE1,GRASS1,HOUSE2,HOUSE3,HOUSE2,GRASS1,FENCE1,GRASS2},
 {GRASS2,GRASS2,FENCE1,GRASS1,GRASS1,ROAD1 ,GRASS1,GRASS1,FENCE1,GRASS2},
 {GRASS2,GRASS2,FENCE1,FENCE1,FENCE1,ROAD1 ,FENCE1,FENCE1,FENCE1,GRASS2},
 {ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,GRASS2,GRASS2,GRASS2,GRASS2},
 {1,1,-88,1,0,0,0,0,0,0}, {0,0,0,2,0,0,0,5,25,0}

 },
 
{{GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,TREE3},
 {GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,TREE1},
 {GRASS1,GRASS1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,GRASS1,TREE3},    //2 - Square of plants, right off start point
 {GRASS1,GRASS1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,GRASS1,TREE1},
 {GRASS1,GRASS1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,GRASS1,TREE3},
 {GRASS1,GRASS1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,GRASS1,TREE1},
 {GRASS1,GRASS1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,PLANT1,GRASS1,TREE3},
 {GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,TREE1},
 {1,1,1,0,0,0,0,0,0,0}, {0,0,0,2,0,0,0,0,25,0}// range of 0 to 2 on mobs
 },
 
{{GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,TREE3},
 {GRASS2,GRASS2,GRASS2,GRASS2,PLANT1,PLANT1,PLANT1,GRASS2,EDGE1 ,EDGE2},
 {GRASS2,GRASS2,GRASS2,PLANT1,ROOF6 ,ROOF5 ,ROOF4 ,PLANT1,EDGE3,WATER1},
 {GRASS2,GRASS2,GRASS2,PLANT1,ROOF1 ,ROOF2 ,ROOF3 ,PLANT1,EDGE3,WATER1},    //3 - Trendy Game
 {GRASS2,FLOWER1,GRASS2,PLANT1,HOUSE2,HOUSE3,HOUSE2,PLANT1,EDGE3,WATER1},
 {GRASS2,GRASS2,GRASS2,PLANT1,GRASS2,GRASS2,GRASS2,PLANT1,EDGE3,WATER1},
 {GRASS2,GRASS2,GRASS2,GRASS2,PLANT1,PLANT1,TREE1 ,TREE2 ,EDGE3,WATER1},
 {TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE5 ,TREE4 ,EDGE5,EDGE4 },
 {1,1,1,1,0,0,0,0,0,0}, {0,0,0,3,0,0,0,0,25,0}// range of 0 to 3 (include dog)
 },

{{GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2}, //fix mobs
 {GRASS2,GRASS2,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,GRASS2},
 {FLOWER1,GRASS2,ROAD2,ROAD3 ,ROAD3 ,ROAD3 ,ROAD3 ,ROAD3 ,ROAD2 ,GRASS2},
 {GRASS2,GRASS2,ROAD2 ,ROAD3 ,TREE1 ,HOUSE5,TREE2 ,ROAD3 ,ROAD2 ,GRASS2},   //4 - Phone roof house
 {GRASS2,GRASS2,ROAD2 ,ROAD3 ,TREE3 ,HOUSE4,TREE4 ,ROAD3 ,ROAD2 ,GRASS2},
 {GRASS2,GRASS2,ROAD2 ,ROAD3 ,ROAD3 ,ROAD3 ,ROAD3 ,ROAD3 ,ROAD2 ,GRASS2},
 {GRASS2,FLOWER1,ROAD2,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,GRASS2},
 {TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 },
 {1,1,5,1,0,0,0,0,0,0}, {0,0,2,3,0,0,0,0,25,0}// only 2 mobs
 },
 
{{TREE3 ,TREE4 ,TREE3 ,TREE4 ,GRASS1,GRASS1,GRASS1,TREE3 ,TREE4 ,TREE3 },
 {ROAD1 ,ROAD1 ,ROOF6 ,ROOF5 ,ROOF4 ,GRASS1,GRASS2,GRASS2,GRASS2,GRASS2},
 {GRASS2,ROAD1 ,ROOF7 ,ROOF8 ,ROOF9 ,ROOF10,FLOWER1,GRASS2,GRASS2,GRASS2},
 {GRASS2,ROAD1 ,HOUSE2,HOUSE3,HOUSE2,HOUSE3,FENCE1,GRASS1,GRASS2,GRASS2},   //5 - Bowwow's house
 {GRASS2,ROAD1 ,ROAD1 ,ROAD1 ,FENCE2,GRASS1,GRASS1,GRASS1,GRASS1,GRASS2},
 {GRASS2,GRASS2,FLOWER1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS1,GRASS2,GRASS2},
 {ROAD1 ,ROAD1 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2},
 {TREE2 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 },
 {1,1,1,1,0,0,0,0,0,0}, {0,0,1,3,0,0,0,0,25,0}// 3 mobs w/ dog
 },
 
{{TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2}, //fix mobs
 {TREE2 ,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {TREE4 ,FENCE4,FENCE3,FENCE3,FENCE3,FENCE3,FENCE3,FENCE4,GRASS2,GRASS2},
 {TREE2 ,FENCE3,GRASS1,ROOF6 ,ROOF5 ,ROOF4 ,GRASS1,FENCE3,GRASS2,FLOWER1},   //6 - Ulrira's house
 {TREE4 ,GRASS2,GRASS1,ROOF7 ,ROOF8 ,ROOF9 ,GRASS1,GRASS2,GRASS2,GRASS2},
 {TREE2 ,GRASS2,GRASS1,HOUSE2,HOUSE3,HOUSE2,GRASS1,GRASS2,GRASS2,GRASS2},
 {TREE6 ,TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2},
 {TREE5 ,TREE6 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 },
 {1,1,5,1,0,0,0,0,0,0}, {0,0,3,3,0,0,0,0,25,0}
 },

{{TREE5 ,TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 }, //fix mobs
 {TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 ,TREE6 },
 {TREE2 ,GRASS2,TREE1 ,TREE2 ,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,TREE3 },
 {TREE4 ,GRASS2,TREE3 ,TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 },   //7 - below the fish game
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE2 ,GRASS2,GRASS2,TREE3 },
 {TREE4 ,GRASS2,GRASS2,FLOWER1,GRASS2,TREE3 ,TREE4 ,GRASS2,GRASS2,TREE1 },
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 },
 {TREE6 ,TREE2 ,TREE1 ,TREE2 ,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 ,TREE6 },
 {1,1,5,0,0,0,0,0,0,0}, {0,0,0,2,0,0,0,0,25,0}
 },

{{TREE5 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE1 ,TREE5 },
 {TREE4 ,EDGE1 ,EDGE2 ,EDGE2 ,EDGE6 ,ROOF10,ROOF10,ROOF10,TREE3 ,TREE6 },
 {TREE2 ,EDGE3 ,WATER1,WATER1,EDGE7 ,HOUSE2,HOUSE2,HOUSE2,TREE1 ,TREE5 },
 {TREE4 ,EDGE3 ,WATER1,WATER1,EDGE8 ,EDGE6 ,GRASS1,GRASS1,TREE3 ,TREE6 },   //8 - fish game
 {TREE2 ,EDGE3 ,WATER1,WATER1,WATER1,EDGE7 ,GRASS2,FLOWER1,TREE1 ,TREE5 },
 {TREE4 ,EDGE5 ,EDGE4 ,EDGE4 ,EDGE4 ,EDGE9 ,GRASS2,GRASS2,TREE3 ,TREE6 },
 {TREE2 ,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 },
 {TREE6 ,TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 ,TREE6 },
 {1,0,0,0,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,25,0}
 },
 
{{CLIFF1,STAIR1,CLIFF1,CLIFF1,CLIFF2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 }, //fix mobs
 {GRASS2,ROAD1 ,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,TREE3 },
 {GRASS2,ROAD1 ,GRASS2,PLANT1,PLANT1,PLANT1,GRASS2,ROAD1 ,ROAD1 ,ROAD1 },
 {GRASS2,ROAD1 ,PLANT1,ROOF6 ,ROOF5 ,ROOF4 ,PLANT1,ROAD1 ,GRASS2,TREE1 },   //9 - Item Shop
 {GRASS2,ROAD1 ,PLANT1,ROOF1 ,ROOF2 ,ROOF3 ,PLANT1,ROAD1 ,GRASS2,TREE3 },
 {GRASS2,ROAD1 ,PLANT1,HOUSE2,HOUSE3,HOUSE2,PLANT1,ROAD1 ,GRASS2,TREE1 },
 {ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,GRASS2,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 },
 {1,1,5,1,0,0,0,0,0,0}, {0,0,2,3,0,0,0,0,25,0}
 },
 
{{TREE4 ,GRASS2,CLIFF3,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {TREE2 ,GRASS2,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,GRASS2},
 {TREE4 ,GRASS2,ROAD2 ,ROAD2 ,FLOWER1,FLOWER1,FLOWER1,ROAD2 ,ROAD2 ,GRASS2},
 {TREE2 ,GRASS2,ROAD2 ,FLOWER1,ROAD2 ,OBJECT1,ROAD2 ,FLOWER1,ROAD2 ,GRASS2},   //10 - Flying Rooster
 {TREE4 ,GRASS2,ROAD2 ,FLOWER1,ROAD2 ,OBJECT2,ROAD2 ,FLOWER1,ROAD2 ,GRASS2},
 {TREE2 ,GRASS2,ROAD2 ,FLOWER1,ROAD2 ,ROAD2 ,ROAD2 ,FLOWER1,ROAD2 ,GRASS2},
 {TREE4 ,GRASS2,ROAD2 ,ROAD2 ,FLOWER1,FLOWER1,FLOWER1,ROAD2 ,ROAD2 ,ROAD1 },
 {TREE2 ,GRASS2,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,ROAD2 ,GRASS2},
 {1,1,1,0,0,0,0,0,0,0}, {0,0,0,3,0,0,0,0,25,0}
 },
 
{{TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE5 },
 {TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 },
 {GRASS2,FENCE4,FENCE4,FENCE4,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2},
 {GRASS2,FENCE3,HOUSE3,FENCE3,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},   //11 - Stone house
 {FLOWER1,ROCK1 ,GRASS2,ROCK1 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 },
 {ROAD1 ,ROAD1 ,ROCK1 ,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {GRASS2,ROAD1 ,GRASS2,GRASS2,EDGE1 ,EDGE11,GRASS2,FLOWER1,GRASS2,TREE1 },
 {EDGE2 ,STAIR1,EDGE2 ,EDGE2 ,EDGE10,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {1,1,1,0,0,0,0,0,0,0}, {0,0,0,1,0,0,0,0,25,0}
 },

{{TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE5 }, //fix mobs
 {TREE5 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 },
 {TREE4 ,PLANT1,GRASS2,GRASS2,ROOF6 ,ROOF5 ,ROOF5 ,ROOF5 ,ROOF4 ,GRASS2},
 {TREE2 ,PLANT1,GRASS2,GRASS2,ROOF7 ,ROOF8 ,ROOF8 ,ROOF8 ,ROOF9 ,GRASS2},   //12 - Papahl's house
 {TREE4 ,PLANT1,PLANT1,GRASS2,HOUSE2,HOUSE3,HOUSE2,HOUSE3,HOUSE2,GRASS2},
 {TREE2 ,EDGE12,EDGE6,PLANT1,FLOWER1,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 },
 {TREE4 ,GRASS2,EDGE7,PLANT1,PLANT1,PLANT1,PLANT1,GRASS2,FLOWER1,GRASS2},
 {TREE2 ,GRASS2,EDGE16,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE14,EDGE13,EDGE15},
 {1,1,5,1,0,0,0,0,0,0}, {0,0,0,2,0,0,0,0,25,0}
 },
 
{{TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 ,TREE4 ,GRASS1,GRASS1,GRASS1},
 {TREE4 ,GRASS2,GRASS2,SIGN1 ,PLANT1,ROCK1 ,GRASS2,GRASS1,GRASS1,GRASS1},
 {ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 ,PLANT1,ROCK1 ,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 },
 {TREE2 ,GRASS2,GRASS2,PLANT1,PLANT1,TREE1 ,TREE2 ,GRASS2,FLOWER1,GRASS1},   //13 - West of Ukuku Prairie
 {TREE4 ,GRASS2,PLANT1,PLANT1,TREE1 ,TREE5 ,TREE4 ,GRASS1,GRASS2,GRASS1},
 {TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE5 ,TREE4 ,GRASS1,GRASS1,GRASS2,GRASS2},
 {TREE6 ,TREE5 ,TREE6 ,TREE5 ,TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS1},
 {TREE5 ,TREE6 ,TREE5 ,TREE6 ,TREE2 ,GRASS2,GRASS1,GRASS1,GRASS1,GRASS1},
 {1,0,0,0,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,25,0}
 },
 
{{TREE6 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 ,TREE2 },
 {TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE6 ,TREE5 ,TREE4 ,TREE3 ,TREE4 },
 {GRASS2,GRASS2,PLANT1,PLANT1,PLANT1,TREE3 ,TREE4 ,EDGE12,EDGE6 ,GRASS1},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,PLANT1,TREE1 ,TREE2 ,EDGE16,EDGE2 },   //14 - East of stone house
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,PLANT1,TREE3 ,TREE4 ,CLIFF4,CLIFF1},
 {TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE2 ,GRASS1,CLIFF3,HOUSE4},
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 ,TREE4 ,GRASS2,GRASS1,GRASS1},
 {TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE2 ,GRASS2,GRASS2,GRASS1},
 {1,1,1,0,0,0,0,0,0,0}, {0,0,1,2,0,0,0,0,25,0}
 },
 
{{WATER1,EDGE7 ,TREE1 ,TREE2 ,GRASS2,GRASS2,ROAD1 ,GRASS1,TREE3 ,TREE4 },
 {WATER1,EDGE7 ,TREE3 ,TREE4 ,GRASS2,GRASS2,ROAD1 ,ROAD1 ,ROAD1 ,ROAD1 },
 {WATER1,EDGE7 ,EDGE12,EDGE6 ,PLANT1,PLANT1,PLANT1,EDGE1 ,EDGE11,GRASS2},
 {WATER1,EDGE7 ,GRASS2,EDGE16,EDGE14,EDGE13,EDGE15,EDGE10,PLANT1,GRASS2},   //15 - Well (where you fall into)
 {WATER1,EDGE7 ,GRASS2,CLIFF3,CLIFF1,CLIFF1,CLIFF1,CLIFF2,FLOWER1,GRASS2},
 {WATER1,EDGE7 ,GRASS2,GRASS2,FENCE1,WELL1 ,FENCE1,GRASS2,GRASS2,GRASS2},
 {WATER1,EDGE7 ,GRASS2,FLOWER1,FENCE1,GRASS2,FENCE1,ROAD1 ,ROAD1 ,ROAD1 },
 {WATER1,EDGE7 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,ROAD1 ,GRASS2,TREE1 },
 {1,1,1,0,0,0,0,0,0,0}, {0,0,0,2,0,0,0,0,25,0}
 },

{{WATER1,EDGE7 ,TREE1 ,TREE5 ,TREE6 ,TREE2 ,GRASS2,TREE1 ,TREE5 ,TREE6 },
 {WATER1,EDGE7 ,TREE3 ,TREE6 ,TREE5 ,TREE4 ,GRASS2,TREE3 ,TREE6 ,TREE5 },
 {WATER1,EDGE7 ,TREE1 ,TREE5 ,TREE4 ,GRASS1,ROCK1 ,GRASS2,TREE3 ,TREE6 },
 {WATER1,EDGE7 ,TREE3 ,TREE4 ,GRASS1,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 },   //16 - Entrance to forest
 {WATER1,EDGE7 ,TREE1 ,TREE2 ,GRASS1,GRASS2,GRASS2,GRASS2,TREE3 ,TREE6 },
 {WATER1,EDGE7 ,TREE3 ,TREE4 ,GRASS2,SIGN1 ,GRASS2,GRASS2,TREE1 ,TREE5 },
 {WATER1,EDGE7 ,TREE1 ,TREE2 ,GRASS2,GRASS2,ROAD1 ,FLOWER1,TREE3 ,TREE6 },
 {WATER1,EDGE7 ,TREE3 ,TREE4 ,GRASS2,GRASS2,ROAD1 ,GRASS1,TREE1 ,TREE5 },
 {1,0,0,0,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,25,0}
 },

{{WATER1,EDGE7 ,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,ROAD1,GRASS2,TREE3},
 {WATER1,EDGE7 ,ROOF10,ROOF10,ROOF10,GRASS2,GRASS2,ROAD1 ,GRASS2,TREE1 },
 {WATER1,EDGE7 ,HOUSE2,HOUSE3,HOUSE2,GRASS2,GRASS2,ROAD1 ,GRASS2,TREE3 },
 {WATER1,EDGE7 ,GRASS2,GRASS2,GRASS2,GRASS2,ROAD1 ,ROAD1 ,FLOWER1,TREE1 },   //17 - School (where the children are playing)
 {WATER1,EDGE7 ,GRASS2,GRASS2,GRASS2,ROAD1 ,ROAD1 ,GRASS2,PLANT1,TREE3 },
 {WATER1,EDGE7 ,GRASS2,GRASS2,GRASS2,ROAD1 ,GRASS2,GRASS2,PLANT1,TREE1 },
 {WATER1,EDGE7 ,GRASS2,GRASS2,GRASS2,ROAD1 ,GRASS2,GRASS2,TREE1 ,TREE5 },
 {WATER1,EDGE7 ,TREE1 ,TREE2 ,GRASS2,ROAD1 ,GRASS2,TREE1 ,TREE5 ,TREE6 },
 {1,1,1,1,0,0,0,0,0,0}, {0,0,4,5,0,0,0,0,25,0}
 },

{{WATER1,EDGE7 ,TREE3 ,TREE4 ,GRASS2,ROAD1 ,GRASS2,TREE3 ,TREE4 ,TREE3 },
 {WATER1,EDGE7 ,GRASS2,GRASS2,SIGN1 ,ROAD1 ,ROAD1 ,GRASS2,GRASS2,GRASS2},
 {EDGE17,EDGE9 ,EDGE12,EDGE6 ,GRASS2,GRASS2,ROAD1 ,FLOWER1,EDGE1,EDGE2},
 {EDGE7 ,GRASS2,GRASS2,EDGE16,EDGE2 ,EDGE14,EDGE18,EDGE15,EDGE10,GRASS2},   //18 - s of school (cliffs)
 {EDGE7 ,GRASS2,GRASS2,CLIFF3,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF2,GRASS2},
 {EDGE7 ,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,ROAD1 ,GRASS2,GRASS2,GRASS2},
 {EDGE7 ,GRASS2,GRASS2,GRASS2,ROAD1 ,ROAD1 ,ROAD1 ,GRASS2,EDGE1 ,EDGE2 },
 {EDGE16,EDGE2 ,EDGE2 ,EDGE14,EDGE18,EDGE15,EDGE2 ,EDGE2 ,EDGE10,GRASS2},
 {1,0,0,0,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,25,0}
 },
 /*

#define mob_gfx_list 1
#define mob_file 2


// these defines are for room_maps[9][x]
#define room_dark 10  // just do <define> - 10 to get the thingie.
//room id=19
#define mobs_killed 11 // this will tell you whether to load the mob file for the room or not.
#define mobs_start 12// these let me know the range of mobs to use in the mob list
#define mobs_end 13 

*/
{{TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2},
 {EDGE2 ,EDGE2 ,EDGE2 ,EDGE11,GRASS2,GRASS2,PLANT1,PLANT1,GRASS2,GRASS2},
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 },   //19 - s,e of school (cliffs)
 {GRASS2,GRASS2,PLANT1,PLANT1,PLANT1,HOLE1 ,GRASS2,GRASS2,GRASS2,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,EDGE1 ,EDGE11,GRASS2,TREE1 },
 {EDGE11,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,EDGE3,GRASS2,FLOWER1,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,EDGE3 ,GRASS2,GRASS2,TREE1 },
 {1,1,2,0,0,0,0,0,0,0}, {0,0,0,1,0,0,0,0,25,0}
 },

{{TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2},
 {GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE2 ,TREE1 ,TREE2 ,TREE1 },   //20 - s,e,e of school (cliffs)
 {TREE4 ,TREE1 ,TREE2 ,HOLE1 ,GRASS2,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 },
 {TREE2 ,TREE3 ,TREE4 ,HOLE1 ,HOLE1 ,HOLE1 ,GRASS2,GRASS2,GRASS2,GRASS2},
 {TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 },
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 },
 {1,1,2,0,0,0,0,0,0,0}, {0,0,2,4,0,0,0,0,25,0}
 },

{{TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE4 ,TREE3 ,TREE6 ,TREE2 ,TREE1 ,TREE2 }, //fix mobs
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 ,TREE4 ,TREE3 ,TREE6 },
 {GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {TREE2 ,TREE1 ,TREE2 ,GRASS2,PLANT1,GRASS2,FLOWER1,GRASS2,PLANT1,TREE1 },   //21 - s,e,e,e of school (cliffs)
 {TREE4 ,TREE3 ,TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,PLANT1,GRASS2,GRASS2,TREE1 },
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {TREE6 ,TREE2 ,TREE1 ,TREE2 ,EDGE17,EDGE4 ,EDGE4 ,EDGE4 ,EDGE19,TREE1 },
 {1,1,6,0,0,0,0,0,0,0}, {0,0,0,2,0,0,0,0,25,0}
 },
 
{{CLIFF4,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF2,GRASS2},
 {EDGE7 ,GRASS2,GRASS2,GRASS2,ROAD1 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {EDGE7 ,GRASS2,GRASS2,GRASS2,ROAD1 ,ROAD1,GRASS2,GRASS2,GRASS2,GRASS2},
 {EDGE16,EDGE2 ,EDGE2 ,EDGE2 ,EDGE14,EDGE18,EDGE15,EDGE14,STAIR1,EDGE15},   //22 - s,s of school (cliffs)
 {CLIFF4,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,STAIR1,CLIFF1},
 {EDGE7,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {EDGE7,GRASS2,GRASS2,EDGE12,EDGE6 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {EDGE7,GRASS2,GRASS2,GRASS2,EDGE16,EDGE14,EDGE13,EDGE15,EDGE2 ,EDGE2 },
 {1,1,2,0,0,0,0,0,0,0}, {0,0,4,4,0,0,0,0,25,0}
 },

{{GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,EDGE3 ,GRASS2,GRASS2,TREE3 },
 {GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,EDGE3 ,GRASS2,GRASS2,TREE1 },
 {GRASS2,GRASS2,EDGE1 ,EDGE14,EDGE13,EDGE15,EDGE10,FLOWER1,GRASS2,TREE3 },
 {EDGE2 ,EDGE2 ,EDGE10,CLIFF1,CLIFF1,CLIFF1,CLIFF2,GRASS2,GRASS2,TREE1 },   //23 - s,s,e of school (cliffs)
 {CLIFF1,CLIFF1,CLIFF2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,PLANT1,PLANT1,PLANT1,TREE1 },
 {GRASS2,GRASS2,PLANT1,PLANT1,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE14,EDGE13,EDGE15,EDGE2 ,EDGE2 ,EDGE2 },
 {1,1,2,0,0,0,0,0,0,0}, {0,0,2,3,0,0,0,0,25,0}
 },

{{TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 ,TREE6 },
 {TREE2 ,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,TREE3 },
 {TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,FLOWER1,GRASS2,GRASS2,GRASS2,TREE1 },
 {TREE2 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,TREE1 ,TREE5 },   //24 - West of first dungeon
 {TREE4 ,GRASS2,GRASS2,TREE1 ,TREE2 ,GRASS2,GRASS2,GRASS2,TREE3 ,TREE6 },
 {TREE2 ,GRASS2,FLOWER1,TREE3 ,TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,TREE3 },
 {TREE4 ,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2,GRASS2},
 {EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 },
 {1,0,0,0,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,0,0}
 },

{{TREE5 ,TREE4 ,TREE3 ,TREE4 ,EDGE16,EDGE2 ,EDGE2 ,EDGE2 ,EDGE10,TREE3 },
 {TREE4 ,GRASS2,GRASS2,ROAD4 ,CLIFF3,DUNG1 ,DUNG1 ,DUNG1 ,CLIFF2,TREE1 },
 {TREE2 ,GRASS2,GRASS2,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,TREE3 },
 {TREE4 ,GRASS2,GRASS2,ROAD4 ,DUNG2 ,ROAD4 ,ROAD4 ,ROAD4 ,DUNG2 ,TREE1 },   //25 - First dungeon
 {TREE2 ,GRASS2,GRASS2,ROAD4 ,DUNG3 ,ROAD4 ,DUNG2 ,ROAD4 ,DUNG3 ,TREE3 },
 {TREE4 ,GRASS2,GRASS2,GRASS2,ROAD4 ,ROAD4 ,DUNG4 ,ROAD4 ,ROAD4 ,TREE1 },
 {ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,ROAD4 ,GRASS2,TREE3 },
 {EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 },
 {1,0,0,0,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,0,0}
 },
 
{{EDGE7 ,SAND1 ,SAND1 ,SAND1 ,CLIFF3,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1}, //fix mobs
 {EDGE7 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 },
 {EDGE7 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 },
 {EDGE7 ,SAND1 ,SAND1 ,SAND1 ,PALM1 ,PALM2 ,PALM1 ,PALM2 ,SAND1 ,PALM1 },   //26 - Left end of beach
 {EDGE7 ,SAND1 ,SAND1 ,SAND1 ,PALM3 ,PALM4 ,PALM3 ,PALM4 ,SAND1 ,PALM3 },
 {EDGE7 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PALM1 },
 {EDGE7 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PLANT1,SAND1 ,PLANT1,PLANT1,PALM3 },
 {EDGE7 ,SAND1 ,SAND1 ,EDGE1 ,EDGE2 ,EDGE14,STAIR1,EDGE15,EDGE2 ,EDGE2 },
 {1,1,6,0,0,0,0,0,0,0}, {0,0,0,1,0,0,0,0,SAND1,0}
 },
 
{{CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {SAND1 ,SAND1 ,SIGN1 ,SAND1 ,SAND1 ,PLANT1,PLANT1,PLANT1,PALM1 ,PALM2 },
 {SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PALM3 ,PALM4 },
 {PALM2 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 },   //27 - Beach with Urchin warning sign
 {PALM4 ,SAND1 ,SAND1 ,EDGE1 ,EDGE2 ,EDGE11,SAND1 ,SAND1 ,EDGE12,EDGE2 },
 {PALM2 ,SAND1 ,SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {PALM4 ,PLANT1,PLANT1,EDGE3 ,SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 },
 {EDGE2 ,EDGE2 ,EDGE2 ,EDGE10,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE17,EDGE4 },
 {1,1,3,0,0,0,0,0,0,0}, {0,0,0,3,0,0,0,0,SAND1,0}
 },
 
{{CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1}, //fix mobs
 {PALM1 ,PALM2 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PALM1 ,PALM2 },
 {PALM3 ,PALM4 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PALM3 ,PALM4 },
 {SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 },   //28 - East of beach with sign
 {EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE2 ,EDGE6 ,SAND1 ,SAND1 },
 {SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 ,PALM1 ,PALM2 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,EDGE7,PALM3 ,PALM4 },
 {EDGE4 ,EDGE19,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE16,EDGE6 ,SAND1 },
 {1,1,7,0,0,0,0,0,0,0}, {0,0,0,3,0,0,0,0,SAND1,0}
 },
 
{{CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {PALM1 ,PALM2 ,SAND1 ,ROOF10,ROOF10,ROOF10,PALM1 ,PALM2 ,PALM1 ,PALM2 },
 {PALM3 ,PALM4 ,SAND1 ,HOUSE2,HOUSE3,HOUSE2,PALM3 ,PALM4 ,PALM3 ,PALM4 },
 {SAND1 ,SAND1 ,PLANT1,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 },   //29 - Beach- bananah house
 {SAND1 ,SAND1 ,PLANT1,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,SAND1 },
 {PALM1 ,PALM2 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PALM1 ,PALM2 ,PALM1 ,PALM2 },
 {PALM3 ,PALM4 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,PALM3 ,PALM4 ,PALM3 ,PALM4 },
 {SAND1 ,EDGE1 ,EDGE2,EDGE2,EDGE2,EDGE2,EDGE2,EDGE2 ,EDGE2 ,EDGE2 },
 {1,0,0,1,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,SAND1,0}
 },
 
{{CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {PALM1 ,PALM2 ,PALM1 ,PALM2 ,PALM1 ,PALM2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {PALM3 ,PALM4 ,PALM3 ,PALM4 ,PALM3 ,PALM4 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {SAND1 ,SAND1 ,PLANT1,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 },   //30 - Beach where the monkey is in the tree
 {SAND1 ,SAND1 ,PLANT1,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {PALM1 ,PALM2 ,EDGE1 ,EDGE11,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {PALM3 ,PALM4 ,EDGE3 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE17},
 {EDGE2 ,EDGE2 ,EDGE10,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {1,0,0,0,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,25,0}},
 
{{CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,EDGE7 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,EDGE16},
 {SAND2 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 ,CHEST1,ROCK1 ,CLIFF3},
 {SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND4 ,ROCK1 ,GRASS2,GRASS2},   //31 - right end of beach
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,ROCK1 ,GRASS2,GRASS2},
 {SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 ,EDGE12,EDGE6 ,GRASS2,GRASS2},
 {EDGE19,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE8 ,EDGE2 ,EDGE6 },
 {EDGE5 ,EDGE4 ,EDGE4 ,EDGE4 ,EDGE19,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {1,0,0,0,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,25,0}},

{{EDGE7 ,SAND1 ,SAND1 ,EDGE3 ,CLIFF1,CLIFF1,STAIR1,CLIFF1,CLIFF1,CLIFF1},
 {EDGE7 ,SAND1 ,SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {EDGE7 ,SAND1 ,SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 },
 {EDGE16,EDGE6 ,SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },   //32 - Left of shore
 {CLIFF3,EDGE7 ,SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 },
 {WATER5,EDGE16,EDGE2 ,EDGE10,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1},
 {WATER5,CLIFF3,CLIFF1,CLIFF2,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5},
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5},
 {1,1,4,0,0,0,0,0,0,0}, {0,0,0,2,0,0,0,0,0,0}},// fix starting here
 
{{CLIFF1,CLIFF1,CLIFF1,CLIFF2,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 ,SAND1 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 ,EDGE16,EDGE2 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,CLIFF3,CLIFF1},
 {SAND2 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 },   //33 - Leftish of Shore
 {SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND5 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,EDGE17},
 {SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,EDGE7 },
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,EDGE16},
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,CLIFF3},
 {1,1,4,0,0,0,0,0,0,0}, {0,0,0,4,0,0,0,0,0,0}},
 
{{SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,CLIFF4,EDGE16,EDGE2 }, //fix mobs
 {EDGE2 ,EDGE10,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,CLIFF3,CLIFF4,CLIFF1},
 {CLIFF1,CLIFF2,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,CLIFF3,CLIFF1},
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND5 ,SAND2 ,SAND2 ,SAND3 ,SAND2 },   //34 - Shore (where you get the Sword)
 {EDGE4 ,EDGE19,SAND2 ,SAND2 ,SAND5 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 },
 {SAND1 ,EDGE3 ,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1},
 {EDGE2 ,EDGE10,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5},
 {CLIFF1,CLIFF2,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5},
 {1,1,7,0,0,0,0,0,0,0}, {0,0,3,3,0,0,0,0,0,0}},
 
{{EDGE2 ,EDGE10,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {CLIFF1,CLIFF5,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1,CLIFF1},
 {CLIFF1,CLIFF2,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 },   //35 - Shore (east of where you get the sword)
 {SAND2 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 },
 {SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1},
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5},
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5},
 {1,1,4,0,0,0,0,0,0,0}, {0,0,4,5,0,0,0,0,0,0}},
 
{{CLIFF1,CLIFF1,CLIFF5,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {CLIFF1,2,CLIFF2,SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,EDGE7 },   //36 - Shore (bombable wall)
 {SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,EDGE7 },
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,EDGE8 },
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5},
 {1,1,4,3,0,0,0,0,0,0}, {0,0,3,4,0,0,0,0,0,0}},
 
{{SAND1 ,EDGE1 ,EDGE2 ,EDGE2 ,EDGE20,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 }, //fix mobs
 {SAND1 ,EDGE3 ,SAND2 ,SAND2 ,SAND2 ,SAND3 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {EDGE1 ,EDGE10,PALM1 ,PALM2 ,SAND2 ,SAND2 ,SAND2 ,PALM1 ,PALM2 ,EDGE7 },
 {EDGE3 ,CLIFF2,PALM3 ,PALM4 ,SAND2 ,SAND2 ,SAND2 ,PALM3 ,PALM4 ,EDGE7 },   //37 - End of shore
 {EDGE3 ,SAND2 ,SAND2 ,SAND4 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,SAND2 ,EDGE7 },
 {EDGE3 ,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,SHORE1,EDGE16},
 {EDGE20,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,CLIFF4},
 {WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,WATER5,CLIFF3},
 {1,1,4,0,0,0,0,0,0,0}, {0,0,0,5,0,0,0,0,0,0}},
// the above is depreciated.  the below is all the house files.
{{WALL1 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,CABINET1,WALL2 ,WALL3 },
 {WALL8 ,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR1,CABINET2,BOX1  ,WALL4 },
 {WALL8 ,BED1  ,FLOOR2,BED1  ,FLOOR2,FLOOR2,FLOOR1,FLOOR1,BOX1  ,WALL4 },
 {WALL8 ,BED2  ,FLOOR2,BED2  ,FLOOR2,FLOOR2,FLOOR1,FLOOR1,FLOOR1,WALL4 },   //38 - Inside where link starts off
 {WALL8 ,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR1,FLOOR1,CHAIR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,TABLE1,TABLE2,WALL4 },
 {WALL8 ,POT1  ,POT1  ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,CHAIR1,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,WALL5 },
 {0,0,0,2,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,FLOOR1,0}},
 
{{WALL1 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,CABINET1,WALL2 ,WALL2 ,WALL3 },
 {WALL8 ,BED1  ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,CABINET2,POT1  ,POT1  ,WALL4 },
 {WALL8 ,BED2  ,FLOOR1,FLOOR1,CHAIR1,TABLE1,TABLE2,POT1  ,POT1  ,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,CHAIR1,CHAIR1,POT1  ,POT1  ,WALL4 },   //39 - Inside Bowwow's house
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,POT1  ,POT1  ,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,POT1  ,WALL4 },
 {WALL8 ,CHAIR1,TABLE3,CHAIR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,POT1  ,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,WALL5 },
 {0,0,0,2,0,0,3,0,0,0}, {0,0,0,0,0,0,0,0,FLOOR1,0}},
 
{{WALL2 ,WALL3 ,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1},
 {POT1  ,WALL4 ,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1},
 {POT1  ,WALL4 ,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1},
 {POT1  ,WALL4 ,WALL1 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL3 ,BLACK1,BLACK1},   //40 - Inside bowwow's shack?
 {POT1  ,WALL4 ,WALL8 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,WALL4 ,BLACK1,BLACK1},
 {POT1  ,WALL4 ,WALL8 ,SAND1 ,SAND6 ,SAND1 ,SAND1 ,WALL4 ,BLACK1,BLACK1},
 {POT1  ,WALL4 ,WALL8 ,SAND1 ,SAND1 ,SAND1 ,SAND1 ,WALL4 ,BLACK1,BLACK1},
 {WALL6 ,WALL5 ,WALL7 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL5 ,BLACK1,BLACK1},
 {0,0,0,2,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,FLOOR1,0}},

{{BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1},
 {BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1},
 {BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1,BLACK1},
 {BLACK1,BLACK1,WALL1 ,WALL2 ,CABINET1,WALL2 ,WALL2 ,WALL3 ,BLACK1,BLACK1},   //41 - Inside Phone roof house
 {BLACK1,BLACK1,WALL8 ,FLOOR1,CABINET2,PHONE1,FLOOR1,WALL4 ,BLACK1,BLACK1},
 {BLACK1,BLACK1,WALL8 ,FLOOR1,FLOOR1,PHONE2,FLOOR1,WALL4 ,BLACK1,BLACK1},
 {BLACK1,BLACK1,WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 ,BLACK1,BLACK1},
 {BLACK1,BLACK1,WALL7 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL5 ,BLACK1,BLACK1},
 {0,0,0,2,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,0,0}},
 
{{WALL1 ,WALL2 ,CABINET1,CABINET1,CABINET1,CABINET1,CABINET1,CABINET1,WALL2 ,WALL3 },
 {WALL8 ,FLOOR1,PHONE3,CABINET2,CABINET2,CABINET2,CABINET2,CABINET2,FLOOR1,WALL4 },
 {WALL8 ,TABLE1,PHONE4,FLOOR1,FLOOR1,FLOOR1,BED1  ,BED1  ,TABLE3,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,BED2  ,BED2  ,FLOOR1,WALL4 },   //42 - Inside Ulrira's house
 {WALL8 ,CHAIR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,TABLE3,FLOOR1,FLOOR2,FLOOR2,FLOOR2,FLOOR2,POT1  ,POT1  ,WALL4 },
 {WALL8 ,CHAIR1,FLOOR1,FLOOR2,FLOOR2,FLOOR2,FLOOR2,POT1  ,POT1  ,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL5 },
 {0,0,0,2,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,FLOOR1,0}},

{{WALL1 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,WALL2 },
 {WALL8 ,WALL1 ,WALL2 ,LIGHT1,WALL2 ,WALL2 ,WALL2 ,WALL3 ,FLOOR2,FLOOR2},
 {WALL8 ,WALL8 ,POT1  ,POT1  ,POT1  ,POT1  ,FLOOR1,WALL4 ,FLOOR2,FLOOR2},
 {WALL8 ,WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 ,FLOOR2,FLOOR2},   //43 - Inside Papahl's house
 {WALL8 ,WALL7 ,WALL6 ,STAIR1,WALL6 ,WALL6 ,WALL6 ,WALL5 ,FLOOR2,FLOOR2},
 {WALL8 ,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2,FLOOR2},
 {WALL8 ,POT1  ,POT1  ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1},
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL6 },
 {0,0,0,2,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,FLOOR1,0}},

{{WALL2 ,WALL2 ,WALL2 ,CABINET1,WALL2 ,CABINET1,CABINET1,CABINET1,CABINET1,WALL3 },
 {FLOOR2,FLOOR1,FLOOR1,CABINET2,FLOOR1,CABINET2,CABINET2,CABINET2,CABINET2,WALL4 },
 {FLOOR2,FLOOR1,FLOOR1,BED1  ,FLOOR1,BED1  ,BED1  ,BED1  ,BED1  ,WALL4 },
 {FLOOR2,FLOOR1,FLOOR1,BED2  ,FLOOR1,BED2  ,BED2  ,BED2  ,BED2  ,WALL4 },   //44 - Inside Papahl's house
 {FLOOR2,FLOOR1,TABLE1,TABLE2,FLOOR1,TABLE3,TABLE3,TABLE3,TABLE3,WALL4 },
 {FLOOR2,FLOOR1,CHAIR1,FLOOR1,FLOOR1,CHAIR1,CHAIR1,CHAIR1,CHAIR1,WALL4 },
 {FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL6 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL5 },
 {0,0,0,2,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,0,0}},
 
{{WALL1 ,WALL2 ,LIGHT1,WALL2 ,WALL2 ,WALL2 ,WALL2 ,LIGHT1,WALL2 ,WALL3 },
 {WALL8 ,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WALL4 },
 {WALL8 ,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WHITE1,WALL4 },
 {WALL8 ,FLOOR3,FLOOR3,FLOOR3,FLOOR3,FLOOR3,FLOOR3,FLOOR3,FLOOR3,WALL4 },   //45 - Inside Item Shop
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },// this has sl 2 for the shop
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,CASHIER1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL5 },
 {0,0,0,2,0,0,2,0,0,0}, {0,0,0,0,0,0,0,0,0,0}},
 
{{WALL1 ,WALL2 ,LIGHT1,WALL2 ,WALL2 ,WALL2 ,WALL2 ,LIGHT1,WALL2 ,WALL3 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },   //46 - Inside trendy game
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL5 },
 {0,0,0,2,0,0,7,0,0,0}, {0,0,0,0,0,0,0,0,0,0}},
 
{{WALL1 ,SHELF1,SHELF1,SHELF1,SHELF1,SHELF1,SHELF1,SHELF1,SHELF1,WALL3 },
 {WALL8 ,SHELF2,SHELF2,SHELF2,SHELF2,SHELF2,SHELF2,SHELF2,SHELF2,WALL4 },
 {WALL8 ,TABLE4,FLOOR1,TABLE4,FLOOR1,FLOOR1,TABLE4,FLOOR1,TABLE4,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },   //47 - Inside School
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,TABLE4,FLOOR1,TABLE4,FLOOR1,FLOOR1,TABLE4,FLOOR1,TABLE4,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL5 },{0,0,0,2,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,0,0}},

{{WALL1 ,WALL2 ,WALL2 ,WALL2 ,WALL2 ,CABINET1,CABINET1,WALL2 ,WALL2 ,WALL3 },
 {WALL8 ,FLOOR1,BED1  ,FLOOR1,FLOOR1,CABINET2,CABINET2,POT1  ,POT1  ,WALL4 },
 {WALL8 ,FLOOR1,BED2  ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,POT1  ,WALL4 },
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },   //48 - inside alligator's house
 {WALL8 ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,BOX1  ,BOX1  ,BOX1  ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL8 ,BOX1  ,BOX1  ,BOX1  ,FLOOR1,FLOOR1,FLOOR1,FLOOR1,FLOOR1,WALL4 },
 {WALL7 ,WALL6 ,WALL6 ,WALL6 ,WALL6 ,DOOR2 ,WALL6 ,WALL6 ,WALL6 ,WALL5 },{0,0,0,2,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0,FLOOR1,0}},
 
};



int world_map[16][16] =
{
  // A   B   C   D   E   F   G   H   I   J   K   L   M   N   O   P
	{38 ,39 ,40 ,41 ,42 ,43 ,44 ,45	 		,46 ,47 ,48 ,0  ,0  ,0  ,0  ,0  },// 1
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 	 		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 2
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 	 		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 3
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 	 		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 4
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 	 		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 5
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 	 		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 6
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 	 		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 7
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 		 	,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 8

	
	{0  ,8  ,12 ,11 ,14 ,0  ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 9
	{16 ,7  ,10 ,9  ,13 ,0  ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 10
	{15 ,5  ,1  ,2  ,0  ,0  ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 11
	{17 ,6  ,4  ,3  ,0  ,0  ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 12
	{18 ,19 ,20 ,21 ,0  ,0  ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 13
	{22 ,23 ,24 ,25 ,0  ,0  ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 14
	{26 ,27 ,28 ,29 ,30 ,31 ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 15
	{32 ,33 ,34 ,35 ,36 ,37 ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  } // 16
};
int world_map2[16][16] ={
	{300 ,301 ,302 ,303 ,304 ,305 ,306 ,307	 		,308 ,309 ,310 ,0  ,0  ,0  ,0  ,0  },// 1
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 	 		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 2
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 	 		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 3
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 	 		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 4
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 	 		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 5
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 	 		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 6
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 	 		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 7
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0 		 	,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 8


	{0  ,130  ,131 ,132 ,133 ,0  ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 9 //144
	{145 ,146  ,147 ,148  ,149 ,0  ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 10 //160
	{161 ,162  ,163  ,164  ,0  ,0  ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 11 // 176
	{177 ,178  ,179  ,180  ,0  ,0  ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 12 // 192
	{193 ,194 ,195 ,196 ,0  ,0  ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 13 // 208
	{209 ,210 ,211 ,212 ,0  ,0  ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 14 // 224
	{225 ,226 ,227 ,228 ,229 ,230 ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  },// 15 // 240
	{241 ,242 ,243 ,244 ,245 ,246 ,0  ,0  		,0  ,0  ,0  ,0  ,0  ,0  ,0  ,0  } // 16 // 256
	
	
	};
/*
		warping sys:
		1->38
		link_x = 4*16;
			link_y = 7*16-10;
		38->1
		link_x = 5*16;
			link_y = 4*16+8;
			
			
		5->39 /40 depending on x/y loc
		link_x=4*16;
				link_y = 7*16-10;
		40
		link_x=5*16;
				link_y = 7*16-10;
		
		
		39->5
		link_x = 3*16;
			link_y = 3*16+8;
			
		40->5
		link_x = 5*16;
			link_y = 3*16+8;
			
		
		4->41
		switch (current_room)
	{
		//To Place where link starts off entrances
		case 1:
			link_map_col = 0;
			link_map_row = 0;
			link_x = 4*16;
			link_y = 7*16-10;
			LoadRoom(38);
			break;
		case 38:
			link_map_col = 2;
			link_map_row = 10;
			link_x = 5*16;
			link_y = 4*16+8;
			LoadRoom(1);
			break;
		//Bowwow house entrances
		case 5:
			if (col == 3)
			{
				link_map_col = 1;
				link_map_row = 0;
				link_x=4*16;
				link_y = 7*16-10;
				LoadRoom(39);
			}
			else
			{
				link_map_col = 2;
				link_map_row = 0;
				link_x=5*16;
				link_y = 7*16-10;
				LoadRoom(40);
			}
			break;
		case 39:
			link_map_col = 1;
			link_map_row = 10;
			link_x = 3*16;
			link_y = 3*16+8;
			LoadRoom(5);
			break;
		case 40:
			link_map_col = 1;
			link_map_row = 10;
			link_x = 5*16;
			link_y = 3*16+8;
			LoadRoom(5);
			break;
		//Phone roof house entrances
		case 4:
			link_map_col = 3;
			link_map_row = 0;
			link_x=5*16;
			link_y = 7*16-10;
			LoadRoom(41);
			break;
		case 41:
			link_map_col = 2;
			link_map_row = 11;
			link_x = 5*16;
			link_y = 4*16+8;
			LoadRoom(4);
			break;
		//Ulrira house entrances
		case 6:
			link_map_col = 4;
			link_map_row = 0;
			link_x=5*16;
			link_y = 7*16-10;
			LoadRoom(42);
			break;
		case 42:
			link_map_col = 1;
			link_map_row = 11;
			link_x = 4*16;
			link_y = 5*16+8;
			LoadRoom(6);
			break;
		//Papahl's house entrances
		case 12:
			if (col == 5)
			{
				link_map_col = 5;
				link_map_row = 0;
				link_x=5*16;
				link_y = 7*16-10;
				LoadRoom(43);
			}
			else
			{
				link_map_col = 6;
				link_map_row = 0;
				link_x=5*16;
				link_y = 7*16-10;
				LoadRoom(44);
			}
			break;
		case 43:
			link_map_col = 2;
			link_map_row = 8;
			link_x = 5*16;
			link_y = 4*16+8;
			LoadRoom(12);
			break;
		case 44:
			link_map_col = 2;
			link_map_row = 8;
			link_x = 7*16;
			link_y = 4*16+8;
			LoadRoom(12);
			break;
		//Item shop entrances
		case 9:
			link_map_col = 7;
			link_map_row = 0;
			link_x=5*16;
			link_y = 7*16-10;
			LoadRoom(45);
			break;
		case 45:
			link_map_col = 3;
			link_map_row = 9;
			link_x = 4*16;
			link_y = 5*16+8;
			LoadRoom(9);
			break;
		//Trendy game entrances
		case 3:
			link_map_col = 8;
			link_map_row = 0;
			link_x=5*16;
			link_y = 7*16-10;
			LoadRoom(46);
			break;
		case 46:
			link_map_col = 3;
			link_map_row = 11;
			link_x = 5*16;
			link_y = 4*16+8;
			LoadRoom(3);
			break;
		//School entrances
		case 17:
			link_map_col = 9;
			link_map_row = 0;
			link_x=5*16;
			link_y = 7*16-10;
			LoadRoom(47);
			break;
		case 47:
			link_map_col = 0;
			link_map_row = 11;
			link_x = 3*16;
			link_y = 2*16+8;
			LoadRoom(17);
			break;
		//Alligator house entrances
		case 29:
			link_map_col = 10;
			link_map_row = 0;
			link_x=5*16;
			link_y = 7*16-10;
			LoadRoom(48);
			break;
		case 48:
			link_map_col = 3;
			link_map_row = 14;
			link_x = 4*16;
			link_y = 2*16+8;
			LoadRoom(29);
			break;
	}	


*/


// you are starting at room 129 and going across.  the rooms start at room 1 not 0, b/c
// 0= no room.

/*
		2,1, 5*16
[9][5] = link_x
[9][6]= link_y
[9][7]= repop timer.
[10][5] = beginning_warp_rmapx
[10][6]= beginning_warp_rmapy
[10][7]= set world - leave as 0 if you want it to stay default.
					otherwise you could force an override and make the 
					continueing link start elseware.		

*/
	
int world_4[12][8]={
		{0  ,130  ,131 ,132 ,133 ,0  ,0  ,0  },		
	{145 ,146  ,147 ,148  ,149 ,0  ,0  ,0  },// 10 //160
	{161 ,162  ,163  ,164  ,0  ,0  ,0  ,0  },// 11 // 176
	{177 ,178  ,179  ,180  ,0  ,0  ,0  ,0  },// 12 // 192
	{193 ,194 ,195 ,196 ,0  ,0  ,0  ,0  	},// 13 // 208
	{209 ,210 ,211 ,212 ,0  ,0  ,0  ,0  	},// 14 // 224
	{225 ,226 ,227 ,228 ,229 ,230 ,0  ,0  },// 15 // 240
	{241 ,242 ,243 ,244 ,245 ,246 ,0  ,0  },
	{0  ,0  ,0  ,0  ,0  ,4  ,101  ,1},
	{0  ,0  ,0  ,0  ,0  ,5*16  ,5*16  ,5000},
	{0  ,0  ,0  ,0  ,0  ,2  ,1  ,4},
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,1}// [11][7] is for the gfx file to use
	
};	

int world11[12][8]={// this is for the random world shops and thingies
	{300  ,301  ,302  ,303  ,304  ,305  ,306  ,307},
	{308  ,309  ,310  ,0  ,0  ,0  ,0  ,0},
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0},
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0},
	
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0},
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0},
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0},
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0},
	
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,0},
	{0  ,0  ,0  ,0  ,0  ,5*16  ,5*16  ,20000},
	{0  ,0  ,0  ,0  ,0  ,2  ,1  ,4},
	{0  ,0  ,0  ,0  ,0  ,0  ,0  ,1},
};// end world 11

	
	int tmp[10][10];
	void sav_world(int i)
{
		FolderCur(SYMSTR("maps"),TRUE);	
		char mapa[10],sav2[20];
				sprintf(mapa,"zmp%i",i);
		sprintf(sav2,"maps\\zmp%i",i);
		HSym sym = SymFind (SYMSTR (mapa));	
    TRY
    if (sym.folder){cmd_unarchiv(SYMSTR(mapa));}// unarchive the save
    ONERR
    ENDTRY 		


		FILE *f = NULL;
	TRY
		    
    short int fileio = TRUE;
	//		char mapa[10];
	//	sprintf(mapa,"zmp4");
		    if ((f = fopen(mapa,"wb")) == NULL) {// write into temp - use the file saving routine for the
    // saving of the real file.  for everything else, use the temp file
        fileio = FALSE;
    } else {
        // write inv data to the file
       
					switch (i){
						case 4:// depreciated
    		    //	if (fwrite(world4,sizeof(world4),1,f) != 1) {fileio = FALSE;}
						break;
						case 11:
    		    	if (fwrite(world11,sizeof(world11),1,f) != 1) {fileio = FALSE;}
						break;
						}// end switch i
	        fputc(0,f);
	        fputs("ZLD",f);
	        fputc(0,f);
	        fputc(OTH_TAG,f);
	
	        // close the file
	        fclose(f);       
       }// end else
       if (fileio){cmd_archive(SYMSTR(sav2));}
    ONERR
    ENDTRY
}// end save room	
	
void sav_room(int i)
{
		FolderCur(SYMSTR("rooms"),TRUE);	
		char mapa[10],sav2[20];
				sprintf(mapa,"room%i",i);
		sprintf(sav2,"rooms\\room%i",i);
		HSym sym = SymFind (SYMSTR (mapa));	
    TRY
    if (sym.folder){cmd_unarchiv(SYMSTR(mapa));}// unarchive the save
    ONERR
    ENDTRY 		
		
		FILE *f = NULL;
	TRY
		    
    short int fileio = TRUE;
			
		sprintf(mapa,"room%i",i);
		    if ((f = fopen(mapa,"wb")) == NULL) {// write into temp - use the file saving routine for the
    // saving of the real file.  for everything else, use the temp file
        fileio = FALSE;
    } else {
        // write inv data to the file
       

    		    if (fwrite(tmp,sizeof(tmp),1,f) != 1) {fileio = FALSE;}

	        fputc(0,f);
	        fputs("ZLD",f);
	        fputc(0,f);
	        fputc(OTH_TAG,f);
	
	        // close the file
	        fclose(f);       
       }// end else
       if (fileio){cmd_archive(SYMSTR(sav2));}
    ONERR
    ENDTRY
}// end save room	
	
	
void clr_tmp3()
{
	int x=0,y=0;
	while (x<10){
		while (y<10)
		{
			tmp[x][y]=0;
			y++;
		}// end while y
			x++; y=0;
	}// end while x
}// end clr tmp	
	
void room_conv2()
{
	clr_tmp3();
	
	
	int x=0, y=0, a=0, b=0, v=0;// change x to 8 only if you dont want the shops created.
	while (x<16){
		while (y<16){
			
			v=world_map[x][y];
			if (v==0){goto end;}
				while (a<10){
					while (b<10){
				
						tmp[a][b]=room_list[v][a][b];
						b++;
					}// end while b
					b=0;a++;
			}// end while a
			sav_room(world_map2[x][y]);
			end:
			y++;a=0;b=0;
		}// end y
		y=0;x++;
	}// end while x
}//end room convert	
	
	
	

/*

	room list actually needs to be 64 in size.  this will allow for the full world to work right.

*/	
	
	
	
	
