// C Source File
// Created 2/1/2015; 1:52:56 PM

#include <tigcclib.h>
#include "mapping_sys.h"
#include "defines.h"
#include "unique.h"
extern int story_line[sl_max][sl_width];


void update_sl_dung_items()
{
	
// add_treasure_box - <x_pos>,<y_pos>,<item held>,<quantity>,<sl marker>

// chkroom - <room_x>, <room_y>, <ow>, <if marker id>, <unused>
// treasure box 1->9 is for the special dungeon items.
int story_line0[sl_max][sl_width]={


{0,0,0,0,0,0},// buffer - needed b/c it will start at 1 not 0
/*
hookshot - 5
boomerang - 1
wand - 7
bow - 2
gauntlets - 4
raft - 3
hover boots - 6
tunic - 9
master key - 8
*/

{chk_room,0,7,1,1,0}, //level 1
{if_true,0,0,0,1,0},
{add_treasure_box,4*16,3*16,item_boomerang,1,1},
{end_if_true,0,0,0,1,0},
{if_false,0,0,0,1,0},
{end_if_false,0,0,0,1,0},

// level 2 is in the boss keys, b/c it is in the same room

{chk_room,4,7,3,3,0}, //level 3
{if_true,0,0,0,3,0},
{add_treasure_box,5*16,2*16,item_raft,1,3},
{end_if_true,0,0,0,3,0},
{if_false,0,0,0,3,0},
{end_if_false,0,0,0,3,0},

{chk_room,0,1,4,4,0}, //level 4
{if_true,0,0,0,4,0},
{add_treasure_box,5*16,3*16,item_gauntlet,1,4},
{end_if_true,0,0,0,4,0},
{if_false,0,0,0,4,0},
{end_if_false,0,0,0,4,0},

{chk_room,1,1,5,5,0}, //level 5
{if_true,0,0,0,5,0},
{add_treasure_box,4*16,3*16,item_hookshot,1,5},
{end_if_true,0,0,0,5,0},
{if_false,0,0,0,5,0},
{end_if_false,0,0,0,5,0},

{chk_room,4,0,6,6,0}, //level 6
{if_true,0,0,0,6,0},
{add_treasure_box,5*16,4*16,item_hover_boots,1,6},
{end_if_true,0,0,0,6,0},
{if_false,0,0,0,6,0},
{end_if_false,0,0,0,6,0},

{chk_room,5,0,7,7,0}, //level 7
{if_true,0,0,0,7,0},
{add_treasure_box,1*16,1*16,item_wand,1,7},
{end_if_true,0,0,0,7,0},
{if_false,0,0,0,7,0},
{end_if_false,0,0,0,7,0},

{chk_room,0,4,8,8,0}, //level 8
{if_true,0,0,0,8,0},
{add_treasure_box,4*16,3*16,item_heart_container,1,8},// i forgot to add one, so here one is:
{end_if_true,0,0,0,8,0},
{if_false,0,0,0,8,0},
{end_if_false,0,0,0,8,0},

{chk_room,0,0,9,9,0}, //level 9
{if_true,0,0,0,9,0},
{add_treasure_box,4*16,3*16,item_tunic,1,9},
{end_if_true,0,0,0,9,0},
{if_false,0,0,0,9,0},
{end_if_false,0,0,0,9,0},

{0,0,0,0,0,0},//50

};




	int i=0,k=0;
	
	while (i<sl_max)
	{
		while (k<sl_width){story_line[i][k]=story_line0[i][k];k++;}
		k=0;i++;
	}// end while <100
}// end update sl
