// C Source File
// Created 4/19/2012; 7:30:21 PM

#include <tigcclib.h>

#include "rooms2.h"
#include "beg room set.h"
#include "mapping_sys.h"

// this was created so that i only had to add arrays in headder files and then
// add to the case statements in "void convert_maps(int i)" and that was it.
// it is a universal map saver now.
int r_list[64][10][10];// this will be a private room list that shall exist.
int tmp[10][10];
int world_map[12][8];






void sav_room(int i)
{
		FolderCur(SYMSTR("rooms"),TRUE);	
		char mapa[10],sav2[20];
				sprintf(mapa,"room%i",i);
		sprintf(sav2,"rooms\\room%i",i);
		HSym sym = SymFind (SYMSTR (mapa));	
    TRY
    if (sym.folder){cmd_unarchiv(SYMSTR(mapa));}// unarchive the save
    ONERR
    ENDTRY 		
		
		FILE *f = NULL;
	TRY
		    
    short int fileio = TRUE;
			
		sprintf(mapa,"room%i",i);
		    if ((f = fopen(mapa,"wb")) == NULL) {// write into temp - use the file saving routine for the
    // saving of the real file.  for everything else, use the temp file
        fileio = FALSE;
    } else {
        // write inv data to the file
       

    		    if (fwrite(tmp,sizeof(tmp),1,f) != 1) {fileio = FALSE;}

	        fputc(0,f);
	        fputs("ZLD",f);
	        fputc(0,f);
	        fputc(OTH_TAG,f);
	
	        // close the file
	        fclose(f);       
       }// end else
       if (fileio){cmd_archive(SYMSTR(sav2));}
    ONERR
    ENDTRY
}// end save room	

void clr_tmp()
{
	int x=0,y=0;
	while (x<10){
		while (y<10)
		{
			tmp[x][y]=0;
			y++;
		}// end while y
			x++; y=0;
	}// end while x
	
	
	x=0;y=0;
	while (x<12){
		while (y<8)
		{
			world_map[x][y]=0;
			y++;
		}// end while y
			x++; y=0;
	}// end while x
}// end clr tmp	




void room_conv()
{
	
	
	
	int x=0, y=0, a=0, b=0, v=0;// change x to 8 only if you dont want the shops created.
	while (x<8){
		while (y<8){
			
			v=world_map[x][y];
			if (v==0){goto end;}
				while (a<10){
					while (b<10){
				
						tmp[a][b]=r_list[y+(x*8)][a][b]; // the array will need to be aligned so that
						// it will start at [0][0] and do [0][x++] all the way across. it will go accross 
						// like that until it hits [7][7] at the very end.  [1][0]=9 while [0][1]=1.
						// that is how the 2d will become liniar.
						b++;
					}// end while b
					b=0;a++;
			}// end while a
			sav_room(world_map[x][y]);
			end:
			y++;a=0;b=0;
		}// end y
		y=0;x++;a=0;b=0;
	}// end while x
}//end room convert


void convert_maps(int i)
{// this will put a main world map into the temp files so it can be played with.
	clr_tmp();
	int x=0, y=0,z=0;
	while (x<12){
		while (y<8)
		{
			
			
				switch (i)
				{// edit only this case statement.
					case 100:
						world_map[x][y]=world100[x][y];
					break;
					case 999:
						world_map[x][y]=world999[x][y];
					break;
				}// end switch
						
			
			
			
			y++;
		}// end while y
			x++; y=0;
	}// end while x
x=0;y=0;z=0;
	while (z<64){
		while (x<10){
			while (y<10)
			{
				
				switch (i)
				{// edit only this switch.
					case 100:
						r_list[z][x][y]=room_set100[z][x][y];
					break;
					case 999:
						r_list[z][x][y]=room_set900[z][x][y];
					break;
				}// end switch
				
				
				
				
				y++;
			}// end while y
				x++; y=0;
		}// end while x
		z++; x=0;y=0;
	}// end while z
}// end convert maps

	void sav_world_and_rooms(int i)
{
		
		convert_maps(i);// convert the maps first.
		
		FolderCur(SYMSTR("maps"),TRUE);	
		char mapa[10],sav2[20];
				sprintf(mapa,"zmp%i",i);
		sprintf(sav2,"maps\\zmp%i",i);
		HSym sym = SymFind (SYMSTR (mapa));	
    TRY
    if (sym.folder){cmd_unarchiv(SYMSTR(mapa));}// unarchive the save
    ONERR
    ENDTRY 		


		FILE *f = NULL;
	TRY
		    
    short int fileio = TRUE;
	//		char mapa[10];
	//	sprintf(mapa,"zmp4");
		    if ((f = fopen(mapa,"wb")) == NULL) {// write into temp - use the file saving routine for the
    // saving of the real file.  for everything else, use the temp file
        fileio = FALSE;
    } else {
        // write inv data to the file
       

    		    	if (fwrite(world_map,sizeof(world_map),1,f) != 1) {fileio = FALSE;}

	        fputc(0,f);
	        fputs("ZLD",f);
	        fputc(0,f);
	        fputc(OTH_TAG,f);
	
	        // close the file
	        fclose(f);       
       }// end else
       if (fileio){cmd_archive(SYMSTR(sav2));}
    ONERR
    ENDTRY
    room_conv();// then convert all of the rooms.
}// end save room	