// C Source File
// Created 10/16/2014; 6:21:18 PM

#include <tigcclib.h>
#include "defines.h"
#include "new_mobs.h"
#include "unique.h"
extern int loc_in_pic_arr, mob_location;
extern int mob_stat1[max_mobs][mob_num_of_stats];
int num_of_sprites=0, num_of_walk_sprites=0, creature_width=0, creature_height=0,creature_animation_speed=5;

// to use the pre's call the mob pic before you call the pre routines. - they will preset the walk_sprites and mob spirtes
void pre_mob_generic( int toughness, int atk, int dmg, int spd)
{
	int reducer=0;
	if (spd==very_slow){reducer=5;spd=1;}
	
	mob_stat1[mob_location][mob_hp]=toughness;
	mob_stat1[mob_location][mob_def]=0;
	mob_stat1[mob_location][mob_dam]=dmg;
	mob_stat1[mob_location][mob_x]=0;
	mob_stat1[mob_location][mob_y]=0;

	mob_stat1[mob_location][mob_sprites]=num_of_sprites;
	mob_stat1[mob_location][mob_walk_sprites]=num_of_walk_sprites;
	mob_stat1[mob_location][mob_sprite_id]=loc_in_pic_arr-num_of_sprites;
	mob_stat1[mob_location][mob_special_atk]=atk;
	mob_stat1[mob_location][mob_stunned]=0;
	mob_stat1[mob_location][mob_underground]=0;
	mob_stat1[mob_location][mob_type]=generic;

	mob_stat1[mob_location][mob_h]=creature_height;
	mob_stat1[mob_location][mob_w]=creature_width;

	mob_stat1[mob_location][mob_speed]=spd;
	mob_stat1[mob_location][mob_animation_speed]=creature_animation_speed;
	mob_stat1[mob_location][mob_current_sprite]=loc_in_pic_arr-num_of_sprites;
	mob_stat1[mob_location][mob_move_type]=MOB_WANDER;
	mob_stat1[mob_location][mob_stops]=reducer;
	mob_location++;
//num_of_sprites=0, num_of_walk_sprites=0, creature_width=0, creature_height=0
}// end mob generic


void pre_mob_gen_flyer( int toughness, int atk, int dmg, int spd, int mv_type)
{

// note that you can turn this into a ghost, bat, or wizard

	int reducer=0;
	if (spd==very_slow){reducer=5;spd=1;}
	
	mob_stat1[mob_location][mob_hp]=toughness;
	mob_stat1[mob_location][mob_def]=0;
	mob_stat1[mob_location][mob_dam]=dmg;
	mob_stat1[mob_location][mob_x]=0;
	mob_stat1[mob_location][mob_y]=0;

	mob_stat1[mob_location][mob_h]=creature_height;
	mob_stat1[mob_location][mob_w]=creature_width;

	mob_stat1[mob_location][mob_sprites]=num_of_sprites;
	mob_stat1[mob_location][mob_walk_sprites]=num_of_walk_sprites;
	mob_stat1[mob_location][mob_sprite_id]=loc_in_pic_arr-num_of_sprites;
	mob_stat1[mob_location][mob_special_atk]=atk;
	mob_stat1[mob_location][mob_stunned]=0;
	mob_stat1[mob_location][mob_underground]=0;
	mob_stat1[mob_location][mob_type]=flyer;

	mob_stat1[mob_location][mob_speed]=spd;
	mob_stat1[mob_location][mob_animation_speed]=creature_animation_speed;
	mob_stat1[mob_location][mob_current_sprite]=loc_in_pic_arr-num_of_sprites;
	mob_stat1[mob_location][mob_move_type]=mv_type;
	mob_stat1[mob_location][mob_stops]=reducer;
	mob_location++;

}// end mob generic flyer

// the pre full allows you more or less full control over what the mob is.
void pre_mob_full( int type,  int toughness, int atk, int dmg, int spd, int mv_type, int shld, int stops)
{
	if (spd==very_slow){stops=5;spd=1;}
	
	mob_stat1[mob_location][mob_hp]=toughness;
	mob_stat1[mob_location][mob_def]=0;
	mob_stat1[mob_location][mob_dam]=dmg;
	mob_stat1[mob_location][mob_x]=0;
	mob_stat1[mob_location][mob_y]=0;

	mob_stat1[mob_location][mob_h]=creature_height;
	mob_stat1[mob_location][mob_w]=creature_width;

	mob_stat1[mob_location][mob_sprites]=num_of_sprites;
	mob_stat1[mob_location][mob_walk_sprites]=num_of_walk_sprites;
	mob_stat1[mob_location][mob_sprite_id]=loc_in_pic_arr-num_of_sprites;
	mob_stat1[mob_location][mob_special_atk]=atk;
	mob_stat1[mob_location][mob_stunned]=0;
	mob_stat1[mob_location][mob_underground]=0;
	mob_stat1[mob_location][mob_type]=type;
	mob_stat1[mob_location][mob_shield]=shld;

	mob_stat1[mob_location][mob_speed]=spd;
	mob_stat1[mob_location][mob_animation_speed]=creature_animation_speed;
	mob_stat1[mob_location][mob_current_sprite]=loc_in_pic_arr-num_of_sprites;
	mob_stat1[mob_location][mob_move_type]=mv_type;
	mob_stat1[mob_location][mob_stops]=stops;
	mob_location++;

}// end mob full

void pre_mob_boss( int x, int y, int dir, int type,  int toughness, int atk, int defence, int dmg, int spd, int mv_type, int shld )
{

	mob_stat1[mob_location][mob_hp]=toughness;
	mob_stat1[mob_location][mob_def]=defence;
	mob_stat1[mob_location][mob_dam]=dmg;
	mob_stat1[mob_location][mob_x]=x;
	mob_stat1[mob_location][mob_y]=y;
	mob_stat1[mob_location][mob_dir]=dir;
	mob_stat1[mob_location][mob_sprites]=num_of_sprites;
	mob_stat1[mob_location][mob_walk_sprites]=num_of_walk_sprites;
	mob_stat1[mob_location][mob_sprite_id]=loc_in_pic_arr-num_of_sprites;
	mob_stat1[mob_location][mob_special_atk]=atk;
	
	mob_stat1[mob_location][mob_stunned]=0;
	mob_stat1[mob_location][mob_underground]=0;
	mob_stat1[mob_location][mob_rand_var1]=0;
	mob_stat1[mob_location][mob_rand_var2]=0;
	
	mob_stat1[mob_location][mob_type]=type;
	mob_stat1[mob_location][mob_shield]=shld;

	mob_stat1[mob_location][mob_h]=creature_height;
	mob_stat1[mob_location][mob_w]=creature_width;

	mob_stat1[mob_location][mob_speed]=spd;
	mob_stat1[mob_location][mob_animation_speed]=creature_animation_speed;
	mob_stat1[mob_location][mob_current_sprite]=loc_in_pic_arr-num_of_sprites;
	mob_stat1[mob_location][mob_move_type]=mv_type;
	mob_location++;

}// end mob boss
/*
void mob_generic( int toughness, int atk, int dmg, int spd)
{
	int reducer=0;
	if (spd==very_slow){reducer=5;}
	
	mob_stat1[mob_location][mob_hp]=toughness;
	mob_stat1[mob_location][mob_def]=0;
	mob_stat1[mob_location][mob_dam]=dmg;
	mob_stat1[mob_location][mob_x]=0;
	mob_stat1[mob_location][mob_y]=0;

	mob_stat1[mob_location][mob_sprites]=8;
	mob_stat1[mob_location][mob_walk_sprites]=2;
	mob_stat1[mob_location][mob_sprite_id]=loc_in_pic_arr;
	mob_stat1[mob_location][mob_special_atk]=atk;
	mob_stat1[mob_location][mob_stunned]=0;
	mob_stat1[mob_location][mob_underground]=0;
	mob_stat1[mob_location][mob_type]=generic;

	mob_stat1[mob_location][mob_speed]=spd;
	mob_stat1[mob_location][mob_animation_speed]=creature_animation_speed;
	mob_stat1[mob_location][mob_current_sprite]=loc_in_pic_arr;
	mob_stat1[mob_location][mob_move_type]=MOB_WANDER;
	mob_stat1[mob_location][mob_stops]=reducer;
	mob_location++;

}// end mob generic


void mob_generic_shield( int x, int y, int toughness, int atk, int dmg, int spd)
{

	mob_stat1[mob_location][mob_hp]=toughness;
	mob_stat1[mob_location][mob_def]=0;
	mob_stat1[mob_location][mob_dam]=dmg;
	mob_stat1[mob_location][mob_x]=x;
	mob_stat1[mob_location][mob_y]=y;

	mob_stat1[mob_location][mob_sprites]=8;
	mob_stat1[mob_location][mob_walk_sprites]=2;
	mob_stat1[mob_location][mob_sprite_id]=loc_in_pic_arr;
	mob_stat1[mob_location][mob_special_atk]=atk;
	mob_stat1[mob_location][mob_shield]=1;
	mob_stat1[mob_location][mob_stunned]=0;
	mob_stat1[mob_location][mob_underground]=0;
	mob_stat1[mob_location][mob_type]=generic;

	mob_stat1[mob_location][mob_speed]=spd;
	mob_stat1[mob_location][mob_animation_speed]=creature_animation_speed;
	mob_stat1[mob_location][mob_current_sprite]=loc_in_pic_arr;
	mob_stat1[mob_location][mob_move_type]=MOB_WANDER;
	mob_location++;

}// end mob generic


void mob_gen_flyer( int toughness, int atk, int dmg, int spd, int mv_type)
{

// note that you can turn this into a ghost, bat, or wizard


	mob_stat1[mob_location][mob_hp]=toughness;
	mob_stat1[mob_location][mob_def]=0;
	mob_stat1[mob_location][mob_dam]=dmg;
	mob_stat1[mob_location][mob_x]=0;
	mob_stat1[mob_location][mob_y]=0;

	mob_stat1[mob_location][mob_sprites]=8;
	mob_stat1[mob_location][mob_walk_sprites]=2;
	mob_stat1[mob_location][mob_sprite_id]=loc_in_pic_arr;
	mob_stat1[mob_location][mob_special_atk]=atk;
	mob_stat1[mob_location][mob_stunned]=0;
	mob_stat1[mob_location][mob_underground]=0;
	mob_stat1[mob_location][mob_type]=flyer;

	mob_stat1[mob_location][mob_speed]=spd;
	mob_stat1[mob_location][mob_animation_speed]=creature_animation_speed;
	mob_stat1[mob_location][mob_current_sprite]=loc_in_pic_arr;
	mob_stat1[mob_location][mob_move_type]=mv_type;
	mob_location++;

}// end mob generic flyer


void mob_gen_flyer_pic_mod( int toughness, int atk, int dmg, int spd, int mv_type, int sprts, int mv_sprts)
{

// note that you can turn this into a ghost, bat, or wizard
// this one allows you to change the number of sprites and move sprites that it has.
// this was added so i could use it as the bat.

	mob_stat1[mob_location][mob_hp]=toughness;
	mob_stat1[mob_location][mob_def]=0;
	mob_stat1[mob_location][mob_dam]=dmg;
	mob_stat1[mob_location][mob_x]=0;
	mob_stat1[mob_location][mob_y]=0;

	mob_stat1[mob_location][mob_sprites]=sprts;
	mob_stat1[mob_location][mob_walk_sprites]=mv_sprts;
	mob_stat1[mob_location][mob_sprite_id]=loc_in_pic_arr;
	mob_stat1[mob_location][mob_special_atk]=atk;
	mob_stat1[mob_location][mob_stunned]=0;
	mob_stat1[mob_location][mob_underground]=0;
	mob_stat1[mob_location][mob_type]=flyer;

	mob_stat1[mob_location][mob_speed]=spd;
	mob_stat1[mob_location][mob_animation_speed]=creature_animation_speed;
	mob_stat1[mob_location][mob_current_sprite]=loc_in_pic_arr;
	mob_stat1[mob_location][mob_move_type]=mv_type;
	mob_location++;

}// end mob generic flyer

/*


void mob_generic( int x, int y, int toughness, int atk, int dmg, int spd)
{

	mob_stat1[mob_location][mob_hp]=toughness;
	mob_stat1[mob_location][mob_def]=0;
	mob_stat1[mob_location][mob_dam]=dmg;
	mob_stat1[mob_location][mob_x]=x;
	mob_stat1[mob_location][mob_y]=y;

	mob_stat1[mob_location][mob_sprites]=8;
	mob_stat1[mob_location][mob_walk_sprites]=2;
	mob_stat1[mob_location][mob_sprite_id]=loc_in_pic_arr;
	mob_stat1[mob_location][mob_special_atk]=atk;
	//mob_stat1[mob_location][mob_shield]=;
	//mob_stat1[mob_location][mob_item]=;
	//mob_stat1[mob_location][mob_sl_exec]=;
	mob_stat1[mob_location][mob_stunned]=0;
	mob_stat1[mob_location][mob_underground]=0;
	mob_stat1[mob_location][mob_type]=generic;

	mob_stat1[mob_location][mob_speed]=normal_speed;
	mob_stat1[mob_location][mob_animation_speed]=4;
	mob_stat1[mob_location][mob_current_sprite]=loc_in_pic_arr;
	mob_stat1[mob_location][mob_move_type]=MOB_WANDER;

}// end mob generic

*/