// C Source File
// Created 8/30/2011; 10:39:59 AM

#include <tigcclib.h>
#include "defines.h"
#include "new_mobs.h"
#include "routines.h"
extern int mob_stat1[max_mobs][mob_num_of_stats];
extern int loc_in_pic_arr, mob_location;

void clr_mob_list()
{
	int i=0,k=0;
	while (i<max_mobs){
		while (k<mob_num_of_stats)
		{
			mob_stat1[i][k]=(-100);// used in the game, so do not delete
			k++;
		}// end while k<15
		
		mob_stat1[i][mob_frame]=0;// use as default,  b/c you do not want to start out at -100 in frames
		mob_stat1[i][mob_dir]=0;// prevents problems.
		mob_stat1[i][mob_stunned]=0;
		mob_stat1[i][mob_underground]=0;
		mob_stat1[i][mob_id]=i+15;
		mob_stat1[i][mob_h]=14;// a temp situation where all mobs have the same width and height
		mob_stat1[i][mob_w]=14;
		i++;k=0;
		// the mob simply just does not move if you do.
	}// end while i<64
}// end clr mob list



// defines for speed

#define stopped 0
#define slow_speed 1
#define normal_speed 2
#define fast_speed 3

// defines for toughness and dmg

#define weak 4
#define normal 8
#define strong 12
#define hard 16
#define super 24
#define ultra 32

// defines for weapons

#define mob_sword 9000
#define mob_boomerang 9001
#define mob_arrow 9002
#define mob_ball 9003
#define mob_master_sword 9004
#define mob_fireball 9005
#define mob_magic_atk 9006
#define no_atk 0

void fill_the_rest()
{
	int i=0;
	for (i=mob_location;i<max_mobs;i++){no_mob();}
}

void mob_list_create(int i)
{
	clr_mob_list();
	loc_in_pic_arr=0;
	int create=TRUE;
	switch (i)
	{
		case 1:// uses mob gfx file 1
			mob_butterfly(0,2*16,3*16,2);
			mob_butterfly(1,3*16,1*16,2);
			mob_butterfly(2,7*16,5*16,2);//, 1, 1);
						mob_dog(3,7*16,1*16,16);
			mob_butterfly(4,3*16,3*16,2);
			mob_butterfly(5,6*16,2*16,2);
			no_mob(6);
				 no_mob(7);
	//		mob_butterfly(6,8*16,5*16);
	//			mob_chicken(7,7*16,2*16);
		break;
		case 2:// uses mob gfx file 1
			mob_octi(0,3*16, 3*16,4);
			mob_octi(1,4*16, 5*16,4);
			mob_octi(2,3*16, 1*16,4);
			mob_octi(3,6*16, 2*16,4);
			mob_octi(4,6*16, 5*16,4);
			mob_octi(5,2*16, 5*16,4);
			no_mob(6);
				 no_mob(7);
	//		mob_octi(6,4*16, 2*16);
	//		mob_octi(7,7*16, 4*16);
			
//	{{MONSTER1,3,3},{MONSTER1,4,5},{-1,0,0},{-1,0,0},{-1,0,0}},
//	{{MONSTER1,3,1},{MONSTER1,6,2},{MONSTER1,6,5},{-1,0,0},{-1,0,0}}, //Room 20
//	{{MONSTER1,2,5},{MONSTER1,4,2},{MONSTER1,7,4},{-1,0,0},{-1,0,0}},		
		break;
		case 3:// uses mob gfx file 1
			mob_spike(0,3*16, 2*16,12); 
			mob_spike(1,6*16, 4*16,12); 
			mob_spike(2,7*16, 4*16,12); 
			 mob_octi(3,6*16, 2*16,4); 
		   mob_octi(4,5*16, 5*16,4); 
			mob_spike(5,2*16, 5*16,12);
			no_mob(6);
				 no_mob(7); 
//			mob_spike(6,2*16, 6*16); 
//			mob_spike(7,2*16, 3*16); 
//	{{URCHIN1,3,2},{URCHIN1,6,4},{URCHIN1,7,4},{-1,0,0},{-1,0,0}},
//	{{MONSTER1,6,2},{MONSTER1,5,5},{URCHIN1,2,5},{URCHIN1,2,6},{-1,0,0}},
//  	{{URCHIN1,2,3},{-1,0,0},{-1,0,0},{-1,0,0},{-1,0,0}},			
		break;		
		case 4:
			   mob_octi(0,5*16, 5*16,4);
			mob_sandmob(1,4*16, 4*16,26);
			mob_sandmob(2,7*16, 4*16,26);
			mob_sandmob(3,3*16, 2*16,26);
			   mob_crab(4,2*16, 3*16,24);
			   mob_crab(5,6*16, 4*16,24);
			   no_mob(6);
				 no_mob(7);
//			   mob_crab(6,8*16, 2*16);
//			  mob_spike(7,2*16, 3*16);
		break;
		case 5:// - make to use 12, 4,6,9, 7	
			mob_butterfly(0,3*16,3*16,2);//4
			mob_butterfly(1,6*16,2*16,2);//5
			mob_butterfly(2,8*16,5*16,2);//6
	 		  mob_chicken(3,7*16,2*16,20);//7			
				fill_the_rest(4);
						 
		break;
		case 6:// use for 21, 26
			mob_octi(0,2*16, 5*16,4);//5
			mob_octi(1,4*16, 2*16,4);//6
			mob_octi(2,7*16, 4*16,4);	//7
			fill_the_rest(3);				
		break;
		case 7:// use for 28,34
		   mob_octi(0,5*16, 5*16,4);//4 
			mob_spike(1,2*16, 5*16,12); //5
			mob_spike(2,2*16, 6*16,12);//6 
			mob_spike(3,2*16, 3*16,12);//7 
				 no_mob(4);
				 no_mob(5);		
				 no_mob(6);
				 no_mob(7);
		break;
		case 8:
			mob_pede_head(0,5*16, 2*16, 0);
			mob_pede_body(1,5*16, 3*16-8, 2);
			mob_pede_body(2,5*16, 3*16,   2);
			mob_pede_body(3,5*16, 4*16-8, 2);
			mob_pede_body(4,5*16, 4*16,   2);
			mob_pede_body(5,5*16, 5*16-8, 2);
			mob_pede_body(6,5*16, 5*16,   2);
			mob_pede_body(7,5*16, 6*16-8, 2);
		break;	

		case 9:
		mob_location=0;
		mob_generic(weak, mob_fireball, weak, slow_speed);
		mob_generic(weak, mob_magic_atk, weak, slow_speed);
		mob_generic(weak, mob_magic_atk, weak, slow_speed);
		pic_octipus();
		mob_gen_flyer(weak, mob_fireball, weak, slow_speed, MOB_GHOST);
		mob_gen_flyer(weak, mob_magic_atk, weak, slow_speed, MOB_GHOST);
		pic_ghost();
		mob_gen_flyer(weak, 0, weak, slow_speed, MOB_WIZARD);
		pic_wizard();
		no_mob(6);
  	no_mob(7);
		
		break;	
	/*
	pic_boy_1();

	pic_guy_1();
	pic_guy_2();
	pic_guy_3();
	
	pic_lady_1();
	pic_lady_2();
	pic_lady_3();
	
	pic_old_lady();
	
	pic_sage_2();
	pic_sage_1();
	
	*** max of 32 gfx slots, so a max of 4 mobs
	
	*/		
		case 20:// for town mobs
		//normal_npc(int loc, int x, int y, int msg_id, int msg_num)
		normal_npc(0, 0, 0, 2, 16);
		pic_guy_1();
		normal_npc(1, 0, 0, 2, 10);
		pic_guy_2();
		normal_npc(2, 0, 0, 2, 3);
		pic_lady_1();		
		normal_npc(3, 0, 0, 2, 12);
		pic_lady_2();
		fill_the_rest(4);
	
		break;	
		case 21:// for the shops in the towns
		//var_speed_npc(int loc, int x, int y, int msg_id, int msg_num, int speed, reducer)
		var_speed_npc(0, 8*16, 5*16, 2, 14,0, left,0);
		pic_lady_2();
		var_speed_npc(1, 8*16, 5*16, 2, 14,0, left,0);
		pic_old_lady();
		var_speed_npc(2, 8*16, 5*16, 2, 14,0, left,0);
		pic_guy_3();
		var_speed_npc(3, 8*16, 5*16, 2, 14,0, left,0);
		pic_guy_1();
		fill_the_rest(4);

		break;	
		case 22:// the sages that tell the story
		//normal_npc(int loc, int x, int y, int msg_id, int msg_num)
		var_speed_npc(0, 0, 0, 2, 19,1,down,5);
		var_speed_npc(1, 0, 0, 2, 22,1,down,5);
		var_speed_npc(2, 0, 0, 2, 34,1,down,5);
		pic_sage_1();
		var_speed_npc(3, 0, 0, 2, 27,1,down,6);
		var_speed_npc(4, 0, 0, 2, 30,1,down,6);
		var_speed_npc(5, 0, 0, 2, 41,1,down,6);
		var_speed_npc(6, 0, 0, 2, 7,1,down,6);
		pic_sage_2();
		normal_npc(7, 0, 0, 2, 4);		
		pic_boy_1();
		

	
		break;	
		case 23:// shepard and sheep
		//normal_npc(int loc, int x, int y, int msg_id, int msg_num)
		normal_npc(0, 0, 0, 3, 3);
		pic_boy_1();
		normal_npc(1, 0, 0, 3, 2);
		normal_npc(2, 0, 0, 3, 2);
		normal_npc(3, 0, 0, 3, 2);
		normal_npc(4, 0, 0, 3, 2);
		normal_npc(5, 0, 0, 3, 2);
		normal_npc(6, 0, 0, 3, 2);
		normal_npc(7, 0, 0, 3, 2);
		pic_sheep();

	
		break;	
		case 24:// for town creatures (alone)
		//normal_npc(int loc, int x, int y, int msg_id, int msg_num)
		mob_butterfly2(0, 0, 0);
		mob_butterfly2(1, 0, 0);
		mob_butterfly2(2, 0, 0);
		mob_butterfly2(3, 0, 0);
		pic_butterfly();
		gen_hop_mob(4, 0, 0, chicken, 2, 1, 8 );
		gen_hop_mob(5, 0, 0, chicken, 2, 1, 8 );
		pic_chicken();
		gen_hop_mob(6, 0, 0, dog, 2, 0, -66 );
		gen_hop_mob(7, 0, 0, dog, 2, 0, -66 );
		pic_dog();

	
		break;
		case 200:
		//mob_gen_flyer_pic_mod(int loc, int toughness, int atk, int dmg, int spd, int mv_type, int sprts, int mv_sprts)MOB_BAT
		mob_gen_flyer_pic_mod(weak, 0, 2, 3, MOB_BAT, 2, 2);

		break;
		case 206:
			mob_gen_flyer_pic_mod(weak, 0, 2, 3, MOB_BAT, 2, 2);
			pic_bat();
			mob_generic(hard, 0, normal, normal_speed);
			pic_skeleton();
			mob_generic(strong, mob_ball, normal, normal_speed);
			pic_eye();
			mob_gen_flyer(normal, mob_magic_atk, normal, slow_speed, MOB_WIZARD);
			pic_wizard();
			fill_the_rest(4);
		break;
													
		case 101:
			   // mob_merin(0, 0, 0, 0, 0);- use a specific mob file for merin
			      mob_dog(0,0,0,16);
			mob_butterfly(1,0,0,2);
			  mob_chicken(2,0,0,20);
			  	mob_spike(3,0,0,12);
			  	 mob_octi(4,0,0,4);
			  mob_sandmob(5,0,0,26);
			  no_mob(6);
				 no_mob(7);
//			     mob_crab(6,0,0);
//			     	 no_mob(7);
		break;
		case 102:// new dungeon mobs
			   // mob_merin(0, 0, 0, 0, 0);- use a specific mob file for merin
					mob_mummy(0,0,0,24);
					mob_likelike(1,0,0,26);
					mob_reaper(2,0,0,0);
					mob_golem(3,0,0,16);
					mob_guard(4,0,0,8);
					no_mob(5);
					no_mob(6);
				 no_mob(7);
		break;
		case 99:
			mob_evil_eye(0, 80, 42, 0);
			
			mob_circle_eye(1, 0, 0, 2);
			mob_circle_eye(2, 0, 0, 2);
			mob_circle_eye(3, 0, 0, 2);
			mob_circle_eye(4, 0, 0, 2);
			mob_circle_eye(5, 0, 0, 2);
			mob_circle_eye(6, 0, 0, 2);
			mob_circle_eye(7, 0, 0, 2);
		break;
		default:
			create=FALSE;
		break;
	}// end switch
	if (create) {save_mob_stats(i);}
}// end mob list create



//===================================================================================================================

void save_mob_gfx(int set, int map_file)
{
	clr_mob_arrs();// clear out the arrs.
	loc_in_pic_arr=0;
	switch (set)
	{
		case 1:
			pic_merin(0);//2
			pic_butterfly(2);// put this pic into the array at point 2
			pic_octipus(4);//8
			pic_spike(12);//4
			pic_dog(16);//4
			pic_chicken(20);//4
			pic_crab(24);//2
			pic_sandmob(26);//4
		//	pic_red(7);
			save_mob_set(map_file);// now save that file.
		break;
		case 2:
			pic_reaper(0);//8
		//	pic_red(7);//8
			pic_guard(8);//8
			pic_golem(16);//8
			pic_likelike(24);//2
			pic_mummy(26);//2
			save_mob_set(map_file);// now save that file.
		break;
		case 3:
			pic_octipus(0);//8
			pic_spike(7);//4
			pic_crab(11);//2
			pic_sandmob(13);//4
			pic_red(17);	//8		
			pic_likelike(25);//2
			pic_mummy(27);//2
			save_mob_set(map_file);// now save that file.
		break;		
		case 8:
			pic_pede_head();
			pic_pede_body();			
			save_mob_set(map_file);// now save that file.
		break;
		case 5:
			pic_hime_zelda(0);
			pic_boy_1(0);
			pic_lady_1(0);
			pic_guy_1(0);
			pic_sage_1(0);
			pic_sheep(0);
			pic_lady_2(0);
			pic_guy_2(0);
			pic_lady_3(0);
			pic_guy_3(0);
			pic_sage_2(0);
			pic_old_lady(0);

				pic_eye(0);
				pic_flying_imp(0);
				pic_ghost(0);
				pic_ghoul_2(0);
				pic_goul_1(0);
				pic_p_knight_1(0);
				pic_super_slime(0);
				pic_skeleton(0);
				pic_snail(0);
				pic_shroom(0);
				
				
				pic_toad(0);
				pic_stingray(0);
				pic_snowman(0);
				pic_skull_head(0);
				pic_p_knight_2(0);
				pic_mouse(0);
				pic_gator(0);
				pic_fish(0);
				pic_bee(0);
				pic_bat(0);
				
				pic_bunny(0);
				pic_dragoon(0);
				pic_knight(0);
				pic_likelike2(0);// another version of like like - 3 sprites instead of 2
				pic_mino(0);
				pic_mummy2(0);
				pic_slime(0);
				pic_snake(0);
				pic_spider(0);
				pic_wizard(0);//*/

		break;
		case 6:
			pic_octipus();
			pic_ghost();
			pic_wizard();
			save_mob_set(map_file);// now save that file.
		break;
		// the below is for the 2nd town.  the numbering was made to be simple - ie matching the mob file number with the 
		// mob gfx file number.  - eventually, this will need to be redone in the final versions to lessen the files used
		// for more effencency, like making a single case for an entire set of guy_1's guy_2's, etc. then use 4 mob stat files
		// for a single mob gfx file.  then just use these different files throughout the whole game. - this would give you 
		// an estimated 80 npcs in the game, but you would only need like 3 gfx files and 10 npc files to do this. - plus like
		// a single npc file for the shop owners.  
/*
			to help reduce the number of files, you will probably want to combine all of the mob gfx files (light dark mask) into 
			one file and then load it.  then separate it into separate arrays.  - you can do the same with the gfx files for the world.
*/		
		case 20:
			pic_guy_1();
			pic_guy_2();
			pic_lady_1();		
			pic_lady_2();
			save_mob_set(set);
		break;
		case 21:
			pic_lady_2();
			pic_old_lady();
			pic_guy_3();
			pic_guy_1();
			save_mob_set(set);	
		break;
		case 22:
			pic_sage_1();
			pic_sage_2();
			pic_boy_1();
			save_mob_set(set);		
		break;
		case 23:
			pic_boy_1();
			pic_sheep();
			save_mob_set(set);		
		break;
		case 24:
			pic_butterfly();
			pic_chicken();
			pic_dog();
			save_mob_set(set);
		break;
// these below cases are for the future, to reduce space and files used.		
		case 30:
			pic_guy_1();
			pic_guy_2();
			pic_guy_3();		
			pic_boy_1();
		break;
		case 31:
			pic_lady_1();
			pic_lady_2();
			pic_lady_3();
			pic_old_lady();		
		break;
		case 32:
			pic_sage_1();		
			pic_sage_2();
			pic_hime_zelda();	
		break;
		case 206:
			pic_bat();
			pic_skeleton();
			pic_eye();
			pic_wizard();
			save_mob_set(set);
		break;
		case 99:
		center_eye();
		circle_eye2();
		pic_skeleton();
		pic_skeleton();
		pic_skeleton();
		save_mob_set(set);
		break;		

	}// end switch
}// end save mob gfx

//===================================================================================================================


//===================================================================================================================


//===================================================================================================================


//===================================================================================================================

