// Header File
// Created 7/31/2011; 11:36:30 PM

/*
#define item_id 0
#define item_type 1
#define item_pic_id 2
#define item_cost 3
#define item_damage 4
#define item_hold 5
// these below 3 are like the above 3: - they are for objects on the screen.  however, these defines
// are for the treasure boxes, so i dont get confused.
#define treasure_amt 3// for either gold or item amount.
#define treasure_slot 4// for the inventory slot to say that the treasure has been gotten.
#define treasure_item 5// what item the treasure box holds.

#define item_duration 6
#define item_pic_2 7
#define item_pic_3 8
#define item_H 9
#define item_W 10
#define item_x_whitespace 11
#define item_y_whitespace 12

// these are for the item types
#define bomb 20
#define arrow 1
#define wand 2
#define weapon 3
#define shield 4
#define boomerang 205
#define sword 6
#define heart 7
#define arrow_ammo 8
#define rock 9
#define boulder 10
#define slashable_terrain 11
#define pushable 12
#define hookshot 17
#define torch 30//the torch is an item type that you cannot walk on, but you can
// hit it with fire and when it does get hit by fire, it will dissappear and
// and add +1 to the torch_lit count.
#define treasure_box 41
#define rupie 42 // this is for the storyline.  it is for a treasure box.  in the 
// treasure box, asign a rupie and then a value of rupies.
#define key_normal 50
#define key_boss 51
#define key_master 52
#define bomb_bag 53
#define gauntlet 54
#define heart_container 55

#define rupie_bag 56
#define tunic 57
#define ring 58
#define raft 59
#define hover_boots 60

#define max_list_size 40
#define max_item_stats 14

#define SWORD3     3
#define SWORD2     2
//#define SWORD6     6

#define max_size 8
#define max_stats 28



#define mob_msg_id 1//mob_def 1
//#define mob_msg2// mob_dam 2
#define mob_msg_num  10 //mob_shield 10
//#define mob_item 11
// each one of the mob stats are for a specific x pos in the mob_stat array

#define mob_hp 0
#define mob_def 1
#define mob_dam 2
#define mob_x 3
#define mob_y 4
#define mob_pause 5// used for the movement to know if the mob is paused or not. 
#define mob_sprites 6 // # of frames
#define mob_walk_sprites 7 // # of frames to allocate to walking
#define mob_sprite_id 8
#define mob_special_atk 9
#define mob_shield 10
#define mob_item 11
#define mob_sl_exec 12
#define mob_stunned 13
#define mob_underground 14
#define mob_type 15 // like gohst(which can travel through walls)
#define mob_frame 16 // this is to let you know which pic to animate them with
#define mob_id 17
#define mob_dir 18
#define mob_rand_var1 19// used in the movement to set specific special movements 
#define mob_speed  20// tell the speed that the mob should move.  if 0, then dont move, but animate.
#define mob_stops 21 // 0 for constantly moving, 1 for random, 2 moves when link in proximety
#define mob_animation_type 22// 0 always animate, 1 animate when moving.
#define mob_rand_var2 23// used in the movement to set specific special movements 
#define mob_animation_speed 24// used to tell how fast to speed thorugh the frames.  
					// 1 will animate every frame.  2, every other frame ... 10 every 10 frames ... 20 every
					// 20 frames, etc.
#define mob_current_sprite 25
#define mob_move_type 26// tells how the mob should move, such as MOB_WANDER, MOB_FLUTTER, 
					//MOB_HOP, MOB_FOLLOW
#define mob_hit 27 // lets me know if the mob has been hit or not.					
					
					#define sometimes 1// this is related to mob_stops

#define flyer 7// this goes along with mob_type
#define ghost 8
/*

				IMPORTANT	
				when you create the "crab" type, you must init the speed and the mob_rand_var2 as the same
				otherwise it will beak.  var2 is used to reset back to normal speed, so if you do not
				reset it then it could speed up very fast or slow afterwards

*/

					




/*/
enum {MOB_WANDER, MOB_FLUTTER, MOB_HOP, MOB_FOLLOW};  //Movement Types, used in function MoveMob

#define chicken 0
#define dog 1
#define butterfly 2
#define digger 3
#define monster 4
#define urchin 5
#define crab 6
#define generic 10
#define towns_people 12
*/


/*

		might need to create a global variable to siginify which mob pic id to use.
		then switch case the var in the below methods to do the correct pic_id
*/

void mob_spike(int loc, int x, int y, int gfx);
void mob_octi(int loc, int x, int y, int gfx);
void mob_dog(int loc, int x, int y, int gfx);
void mob_chicken(int loc, int x, int y, int gfx);
void mob_butterfly(int loc, int x, int y, int gfx);
void mob_crab(int loc, int x, int y, int gfx);
void mob_sandmob(int loc, int x, int y, int gfx);
void mob_merin(int loc, int x, int y, int gfx, int msg_id, int msg_num);
void no_mob(int loc);
//void mob_(int loc, int x, int y, int gfx)


void mob_mummy(int loc, int x, int y, int gfx);
void mob_likelike(int loc, int x, int y, int gfx);
void mob_reaper(int loc, int x, int y, int gfx);
void mob_golem(int loc, int x, int y, int gfx);
void mob_guard(int loc, int x, int y, int gfx);

/*

void default()
{
	
	/*
			<mob type>
	*/
	/*
	mob_stat1[0][mob_hp]=4;
	mob_stat1[0][mob_def]=0;// only to make it immune to arrows and boomerang
	mob_stat1[0][mob_dam]=4;// half a heart
	mob_stat1[0][mob_x]=;
	mob_stat1[0][mob_y]=;
	//mob_stat1[0][mob_room]=;// this may be unused.
	mob_stat1[0][mob_sprites]=;
	mob_stat1[0][mob_walk_sprites]=;
	mob_stat1[0][mob_sprite_id]=;
	mob_stat1[0][mob_special_atk]=;
	mob_stat1[0][mob_shield]=;
	mob_stat1[0][mob_item]=;
	mob_stat1[0][mob_sl_exec]=;
	mob_stat1[0][mob_stunned]=;
	mob_stat1[0][mob_underground]=;
	mob_stat1[0][mob_type]=;
	//mob_stat1[0][mob_id]=;
	
	/* unused.
	mob_stat1[0][18]
	mob_stat1[0][19]
	*//*
	
}// end mob sats1
*/