// C Source File
// Created 2/3/2013; 12:55:05 AM

#include <tigcclib.h>
#include "new_mobs.h"

extern unsigned short mob_pic_light_any[mob_gfx_list_size][16];
extern unsigned short mob_pic_dark_any[mob_gfx_list_size][16];
extern unsigned short mob_pic_mask_any[mob_gfx_list_size][16];
extern int loc_in_pic_arr, mob_location;
extern int num_of_sprites, num_of_walk_sprites, creature_width, creature_height,creature_animation_speed;
//===================================================================================================================

void pic_bunny()
{
	#undef gfx_size
	#define gfx_size 2

	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=5;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light	
	{0x0000,0x6006,0x700e,0x781e,0x6816,0x6c36,0x75ae,0x77ee,0x37ec,0x2ff4,0x0db0,0x05a0,0x1db8,0x07e0,0x3ffc,0xffff},
	{0xc003,0xf00f,0xf81f,0xe817,0xec37,0xf5af,0x77ee,0x77ee,0x7ffe,0x1db8,0x05a0,0x1db8,0x07e0,0x1ff8,0x3ffc,0x73ce}	

	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0000,0x0000,0x0000,0x0000,0x1008,0x1008,0x0a50,0x0810,0x0810,0x1008,0x1248,0xfa5f,0x0240,0xf81f,0x4002,0x0000},	
	{0x0000,0x0000,0x0000,0x1008,0x1008,0x0a50,0x0810,0x0810,0x0000,0x2244,0xfa5f,0x0240,0xf81f,0x2004,0x4002,0x0000}	

	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x0000,~0x6006,~0x700e,~0x781e,~0x781e,~0x7c3e,~0x7ffe,~0x7ffe,~0x3ffc,~0x3ffc,~0x1ff8,~0xffff,~0x1ff8,~0xffff,~0x7ffe,~0xffff},	
	{~0xc003,~0xf00f,~0xf81f,~0xf81f,~0xfc3f,~0xffff,~0x7ffe,~0x7ffe,~0x7ffe,~0x3ffc,~0xffff,~0x1ff8,~0xffff,~0x3ffc,~0x7ffe,~0x73ce}	

	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("bunny out of bounds");}

}// end bunny
//===================================================================================================================

void pic_dragoon_light()
{

	#undef gfx_size
	#define gfx_size 4

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=4;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
	{0x0000,0x1008,0x1818,0x381c,0x3c3c,0x3c3c,0x700e,0x4002,0x0000,0x0000,0x1008,0x1008,0x0000,0x0000,0x0000,0x0000},
	{0x0000,0x0000,0x2004,0x300c,0x700e,0x781e,0x7c3e,0xe427,0x8001,0x0000,0x0000,0x300c,0x0000,0x0000,0x0000,0x0000}, 

	// down light
	{0x0000,0x1008,0x1818,0x1a58,0x1818,0x324c,0x2424,0x23c4,0x0000,0x0810,0x0420,0x0240,0x1248,0x0c30,0x0000,0x0000},
	{0x0000,0x0000,0x2004,0x300c,0x724e,0x781e,0x724e,0xc423,0x83c1,0x0000,0x0810,0x0420,0x2244,0x1248,0x0c30,0x0000},
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0000,0x1008,0x1818,0x381c,0x3c3c,0x3c3c,0x700e,0x4002,0x0000,0x0000,0x1008,0x1008,0x0000,0x0000,0x0000,0x0000},
	{0x0000,0x0000,0x2004,0x300c,0x700e,0x781e,0x7c3e,0xe427,0x8001,0x0000,0x0000,0x300c,0x0000,0x0000,0x0000,0x0000},
	
	// down dark
	{0x0000,0x1008,0x1818,0x1a58,0x1818,0x324c,0x2424,0x23c4,0x0000,0x0810,0x0420,0x0240,0x1248,0x0c30,0x0000,0x0000},
	{0x0000,0x0000,0x2004,0x300c,0x724e,0x781e,0x724e,0xc423,0x83c1,0x0000,0x0810,0x0420,0x2244,0x1248,0x0c30,0x0000},
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x0000,~0x1c38,~0x1ff8,~0x3ffc,~0x3ffc,~0x3ffc,~0x7ffe,~0x7ffe,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x0ff0,~0x0ff0,~0x0e70,~0x1e78},
	{~0x0000,~0x0000,~0x2c34,~0x37ec,~0x77ee,~0x7ffe,~0x7ffe,~0xffff,~0x9ff9,~0x3ffc,~0x3ffc,~0xbffd,~0xffff,~0xffff,~0xffff,~0xffff}, 	
	
	// down mask
	{~0x0000,~0x1c38,~0x1ff8,~0x1db8,~0x1ff8,~0x3dbc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x1ff8,~0x1ff8,~0x1e78,~0x3e7c},
	{~0x0000,~0x0000,~0x2c34,~0x37ec,~0x75ae,~0x7ffe,~0x7dbe,~0xdffb,~0x9ff9,~0x3ffc,~0x3ffc,~0xbffd,~0xffff,~0xffff,~0xffff,~0xffff} 	
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("dragoon out of bounds");}

}// end dragoon light

//===================================================================================================================


void pic_dragoon_dark()
{

	#undef gfx_size
	#define gfx_size 4

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=4;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
	{0x0000,0x1c38,0x1ff8,0x3ffc,0x3ffc,0x3ffc,0x7ffe,0x7ffe,0x3ffc,0x3ffc,0x3ffc,0x1ff8,0x0ff0,0x0ff0,0x0e70,0x1e78},
	{0x0000,0x0000,0x2c34,0x37ec,0x77ee,0x7ffe,0x7ffe,0xffff,0x9ff9,0x3ffc,0x3ffc,0xbffd,0xffff,0xffff,0xffff,0xffff}, 

	// down light
	{0x0000,0x1c38,0x1ff8,0x1db8,0x1ff8,0x3dbc,0x3ffc,0x3ffc,0x3ffc,0x3ffc,0x3ffc,0x1ff8,0x1ff8,0x1ff8,0x1e78,0x3e7c},
	{0x0000,0x0000,0x2c34,0x37ec,0x75ae,0x7ffe,0x7dbe,0xdffb,0x9ff9,0x3ffc,0x3ffc,0xbffd,0xffff,0xffff,0xffff,0xffff} 	
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0000,0x1008,0x1818,0x381c,0x3c3c,0x3c3c,0x700e,0x4002,0x0000,0x0000,0x1008,0x1008,0x0000,0x0000,0x0000,0x0000},	
	{0x0000,0x0000,0x2004,0x300c,0x700e,0x781e,0x7c3e,0xe427,0x8001,0x0000,0x0000,0x300c,0x0000,0x0000,0x0000,0x0000}, 
	
	// down dark
	{0x0000,0x1008,0x1818,0x1818,0x1818,0x300c,0x2424,0x23c4,0x0000,0x0810,0x0420,0x0240,0x1248,0x0c30,0x0000,0x0000},	
	{0x0000,0x0000,0x2004,0x300c,0x700e,0x781e,0x700e,0xc423,0x83c1,0x0000,0x0810,0x0420,0x2244,0x1248,0x0c30,0x0000}
 	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x0000,~0x1c38,~0x1ff8,~0x3ffc,~0x3ffc,~0x3ffc,~0x7ffe,~0x7ffe,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x0ff0,~0x0ff0,~0x0e70,~0x1e78},
	{~0x0000,~0x0000,~0x2c34,~0x37ec,~0x77ee,~0x7ffe,~0x7ffe,~0xffff,~0x9ff9,~0x3ffc,~0x3ffc,~0xbffd,~0xffff,~0xffff,~0xffff,~0xffff}, 	
	
	// down mask
	{~0x0000,~0x1c38,~0x1ff8,~0x1db8,~0x1ff8,~0x3dbc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x1ff8,~0x1ff8,~0x1e78,~0x3e7c},
	{~0x0000,~0x0000,~0x2c34,~0x37ec,~0x75ae,~0x7ffe,~0x7dbe,~0xdffb,~0x9ff9,~0x3ffc,~0x3ffc,~0xbffd,~0xffff,~0xffff,~0xffff,~0xffff} 	
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("dragoon out of bounds");}

}// end dragoon

//===================================================================================================================


void pic_knight_dark()
{

	#undef gfx_size
	#define gfx_size 8
	
	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=4;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
		{0x0888,0x0c98,0x0808,0x0000,0x0000,0x0000,0x3ffc,0x1ff8,0x3ff8,0x3ffc,0x7ffc,0x7ffe,0x7ffe,0x1fff,0x0000,0x0000},
  	{0x1110,0x1930,0x1010,0x0000,0x0000,0x0000,0x3ffc,0x1ff8,0x1ffc,0x3ffc,0x3ffe,0x7ffe,0x7ffe,0xfff8,0x0000,0x0000}, 

	
//	{0x0000,0x0360,0x07f0,0x07f0,0x07f0,0x03e0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0e38,0x0038},
//	{0x0000,0x06c0,0x0fe0,0x0fe0,0x0fe0,0x07c0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x1c70,0x1c00}, 

	// down light
		{0x0888,0x0c88,0x0c08,0x0000,0x0000,0x0418,0x03ec,0x0210,0x020f,0x03cf,0x037e,0x03ce,0x020e,0x7f0e,0x0e74,0x0070},
		{0x0990,0x0930,0x0830,0x0000,0x0000,0x0020,0x07d8,0x040c,0x0420,0x079e,0x06fe,0x079c,0x041c,0xfc7c,0x0e7c,0x0e08},

//	{0x0000,0x0370,0x03f0,0x0410,0x0770,0x0360,0x7c10,0x6dee,0x45f0,0x6c30,0x6c80,0x6c30,0x7df0,0x00f0,0x0000,0x0000},
//	{0x0000,0x06c0,0x07c0,0x0430,0x06f0,0x06d0,0xf820,0xdbf0,0x8bdc,0xd860,0xd900,0xd860,0xfbe0,0x0380,0x0000,0x0000}, 	
	
	// left light
		{0x0fc0,0x08e0,0x00c0,0x0000,0x0000,0x28c0,0x2df0,0x2f68,0x7f28,0xff3c,0x7fcc,0x220e,0x201e,0x23ff,0x03c0,0x07c0},
		{0x0000,0x0fc0,0x08e0,0x00c0,0x0000,0x2000,0x28c0,0x2df0,0x2f68,0x7f2c,0xff3c,0x7fce,0x220f,0x3c1c,0x0f38,0x0678},	
	
//	{0x0000,0x0700,0x0f20,0x01e0,0x07f0,0x1730,0x1200,0x1090,0x00d0,0x00c0,0x0030,0x15f0,0x13e0,0x1000,0x0000,0x0000},	
//	{0x0000,0x0000,0x0700,0x0f20,0x01e0,0x17f0,0x1730,0x1200,0x1090,0x00d0,0x00c0,0x0030,0x15f0,0x03e0,0x0000,0x0000},
 	
	// right light
		{0x03f0,0x0710,0x0300,0x0000,0x0000,0x0314,0x0fb4,0x16f4,0x14fe,0x3cff,0x33fe,0x7044,0x7804,0xffc4,0x03c0,0x03e0},
 		{0x0000,0x03f0,0x0710,0x0300,0x0000,0x0004,0x0314,0x0fb4,0x16f4,0x34fe,0x3cff,0x73fe,0xf044,0x383c,0x1cf0,0x1e60}, 
	
//	{0x0000,0x00e0,0x04f0,0x0780,0x0fe0,0x0ce8,0x0048,0x0908,0x0b00,0x0300,0x0c00,0x0fa8,0x07c8,0x0008,0x0000,0x0000},
//	{0x0000,0x0000,0x00e0,0x04f0,0x0780,0x0fe8,0x0ce8,0x0048,0x0908,0x0b00,0x0300,0x0c00,0x0fa8,0x07c0,0x0000,0x0000} 
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
		{0x0080,0x03e0,0x07f0,0x07f0,0x07f0,0x03e0,0x0ff0,0x1ff8,0x3ff8,0x3ffc,0x7ffc,0x7ffe,0x7ffe,0x1fff,0x0e38,0x0038},
 		{0x0100,0x07c0,0x0fe0,0x0fe0,0x0fe0,0x07c0,0x0ff0,0x1ff8,0x1ffc,0x3ffc,0x3ffe,0x7ffe,0x7ffe,0xfff8,0x1c70,0x1c00}, 	
	
//	{0x0888,0x0c98,0x0808,0x0000,0x0000,0x0000,0x3ffc,0x1ff8,0x3ff8,0x3ffc,0x7ffc,0x7ffe,0x7ffe,0x1fff,0x0000,0x0000},	
//	{0x1110,0x1930,0x1010,0x0000,0x0000,0x0000,0x3ffc,0x1ff8,0x1ffc,0x3ffc,0x3ffe,0x7ffe,0x7ffe,0xfff8,0x0000,0x0000},
	
	// down dark
		{0x0080,0x03f0,0x03f0,0x0410,0x0770,0x0760,0x7ff0,0x6ffe,0x47ff,0x6ff1,0x6ff0,0x6ff0,0x7ff0,0x7ff0,0x0e70,0x0070},	
		{0x0180,0x07c0,0x07c0,0x0430,0x06f0,0x06f0,0xffe0,0xdff0,0x8ffc,0xdffe,0xdfe2,0xdfe0,0xffe0,0xffe0,0x0e60,0x0e00},
	
//	{0x0888,0x0c88,0x0c08,0x03e0,0x0080,0x0498,0x03ec,0x1210,0x3a0f,0x13cf,0x137e,0x13ce,0x020e,0x7f0e,0x0e74,0x0070},	
//	{0x0990,0x0930,0x0830,0x03c0,0x0100,0x0120,0x07d8,0x240c,0x7420,0x279e,0x26fe,0x279c,0x041c,0xfc7c,0x0e7c,0x0e08},
	
	// left dark
		{0x0f80,0x0f20,0x0f20,0x09e0,0x0bf0,0x3f30,0x3e10,0x3ff8,0x03f8,0x03fc,0x03fc,0x37fe,0x33fe,0x33ff,0x03c0,0x07c0},
 		{0x0000,0x0f80,0x0f20,0x0f20,0x09e0,0x37f0,0x3f30,0x3e10,0x3ff8,0x03fc,0x03fc,0x03fe,0x37ff,0x3ffc,0x0f38,0x0678}, 
	
//	{0x0fc0,0x08e0,0x00c0,0x0e00,0x0800,0x28c0,0x2df0,0x2f68,0x7f28,0xff3c,0x7fcc,0x220e,0x201e,0x23ff,0x03c0,0x07c0},	
//	{0x0000,0x0fc0,0x08e0,0x00c0,0x0e00,0x2800,0x28c0,0x2df0,0x2f68,0x7f2c,0xff3c,0x7fce,0x220f,0x3c1c,0x0f38,0x0678}, 
	
	// right dark
		{0x01f0,0x04f0,0x04f0,0x0790,0x0fd0,0x0cfc,0x087c,0x1ffc,0x1fc0,0x3fc0,0x3fc0,0x7fec,0x7fcc,0xffcc,0x03c0,0x03e0},
 		{0x0000,0x01f0,0x04f0,0x04f0,0x0790,0x0fec,0x0cfc,0x087c,0x1ffc,0x3fc0,0x3fc0,0x7fc0,0xffec,0x3ffc,0x1cf0,0x1e60}, 
	
//	{0x03f0,0x0710,0x0300,0x0070,0x0010,0x0314,0x0fb4,0x16f4,0x14fe,0x3cff,0x33fe,0x7044,0x7804,0xffc4,0x03c0,0x03e0},
//	{0x0000,0x03f0,0x0710,0x0300,0x0070,0x0014,0x0314,0x0fb4,0x16f4,0x34fe,0x3cff,0x73fe,0xf044,0x383c,0x1cf0,0x1e60} 
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x0888,~0x0ff8,~0x0ff8,~0x07f0,~0x07f0,~0x03e0,~0x3ffc,~0x1ff8,~0x3ff8,~0x3ffc,~0x7ffc,~0x7ffe,~0x7ffe,~0x1fff,~0x0e38,~0x0038},
	{~0x1110,~0x1ff0,~0x1ff0,~0x0fe0,~0x0fe0,~0x07c0,~0x3ffc,~0x1ff8,~0x1ffc,~0x3ffc,~0x3ffe,~0x7ffe,~0x7ffe,~0xfff8,~0x1c70,~0x1c00}, 	
	
	// down mask
	{~0x0888,~0x0ff8,~0x0ff8,~0x07f0,~0x07f0,~0x07f8,~0x7ffc,~0x7ffe,~0x7fff,~0x7fff,~0x7ffe,~0x7ffe,~0x7ffe,~0x7ffe,~0x0e74,~0x0070},
	{~0x0990,~0x0ff0,~0x0ff0,~0x07f0,~0x07f0,~0x07f0,~0xfff8,~0xfffc,~0xfffc,~0xfffe,~0xfffe,~0xfffc,~0xfffc,~0xfffc,~0x0e7c,~0x0e08},
	
	// left mask
	{~0x0fc0,~0x0fe0,~0x0fe0,~0x0fe0,~0x0ff0,~0x3ff0,~0x3ff0,~0x3ff8,~0x7ff8,~0xfffc,~0x7ffc,~0x37fe,~0x33fe,~0x33ff,~0x03c0,~0x07c0},
	{~0x0000,~0x0fc0,~0x0fe0,~0x0fe0,~0x0fe0,~0x3ff0,~0x3ff0,~0x3ff0,~0x3ff8,~0x7ffc,~0xfffc,~0x7ffe,~0x37ff,~0x3ffc,~0x0f38,~0x0678}, 	
	
	// right mask
	{~0x03f0,~0x07f0,~0x07f0,~0x07f0,~0x0ff0,~0x0ffc,~0x0ffc,~0x1ffc,~0x1ffe,~0x3fff,~0x3ffe,~0x7fec,~0x7fcc,~0xffcc,~0x03c0,~0x03e0},
	{~0x0000,~0x03f0,~0x07f0,~0x07f0,~0x07f0,~0x0ffc,~0x0ffc,~0x0ffc,~0x1ffc,~0x3ffe,~0x3fff,~0x7ffe,~0xffec,~0x3ffc,~0x1cf0,~0x1e60}
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("knight out of bounds");}

}// end knight dark

//===================================================================================================================

void pic_knight_normal()
{

	#undef gfx_size
	#define gfx_size 8
	
	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=4;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light

	
	{0x0000,0x0360,0x07f0,0x07f0,0x07f0,0x03e0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0e38,0x0038},
	{0x0000,0x06c0,0x0fe0,0x0fe0,0x0fe0,0x07c0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x1c70,0x1c00}, 

	// down light

	{0x0000,0x0370,0x03f0,0x0410,0x0770,0x0360,0x7c10,0x6dee,0x45f0,0x6c30,0x6c80,0x6c30,0x7df0,0x00f0,0x0000,0x0000},
	{0x0000,0x06c0,0x07c0,0x0430,0x06f0,0x06d0,0xf820,0xdbf0,0x8bdc,0xd860,0xd900,0xd860,0xfbe0,0x0380,0x0000,0x0000}, 	
	
	// left light
	{0x0000,0x0700,0x0f20,0x01e0,0x07f0,0x1730,0x1200,0x1090,0x00d0,0x00c0,0x0030,0x15f0,0x13e0,0x1000,0x0000,0x0000},	
	{0x0000,0x0000,0x0700,0x0f20,0x01e0,0x17f0,0x1730,0x1200,0x1090,0x00d0,0x00c0,0x0030,0x15f0,0x03e0,0x0000,0x0000},
 	
	// right light
	
	{0x0000,0x00e0,0x04f0,0x0780,0x0fe0,0x0ce8,0x0048,0x0908,0x0b00,0x0300,0x0c00,0x0fa8,0x07c8,0x0008,0x0000,0x0000},
	{0x0000,0x0000,0x00e0,0x04f0,0x0780,0x0fe8,0x0ce8,0x0048,0x0908,0x0b00,0x0300,0x0c00,0x0fa8,0x07c0,0x0000,0x0000} 
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	
	{0x0888,0x0c98,0x0808,0x0000,0x0000,0x0000,0x3ffc,0x1ff8,0x3ff8,0x3ffc,0x7ffc,0x7ffe,0x7ffe,0x1fff,0x0000,0x0000},	
	{0x1110,0x1930,0x1010,0x0000,0x0000,0x0000,0x3ffc,0x1ff8,0x1ffc,0x3ffc,0x3ffe,0x7ffe,0x7ffe,0xfff8,0x0000,0x0000},
	
	// down dark
	
	{0x0888,0x0c88,0x0c08,0x03e0,0x0080,0x0498,0x03ec,0x1210,0x3a0f,0x13cf,0x137e,0x13ce,0x020e,0x7f0e,0x0e74,0x0070},	
	{0x0990,0x0930,0x0830,0x03c0,0x0100,0x0120,0x07d8,0x240c,0x7420,0x279e,0x26fe,0x279c,0x041c,0xfc7c,0x0e7c,0x0e08},
	
	// left dark
	{0x0fc0,0x08e0,0x00c0,0x0e00,0x0800,0x28c0,0x2df0,0x2f68,0x7f28,0xff3c,0x7fcc,0x220e,0x201e,0x23ff,0x03c0,0x07c0},	
	{0x0000,0x0fc0,0x08e0,0x00c0,0x0e00,0x2800,0x28c0,0x2df0,0x2f68,0x7f2c,0xff3c,0x7fce,0x220f,0x3c1c,0x0f38,0x0678}, 
	
	// right dark
	{0x03f0,0x0710,0x0300,0x0070,0x0010,0x0314,0x0fb4,0x16f4,0x14fe,0x3cff,0x33fe,0x7044,0x7804,0xffc4,0x03c0,0x03e0},
	{0x0000,0x03f0,0x0710,0x0300,0x0070,0x0014,0x0314,0x0fb4,0x16f4,0x34fe,0x3cff,0x73fe,0xf044,0x383c,0x1cf0,0x1e60} 
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x0888,~0x0ff8,~0x0ff8,~0x07f0,~0x07f0,~0x03e0,~0x3ffc,~0x1ff8,~0x3ff8,~0x3ffc,~0x7ffc,~0x7ffe,~0x7ffe,~0x1fff,~0x0e38,~0x0038},
	{~0x1110,~0x1ff0,~0x1ff0,~0x0fe0,~0x0fe0,~0x07c0,~0x3ffc,~0x1ff8,~0x1ffc,~0x3ffc,~0x3ffe,~0x7ffe,~0x7ffe,~0xfff8,~0x1c70,~0x1c00}, 	
	
	// down mask
	{~0x0888,~0x0ff8,~0x0ff8,~0x07f0,~0x07f0,~0x07f8,~0x7ffc,~0x7ffe,~0x7fff,~0x7fff,~0x7ffe,~0x7ffe,~0x7ffe,~0x7ffe,~0x0e74,~0x0070},
	{~0x0990,~0x0ff0,~0x0ff0,~0x07f0,~0x07f0,~0x07f0,~0xfff8,~0xfffc,~0xfffc,~0xfffe,~0xfffe,~0xfffc,~0xfffc,~0xfffc,~0x0e7c,~0x0e08},
	
	// left mask
	{~0x0fc0,~0x0fe0,~0x0fe0,~0x0fe0,~0x0ff0,~0x3ff0,~0x3ff0,~0x3ff8,~0x7ff8,~0xfffc,~0x7ffc,~0x37fe,~0x33fe,~0x33ff,~0x03c0,~0x07c0},
	{~0x0000,~0x0fc0,~0x0fe0,~0x0fe0,~0x0fe0,~0x3ff0,~0x3ff0,~0x3ff0,~0x3ff8,~0x7ffc,~0xfffc,~0x7ffe,~0x37ff,~0x3ffc,~0x0f38,~0x0678}, 	
	
	// right mask
	{~0x03f0,~0x07f0,~0x07f0,~0x07f0,~0x0ff0,~0x0ffc,~0x0ffc,~0x1ffc,~0x1ffe,~0x3fff,~0x3ffe,~0x7fec,~0x7fcc,~0xffcc,~0x03c0,~0x03e0},
	{~0x0000,~0x03f0,~0x07f0,~0x07f0,~0x07f0,~0x0ffc,~0x0ffc,~0x0ffc,~0x1ffc,~0x3ffe,~0x3fff,~0x7ffe,~0xffec,~0x3ffc,~0x1cf0,~0x1e60}
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("knight out of bounds");}

}// end knight normal

//===================================================================================================================



void pic_knight_white()
{

	#undef gfx_size
	#define gfx_size 8
	
	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=4;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
		{0x0080,0x0080,0x0000,0x0000,0x0000,0x0000,0x0ff0,0x1ff8,0x3ff8,0x3ffc,0x7ffc,0x7ffe,0x7ffe,0x1fff,0x0000,0x0000},
		{0x0100,0x0100,0x0000,0x0000,0x0000,0x0000,0x0ff0,0x1ff8,0x1ffc,0x3ffc,0x3ffe,0x7ffe,0x7ffe,0xfff8,0x0000,0x0000},

	// down light
		{0x0080,0x0080,0x0000,0x03e0,0x0080,0x0480,0x03f0,0x121e,0x3a0f,0x13c1,0x1370,0x13c0,0x0200,0x7f00,0x0e70,0x0070},
		{0x0180,0x0100,0x0000,0x03c0,0x0100,0x0120,0x07d8,0x240c,0x7420,0x279e,0x26e2,0x2780,0x0400,0xfc60,0x0e60,0x0e00},
	
	// left light
		{0x0f80,0x0820,0x0000,0x0600,0x0400,0x2800,0x2c10,0x2f68,0x0328,0x033c,0x03cc,0x220e,0x201e,0x23ff,0x03c0,0x07c0},
		{0x0000,0x0f80,0x0820,0x0000,0x0600,0x2800,0x2800,0x2c10,0x2f68,0x032c,0x033c,0x03ce,0x220f,0x3c1c,0x0f38,0x0678},
 
	// right light
		{0x01f0,0x0410,0x0000,0x0060,0x0020,0x0014,0x0834,0x16f4,0x14c0,0x3cc0,0x33c0,0x7044,0x7804,0xffc4,0x03c0,0x03e0},
 		{0x0000,0x01f0,0x0410,0x0000,0x0060,0x0014,0x0014,0x0834,0x16f4,0x34c0,0x3cc0,0x73c0,0xf044,0x383c,0x1cf0,0x1e60}, 
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
		{0x0080,0x0080,0x0000,0x0000,0x0000,0x0000,0x0ff0,0x1ff8,0x3ff8,0x3ffc,0x7ffc,0x7ffe,0x7ffe,0x1fff,0x0000,0x0000},
 		{0x0100,0x0100,0x0000,0x0000,0x0000,0x0000,0x0ff0,0x1ff8,0x1ffc,0x3ffc,0x3ffe,0x7ffe,0x7ffe,0xfff8,0x0000,0x0000},
	
	// down dark
		{0x0080,0x0080,0x0000,0x03e0,0x0080,0x0480,0x03f0,0x121e,0x3a0f,0x13c1,0x1370,0x13c0,0x0200,0x7f00,0x0e70,0x0070},
		{0x0180,0x0100,0x0000,0x03c0,0x0100,0x0120,0x07d8,0x240c,0x7420,0x279e,0x26e2,0x2780,0x0400,0xfc60,0x0e60,0x0e00}, 
	
	// left dark
		{0x0f80,0x0820,0x0000,0x0600,0x0400,0x2800,0x2c10,0x2f68,0x0328,0x033c,0x03cc,0x220e,0x201e,0x23ff,0x03c0,0x07c0},
		{0x0000,0x0f80,0x0820,0x0000,0x0600,0x2800,0x2800,0x2c10,0x2f68,0x032c,0x033c,0x03ce,0x220f,0x3c1c,0x0f38,0x0678},

	// right dark
		{0x01f0,0x0410,0x0000,0x0060,0x0020,0x0014,0x0834,0x16f4,0x14c0,0x3cc0,0x33c0,0x7044,0x7804,0xffc4,0x03c0,0x03e0},
		{0x0000,0x01f0,0x0410,0x0000,0x0060,0x0014,0x0014,0x0834,0x16f4,0x34c0,0x3cc0,0x73c0,0xf044,0x383c,0x1cf0,0x1e60},

	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x0888,~0x0ff8,~0x0ff8,~0x07f0,~0x07f0,~0x03e0,~0x3ffc,~0x1ff8,~0x3ff8,~0x3ffc,~0x7ffc,~0x7ffe,~0x7ffe,~0x1fff,~0x0e38,~0x0038},
	{~0x1110,~0x1ff0,~0x1ff0,~0x0fe0,~0x0fe0,~0x07c0,~0x3ffc,~0x1ff8,~0x1ffc,~0x3ffc,~0x3ffe,~0x7ffe,~0x7ffe,~0xfff8,~0x1c70,~0x1c00}, 	
	
	// down mask
	{~0x0888,~0x0ff8,~0x0ff8,~0x07f0,~0x07f0,~0x07f8,~0x7ffc,~0x7ffe,~0x7fff,~0x7fff,~0x7ffe,~0x7ffe,~0x7ffe,~0x7ffe,~0x0e74,~0x0070},
	{~0x0990,~0x0ff0,~0x0ff0,~0x07f0,~0x07f0,~0x07f0,~0xfff8,~0xfffc,~0xfffc,~0xfffe,~0xfffe,~0xfffc,~0xfffc,~0xfffc,~0x0e7c,~0x0e08},
	
	// left mask
	{~0x0fc0,~0x0fe0,~0x0fe0,~0x0fe0,~0x0ff0,~0x3ff0,~0x3ff0,~0x3ff8,~0x7ff8,~0xfffc,~0x7ffc,~0x37fe,~0x33fe,~0x33ff,~0x03c0,~0x07c0},
	{~0x0000,~0x0fc0,~0x0fe0,~0x0fe0,~0x0fe0,~0x3ff0,~0x3ff0,~0x3ff0,~0x3ff8,~0x7ffc,~0xfffc,~0x7ffe,~0x37ff,~0x3ffc,~0x0f38,~0x0678}, 	
	
	// right mask
	{~0x03f0,~0x07f0,~0x07f0,~0x07f0,~0x0ff0,~0x0ffc,~0x0ffc,~0x1ffc,~0x1ffe,~0x3fff,~0x3ffe,~0x7fec,~0x7fcc,~0xffcc,~0x03c0,~0x03e0},
	{~0x0000,~0x03f0,~0x07f0,~0x07f0,~0x07f0,~0x0ffc,~0x0ffc,~0x0ffc,~0x1ffc,~0x3ffe,~0x3fff,~0x7ffe,~0xffec,~0x3ffc,~0x1cf0,~0x1e60}
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("knight out of bounds");}

}// end knight white

//===================================================================================================================


void pic_likelike2_dark()
{

	#undef gfx_size
	#define gfx_size 3
	
	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=2;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
{0x0000,0x0ff0,0x3ffc,0x3ffc,0x1ff8,0x0000,0x0000,0x0c30,0x73ce,0x0000,0x0000,0x07e0,0x781e,0x0000,0x0000,0x0000},
{0x0000,0x0000,0x0000,0x0000,0x0ff0,0x3ffc,0x3ffc,0x1ff8,0x0000,0x0000,0x0c30,0x73ce,0x0000,0x87e1,0x781e,0x0000},
{0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0ff0,0x3ffc,0x3ffc,0x1ff8,0x0000,0x0000,0x8c31,0x73ce,0x0000}, 


	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
{0x0ff0,0x3ffc,0x7ffe,0xffff,0xffff,0xddbb,0xdffb,0x7ffe,0xffff,0xddbb,0xdffb,0x7ffe,0xffff,0xddbb,0xddbb,0x73ce},
{0x0000,0x0000,0x0000,0x0ff0,0x3ffc,0x7ffe,0xffff,0xffff,0xddbb,0xdffb,0x7ffe,0xffff,0xddbb,0xdffb,0xfdbf,0x53ca},
{0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0ff0,0x3ffc,0x7ffe,0xffff,0xffff,0xddbb,0xdffb,0xffff,0xffff,0x581a},

	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x0ff0,~0x3ffc,~0x7ffe,~0xffff,~0xffff,~0xddbb,~0xdffb,~0x7ffe,~0xffff,~0xddbb,~0xdffb,~0x7ffe,~0xffff,~0xddbb,~0xddbb,~0x73ce},
	{~0x0000,~0x0000,~0x0000,~0x0ff0,~0x3ffc,~0x7ffe,~0xffff,~0xffff,~0xddbb,~0xdffb,~0x7ffe,~0xffff,~0xddbb,~0xdffb,~0xfdbf,~0x53ca}, 
	{~0x0000,~0x0000,~0x0000,~0x0000,~0x0000,~0x0000,~0x0ff0,~0x3ffc,~0x7ffe,~0xffff,~0xffff,~0xddbb,~0xdffb,~0xffff,~0xffff,~0x581a} 	
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("likelike2 out of bounds");}

}// end dlikelike2

//===================================================================================================================


void pic_likelike2_light()
{

	#undef gfx_size
	#define gfx_size 3
	
	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=3;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
	{0x0ff0,0x300c,0x4002,0xc003,0xe007,0xddbb,0xdffb,0x73ce,0x8c31,0xddbb,0xdffb,0x781e,0x87e1,0xddbb,0xddbb,0x73ce},
	{0x0000,0x0000,0x0000,0x0ff0,0x300c,0x4002,0xc003,0xe007,0xddbb,0xdffb,0x73ce,0x8c31,0xddbb,0x581a,0x85a1,0x53ca}, 
	{0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0ff0,0x300c,0x4002,0xc003,0xe007,0xddbb,0xdffb,0x73ce,0x8c31,0x581a}

	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0000,0x0ff0,0x3ffc,0x3ffc,0x1ff8,0x0000,0x0000,0x0c30,0x73ce,0x0000,0x0000,0x07e0,0x781e,0x0000,0x0000,0x0000},
	{0x0000,0x0000,0x0000,0x0000,0x0ff0,0x3ffc,0x3ffc,0x1ff8,0x0000,0x0000,0x0c30,0x73ce,0x0000,0x87e1,0x781e,0x0000}, 	
	{0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0ff0,0x3ffc,0x3ffc,0x1ff8,0x0000,0x0000,0x8c31,0x73ce,0x0000}

	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x0ff0,~0x3ffc,~0x7ffe,~0xffff,~0xffff,~0xddbb,~0xdffb,~0x7ffe,~0xffff,~0xddbb,~0xdffb,~0x7ffe,~0xffff,~0xddbb,~0xddbb,~0x73ce},
	{~0x0000,~0x0000,~0x0000,~0x0ff0,~0x3ffc,~0x7ffe,~0xffff,~0xffff,~0xddbb,~0xdffb,~0x7ffe,~0xffff,~0xddbb,~0xdffb,~0xfdbf,~0x53ca}, 
	{~0x0000,~0x0000,~0x0000,~0x0000,~0x0000,~0x0000,~0x0ff0,~0x3ffc,~0x7ffe,~0xffff,~0xffff,~0xddbb,~0xdffb,~0xffff,~0xffff,~0x581a} 	
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("likelike2 out of bounds");}

}// end dlikelike2

//===================================================================================================================


void pic_mino()
{

	#undef gfx_size
	#define gfx_size 8
	
	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=5;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
	{0x1010,0x1010,0x1010,0x0000,0x3000,0x7bbc,0x7ffe,0x7ede,0x345e,0x046c,0x0280,0x0000,0x0000,0x0000,0x0000,0x0000},
	{0x0808,0x0808,0x0808,0x0000,0x000c,0x3dde,0x7ffe,0x7b7e,0x7a2c,0x3620,0x0140,0x0000,0x0000,0x0000,0x0000,0x0000},

	// down light
	{0x1010,0x1010,0x1010,0x0540,0x07d8,0x345c,0x7bbc,0xf460,0xf7ec,0x092c,0x600c,0x600c,0x600c,0x6004,0x6000,0x4000},	
	{0x0808,0x0808,0x0808,0x02a0,0x1be0,0x3a2c,0x3dde,0x062f,0x37ef,0x3490,0x3006,0x3006,0x3006,0x2006,0x0006,0x0002},
 	
	// left light
	{0x0000,0x0080,0x0180,0x3580,0x1d00,0x0f00,0x7bc0,0xfbc0,0x7b80,0x0000,0x0000,0x0000,0x0000,0x0000,0x0040,0x0000},	
	{0x0000,0x0040,0x00c0,0x1ac0,0x0e80,0x0780,0x7bc0,0xfbc0,0x7b80,0x0000,0x0000,0x0000,0x0000,0x0000,0x03f0,0x0000},
	
	// right light
	{0x0000,0x0100,0x0180,0x01ac,0x00b8,0x00f0,0x03de,0x03df,0x01de,0x0000,0x0000,0x0000,0x0000,0x0000,0x0200,0x0000},
	{0x0000,0x0200,0x0300,0x0358,0x0170,0x01e0,0x03de,0x03df,0x01de,0x0000,0x0000,0x0000,0x0000,0x0000,0x0fc0,0x0000}
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x07c0,0x0fe0,0x0fe0,0x0fe0,0x0fe0,0x0440,0x0000,0x0120,0x0ba0,0x1b90,0x3d78,0x3ff8,0x3ff8,0x3ff8,0x3c70,0x1c00},	
	{0x03e0,0x07f0,0x07f0,0x07f0,0x07f0,0x0220,0x0000,0x0480,0x05d0,0x09d8,0x1ebc,0x1ffc,0x1ffc,0x1ffc,0x0e3c,0x0038},
	
	// down dark
	{0x07c0,0x0fe0,0x0d60,0x0820,0x0820,0x0ba0,0x0440,0x0b9e,0x0812,0xf6d0,0x9ff0,0x1ff0,0x1ff0,0x1ff8,0x1c78,0x0070},	
	{0x03e0,0x07f0,0x06b0,0x0410,0x0410,0x05d0,0x0220,0x79d0,0x4810,0x0b6f,0x0ff9,0x0ff8,0x0ff8,0x1ff8,0x1e38,0x0e00},
	
	// left dark
	{0x0000,0x0f70,0x1640,0x0260,0x0280,0x10c0,0x0400,0x0421,0x047f,0x0fff,0x0ffe,0x0ffc,0x0ffc,0x07f8,0x07b8,0x03b8},	
	{0x0000,0x07b8,0x0b20,0x0130,0x0140,0x0860,0x0401,0x0423,0x047f,0x0ffe,0x0ffe,0x1ffc,0x3ffe,0x3fff,0x1c0e,0x0804},
	
	// right dark
	{0x0000,0x0ef0,0x0268,0x0640,0x0140,0x0308,0x0020,0x8420,0xfe20,0xfff0,0x7ff0,0x3ff0,0x3ff0,0x1fe0,0x1de0,0x1dc0},
	{0x0000,0x1de0,0x04d0,0x0c80,0x0280,0x0610,0x8020,0xc420,0xfe20,0x7ff0,0x7ff0,0x3ff8,0x7ffc,0xfffc,0x7038,0x2010}
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x17d0,~0x1ff0,~0x1ff0,~0x0fe0,~0x3fe0,~0x7ffc,~0x7ffe,~0x7ffe,~0x3ffe,~0x1ffc,~0x3ff8,~0x3ff8,~0x3ff8,~0x3ff8,~0x3c70,~0x1c00},
	{~0x0be8,~0x0ff8,~0x0ff8,~0x07f0,~0x07fc,~0x3ffe,~0x7ffe,~0x7ffe,~0x7ffc,~0x3ff8,~0x1ffc,~0x1ffc,~0x1ffc,~0x1ffc,~0x0e3c,~0x0038},
	
	// down mask
	{~0x17d0,~0x1ff0,~0x1d70,~0x0d60,~0x0ff8,~0x3ffc,~0x7ffc,~0xfffe,~0xfffe,~0xfffc,~0xfffc,~0x7ffc,~0x7ffc,~0x7ffc,~0x7c78,~0x4070},	
	{~0x0be8,~0x0ff8,~0x0eb8,~0x06b0,~0x1ff0,~0x3ffc,~0x3ffe,~0x7fff,~0x7fff,~0x3fff,~0x3fff,~0x3ffe,~0x3ffe,~0x3ffe,~0x1e3e,~0x0e02},
	
	// left mask
	{~0x0000,~0x0ff0,~0x17c0,~0x37e0,~0x1f80,~0x1fc0,~0x7fc0,~0xffe1,~0x7fff,~0x0fff,~0x0ffe,~0x0ffc,~0x0ffc,~0x07f8,~0x07f8,~0x03b8},
	{~0x0000,~0x07f8,~0x0be0,~0x1bf0,~0x0fc0,~0x0fe0,~0x7fc1,~0xffe3,~0x7fff,~0x0ffe,~0x0ffe,~0x1ffc,~0x3ffe,~0x3fff,~0x1ffe,~0x0804}, 	
	
	// right mask
	{~0x0000,~0x0ff0,~0x03e8,~0x07ec,~0x01f8,~0x03f8,~0x03fe,~0x87ff,~0xfffe,~0xfff0,~0x7ff0,~0x3ff0,~0x3ff0,~0x1fe0,~0x1fe0,~0x1dc0},
	{~0x0000,~0x1fe0,~0x07d0,~0x0fd8,~0x03f0,~0x07f0,~0x83fe,~0xc7ff,~0xfffe,~0x7ff0,~0x7ff0,~0x3ff8,~0x7ffc,~0xfffc,~0x7ff8,~0x2010} 
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("mino out of bounds");}

}// end mino


//===================================================================================================================


void pic_mummy2_light()
{

	#undef gfx_size
	#define gfx_size 2

	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=4;
	creature_height=14;

	creature_width=14;		
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
	{0x0000,0x0380,0x0540,0x07c0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000},
	{0x0000,0x01c0,0x02a0,0x03e0,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000}
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0143,0x0380,0xe56f,0x07d0,0x783c,0x07c0,0x1830,0x07c0,0x1830,0x03c0,0x1c18,0x01f0,0x1e0e,0x0010,0x7c00,0x0000},
	{0xc280,0x01c0,0xf6a7,0x0be0,0x3c1e,0x03e0,0x0c18,0x03e0,0x0c18,0x03c0,0x1838,0x0f80,0x7078,0x0800,0x003e,0x0000}
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x03c3,~0xc7e7,~0xed6f,~0xeffe,~0x7ffc,~0x3ff8,~0x1ff0,~0x1ff0,~0x1ff0,~0x1ff0,~0x1ff8,~0x1ff8,~0x1e7e,~0x1c1e,~0x7c00,~0x7c00},
	{~0xc3c0,~0xe7e3,~0xf6b7,~0x7ff7,~0x3ffe,~0x1ffc,~0x0ff8,~0x0ff8,~0x0ff8,~0x0ff8,~0x1ff8,~0x1ff8,~0x7e78,~0x7838,~0x003e,~0x003e}	
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("mummy2 out of bounds");}

}// end mummy2 light


//===================================================================================================================


void pic_mummy2_dark()
{

	#undef gfx_size
	#define gfx_size 2

	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=4;
	creature_height=14;

	creature_width=14;		
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
	{0x0280,0xc7e7,0x0d40,0xefee,0x07c0,0x3838,0x07c0,0x1830,0x07c0,0x1c30,0x03e0,0x1e08,0x0070,0x1c0e,0x0000,0x7c00},
	{0x0140,0xe7e3,0x02b0,0x77f7,0x03e0,0x1c1c,0x03e0,0x0c18,0x03e0,0x0c38,0x07c0,0x1078,0x0e00,0x7038,0x0000,0x003e} 
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0143,0x0380,0xe56f,0x07d0,0x783c,0x07c0,0x1830,0x07c0,0x1830,0x03c0,0x1c18,0x01f0,0x1e0e,0x0010,0x7c00,0x0000},	
	{0xc280,0x01c0,0xf6a7,0x0be0,0x3c1e,0x03e0,0x0c18,0x03e0,0x0c18,0x03c0,0x1838,0x0f80,0x7078,0x0800,0x003e,0x0000}
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x03c3,~0xc7e7,~0xed6f,~0xeffe,~0x7ffc,~0x3ff8,~0x1ff0,~0x1ff0,~0x1ff0,~0x1ff0,~0x1ff8,~0x1ff8,~0x1e7e,~0x1c1e,~0x7c00,~0x7c00},
	{~0xc3c0,~0xe7e3,~0xf6b7,~0x7ff7,~0x3ffe,~0x1ffc,~0x0ff8,~0x0ff8,~0x0ff8,~0x0ff8,~0x1ff8,~0x1ff8,~0x7e78,~0x7838,~0x003e,~0x003e}	
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("mummy2 out of bounds");}

}// end mummy2


//===================================================================================================================

void pic_slime()
{

	#undef gfx_size
	#define gfx_size 2
	
	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=3;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
	{0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000},
	{0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000}

	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0000,0x03c0,0x07e0,0x05a0,0x0db0,0x0db0,0x0ff0,0x1ff8,0x3ffc,0x7ffe,0x7ffe,0x7ffe,0x7ffe,0x3ffc,0x1ff8,0x0000},	
	{0x03c0,0x07e0,0x05a0,0x05a0,0x0db0,0x0ff0,0x0ff0,0x1ff8,0x1ff8,0x3ffc,0x3ffc,0x3ffc,0x3ffc,0x3ffc,0x1ff8,0x0ff0} 

	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask

	{~0x0000,~0x03c0,~0x07e0,~0x05a0,~0x0db0,~0x0db0,~0x0ff0,~0x1ff8,~0x3ffc,~0x7ffe,~0x7ffe,~0x7ffe,~0x7ffe,~0x3ffc,~0x1ff8,~0x0000},
	{~0x03c0,~0x07e0,~0x05a0,~0x05a0,~0x0db0,~0x0ff0,~0x0ff0,~0x1ff8,~0x1ff8,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x0ff0}	

	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("slime out of bounds");}

}// end slime

//===================================================================================================================

void pic_snake()
{

//=====================================================
//		the snake is unique, b/c it only has left and 
//		right facings, so i copied the left and right
//    facings into the up and down to prevent myself
//		from having to make a special routine to animate
//		the thing, so instead it will use the 8/2 routine.
//=====================================================

	#undef gfx_size
	#define gfx_size 8

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=4;
	creature_height=14;

	creature_width=14;		
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// left light	
		{0x0000,0x0000,0x0600,0x0a00,0x1c00,0x0000,0x0000,0x7800,0x0000,0x0000,0x0600,0x0000,0x0600,0x0000,0x0600,0x0000},
 		{0x0000,0x0000,0x0000,0x0c00,0x1400,0x3800,0x0000,0x0000,0x0000,0x0000,0x0000,0x0c00,0x0000,0x3800,0x0000,0x1800},

	
//	{0x0000,0x0780,0x09c0,0x01c0,0x03e0,0x3ff0,0x13f0,0x01f0,0x1fe0,0x0780,0x0120,0x0f70,0x0972,0x0ff4,0x09dc,0x0798},
//	{0x0000,0x0000,0x0f00,0x1380,0x0380,0x07c0,0x7fe0,0x07e0,0x03e0,0x3fc0,0x0f00,0x0200,0x0670,0x07f8,0x0fcd,0x0706}, 	
	
	// right light
		{0x0000,0x0000,0x0060,0x0050,0x0038,0x0000,0x0000,0x001e,0x0000,0x0000,0x0060,0x0000,0x0060,0x0000,0x0060,0x0000},
		{0x0000,0x0000,0x0000,0x0030,0x0028,0x001c,0x0000,0x0000,0x0000,0x0000,0x0000,0x0030,0x0000,0x001c,0x0000,0x0018},
 
//	{0x0000,0x01e0,0x0390,0x0380,0x07c0,0x0ffc,0x0fc8,0x0f80,0x07f8,0x01e0,0x0480,0x0ef0,0x4e90,0x2ff0,0x3b90,0x19e0},
//	{0x0000,0x0000,0x00f0,0x01c8,0x01c0,0x03e0,0x07fe,0x07e0,0x07c0,0x03fc,0x00f0,0x0040,0x0e60,0x1fe0,0xb3f0,0x60e0},

	// left light	
		{0x0000,0x0000,0x0600,0x0a00,0x1c00,0x0000,0x0000,0x7800,0x0000,0x0000,0x0600,0x0000,0x0600,0x0000,0x0600,0x0000},
 		{0x0000,0x0000,0x0000,0x0c00,0x1400,0x3800,0x0000,0x0000,0x0000,0x0000,0x0000,0x0c00,0x0000,0x3800,0x0000,0x1800},

	
//	{0x0000,0x0780,0x09c0,0x01c0,0x03e0,0x3ff0,0x13f0,0x01f0,0x1fe0,0x0780,0x0120,0x0f70,0x0972,0x0ff4,0x09dc,0x0798},
//	{0x0000,0x0000,0x0f00,0x1380,0x0380,0x07c0,0x7fe0,0x07e0,0x03e0,0x3fc0,0x0f00,0x0200,0x0670,0x07f8,0x0fcd,0x0706}, 	
	
	// right light
		{0x0000,0x0000,0x0060,0x0050,0x0038,0x0000,0x0000,0x001e,0x0000,0x0000,0x0060,0x0000,0x0060,0x0000,0x0060,0x0000},
		{0x0000,0x0000,0x0000,0x0030,0x0028,0x001c,0x0000,0x0000,0x0000,0x0000,0x0000,0x0030,0x0000,0x001c,0x0000,0x0018},
 
//	{0x0000,0x01e0,0x0390,0x0380,0x07c0,0x0ffc,0x0fc8,0x0f80,0x07f8,0x01e0,0x0480,0x0ef0,0x4e90,0x2ff0,0x3b90,0x19e0},
//	{0x0000,0x0000,0x00f0,0x01c8,0x01c0,0x03e0,0x07fe,0x07e0,0x07c0,0x03fc,0x00f0,0x0040,0x0e60,0x1fe0,0xb3f0,0x60e0},	

	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// left dark
		{0x0000,0x0780,0x0fc0,0x0bc0,0x1fe0,0x3ff0,0x03f0,0x79f0,0x1fe0,0x0780,0x0720,0x0970,0x0f72,0x09d4,0x0fcc,0x0488},
 		{0x0000,0x0000,0x0f00,0x1f80,0x1780,0x3fc0,0x7fe0,0x07e0,0x03e0,0x3fc0,0x0f00,0x0e00,0x0670,0x3ff8,0x0fcd,0x1f06}, 	
	
//	{0x0000,0x0000,0x0600,0x0e00,0x1c00,0x0000,0x0000,0x7800,0x0000,0x0000,0x0600,0x0000,0x0600,0x0000,0x0600,0x0000},	
//	{0x0000,0x0000,0x0000,0x0c00,0x1c00,0x3800,0x0000,0x2000,0x0000,0x0000,0x0000,0x0c00,0x1800,0x3800,0x3000,0x1800},
	
	// right dark
		{0x0000,0x01e0,0x03f0,0x03d0,0x07f8,0x0ffc,0x0fc0,0x0f9e,0x07f8,0x01e0,0x04e0,0x0e90,0x4ef0,0x2b90,0x33f0,0x1120},	
		{0x0000,0x0000,0x00f0,0x01f8,0x01e8,0x03fc,0x07fe,0x07e0,0x07c0,0x03fc,0x00f0,0x0070,0x0e60,0x1ffc,0xb3f0,0x60f8},
	
//	{0x0000,0x0000,0x0060,0x0070,0x0038,0x0000,0x0000,0x001e,0x0000,0x0000,0x0060,0x0000,0x0060,0x0000,0x0060,0x0000},
//	{0x0000,0x0000,0x0000,0x0030,0x0038,0x001c,0x0000,0x0004,0x0000,0x0000,0x0000,0x0030,0x0018,0x001c,0x000c,0x0018},
	
	// left dark
		{0x0000,0x0780,0x0fc0,0x0bc0,0x1fe0,0x3ff0,0x03f0,0x79f0,0x1fe0,0x0780,0x0720,0x0970,0x0f72,0x09d4,0x0fcc,0x0488},
 		{0x0000,0x0000,0x0f00,0x1f80,0x1780,0x3fc0,0x7fe0,0x07e0,0x03e0,0x3fc0,0x0f00,0x0e00,0x0670,0x3ff8,0x0fcd,0x1f06}, 	
	
//	{0x0000,0x0000,0x0600,0x0e00,0x1c00,0x0000,0x0000,0x7800,0x0000,0x0000,0x0600,0x0000,0x0600,0x0000,0x0600,0x0000},	
//	{0x0000,0x0000,0x0000,0x0c00,0x1c00,0x3800,0x0000,0x2000,0x0000,0x0000,0x0000,0x0c00,0x1800,0x3800,0x3000,0x1800},
	
	// right dark
		{0x0000,0x01e0,0x03f0,0x03d0,0x07f8,0x0ffc,0x0fc0,0x0f9e,0x07f8,0x01e0,0x04e0,0x0e90,0x4ef0,0x2b90,0x33f0,0x1120},	
		{0x0000,0x0000,0x00f0,0x01f8,0x01e8,0x03fc,0x07fe,0x07e0,0x07c0,0x03fc,0x00f0,0x0070,0x0e60,0x1ffc,0xb3f0,0x60f8},
	
//	{0x0000,0x0000,0x0060,0x0070,0x0038,0x0000,0x0000,0x001e,0x0000,0x0000,0x0060,0x0000,0x0060,0x0000,0x0060,0x0000},
//	{0x0000,0x0000,0x0000,0x0030,0x0038,0x001c,0x0000,0x0004,0x0000,0x0000,0x0000,0x0030,0x0018,0x001c,0x000c,0x0018},
	

	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// left mask
	{~0x0000,~0x0780,~0x0fc0,~0x0fc0,~0x1fe0,~0x3ff0,~0x13f0,~0x79f0,~0x1fe0,~0x0780,~0x0720,~0x0f70,~0x0f72,~0x0ff4,~0x0fdc,~0x0798},
	{~0x0000,~0x0000,~0x0f00,~0x1f80,~0x1f80,~0x3fc0,~0x7fe0,~0x27e0,~0x03e0,~0x3fc0,~0x0f00,~0x0e00,~0x1e70,~0x3ff8,~0x3fcd,~0x1f06},	
	
	// right mask
	{~0x0000,~0x01e0,~0x03f0,~0x03f0,~0x07f8,~0x0ffc,~0x0fc8,~0x0f9e,~0x07f8,~0x01e0,~0x04e0,~0x0ef0,~0x4ef0,~0x2ff0,~0x3bf0,~0x19e0},
	{~0x0000,~0x0000,~0x00f0,~0x01f8,~0x01f8,~0x03fc,~0x07fe,~0x07e4,~0x07c0,~0x03fc,~0x00f0,~0x0070,~0x0e78,~0x1ffc,~0xb3fc,~0x60f8},	
	
	// left mask
	{~0x0000,~0x0780,~0x0fc0,~0x0fc0,~0x1fe0,~0x3ff0,~0x13f0,~0x79f0,~0x1fe0,~0x0780,~0x0720,~0x0f70,~0x0f72,~0x0ff4,~0x0fdc,~0x0798},
	{~0x0000,~0x0000,~0x0f00,~0x1f80,~0x1f80,~0x3fc0,~0x7fe0,~0x27e0,~0x03e0,~0x3fc0,~0x0f00,~0x0e00,~0x1e70,~0x3ff8,~0x3fcd,~0x1f06},	
	
	// right mask
	{~0x0000,~0x01e0,~0x03f0,~0x03f0,~0x07f8,~0x0ffc,~0x0fc8,~0x0f9e,~0x07f8,~0x01e0,~0x04e0,~0x0ef0,~0x4ef0,~0x2ff0,~0x3bf0,~0x19e0},
	{~0x0000,~0x0000,~0x00f0,~0x01f8,~0x01f8,~0x03fc,~0x07fe,~0x07e4,~0x07c0,~0x03fc,~0x00f0,~0x0070,~0x0e78,~0x1ffc,~0xb3fc,~0x60f8}	

	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("snake out of bounds");}

}// end snake


//===================================================================================================================

void pic_spider()
{

	#undef gfx_size
	#define gfx_size 2
	
	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=5;
	creature_height=14;

	creature_width=14;		
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
	{0x0000,0x0000,0x0000,0x0000,0x03c0,0x0db0,0x1ff8,0x3ffc,0x37ec,0x3ffc,0x0810,0x0810,0x0c30,0x07e0,0x0000,0x0000},
	{0x0000,0x03c0,0x0db0,0x0ff0,0x1ff8,0x17e8,0x3ffc,0x381c,0x0810,0x0c30,0x07e0,0x0000,0x0000,0x0000,0x0000,0x0000}

	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0000,0x0000,0x0000,0x0000,0xe007,0xb24d,0x8001,0x8001,0x8811,0x0000,0xf18f,0xb18d,0x8001,0x8001,0x8241,0x8001},	
	{0x0000,0x0000,0x0240,0x1008,0x2004,0x6816,0x4002,0x4182,0x9189,0x300c,0x700e,0x4242,0x4002,0x4002,0x4002,0x8001}

	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x0000,~0x0000,~0x0000,~0x0000,~0xe3c7,~0xbffd,~0x9ff9,~0xbffd,~0xbffd,~0x3ffc,~0xf99f,~0xb99d,~0x8c31,~0x87e1,~0x8241,~0x8001},	
	{~0x0000,~0x03c0,~0x0ff0,~0x1ff8,~0x3ffc,~0x7ffe,~0x7ffe,~0x799e,~0x9999,~0x3c3c,~0x77ee,~0x4242,~0x4002,~0x4002,~0x4002,~0x8001}

	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("spider out of bounds");}

}// end spider

//===================================================================================================================


void pic_wizard_dark()
{

	#undef gfx_size
	#define gfx_size 8

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=4;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
		{0x0000,0xc003,0x8001,0x9009,0x1008,0x1008,0x0810,0x0810,0x0420,0x0240,0x0180,0x1008,0x1008,0x0000,0x0000,0x0000},
 		{0x0000,0x0000,0xc003,0x8001,0x9009,0x1008,0x1008,0x0810,0x0810,0x0420,0x0240,0x0180,0x1008,0x1008,0x0000,0x0000}, 
	
//	{0x03c0,0xc7e3,0xeff7,0xeff7,0x6ff6,0x6ff6,0x77ee,0x37ec,0x3bdc,0x3dbc,0x3e7c,0x2ff4,0x2ff4,0x1ff8,0x3ffc,0x3ffc},
//	{0x0000,0x03c0,0xc7e3,0xeff7,0xeff7,0x6ff6,0x6ff6,0x77ee,0x37ec,0x3bdc,0x3dbc,0x3e7c,0x2ff4,0x2ff4,0x1ff8,0x7ffe},

	// down light
		{0x0000,0x0000,0xc003,0x83c1,0x95a9,0x15a8,0x1008,0x0810,0x0810,0x0990,0x0810,0x1008,0x1008,0x1008,0x0000,0x0000},
 		{0x0000,0xc003,0x83c1,0x95a9,0x15a8,0x1008,0x0810,0x0810,0x0990,0x0810,0x1008,0x1008,0x1008,0x0000,0x0000,0x0000}, 	
	
//	{0x0000,0x03c0,0xc7e3,0xec37,0xe817,0x6816,0x6ff6,0x77ee,0x366c,0x342c,0x366c,0x2ff4,0x2ff4,0x2ff4,0x1ff8,0x7ffe},	
//	{0x03c0,0xc7e3,0xec37,0xe817,0x6816,0x6ff6,0x77ee,0x366c,0x342c,0x366c,0x2ff4,0x2ff4,0x2ff4,0x1ff8,0x3ffc,0x3ffc}, 
	
	// left light
		{0x0000,0x0000,0x0000,0x4000,0x4786,0x4ace,0x4adc,0x0008,0x0008,0x0008,0x0200,0x0020,0x0020,0x0020,0x0010,0x0000},
 		{0x0000,0x0000,0x4000,0x4786,0x4ace,0x4adc,0x0008,0x0008,0x0008,0x0200,0x0020,0x0020,0x0020,0x0010,0x0008,0x0000},
 	
	
//	{0x0000,0x03e0,0x07f8,0x4ffc,0x687e,0x3036,0x3026,0x3ff4,0x3ff4,0x3df4,0x18f8,0x1dd8,0x1fd8,0x3fd0,0x3fe0,0xfffc},
//	{0x03e0,0x07f8,0x4ffc,0x687e,0x3036,0x3026,0x3ff4,0x3ff4,0x3df4,0x18f8,0x1dd8,0x1fd8,0x3fd0,0x3fe0,0x7ff0,0x7ff8},
	
	// right light
		{0x0000,0x0000,0x0000,0x0002,0x61e2,0x7352,0x3b52,0x1000,0x1000,0x1000,0x0040,0x0400,0x0400,0x0400,0x0800,0x0000},
		{0x0000,0x0000,0x0002,0x61e2,0x7352,0x3b52,0x1000,0x1000,0x1000,0x0040,0x0400,0x0400,0x0400,0x0800,0x1000,0x0000},
	
//	{0x0000,0x07c0,0x1fe0,0x3ff2,0x7e16,0x6c0c,0x640c,0x2ffc,0x2ffc,0x2fbc,0x1f18,0x1bb8,0x1bf8,0x0bfc,0x07fc,0x3fff},
//	{0x07c0,0x1fe0,0x3ff2,0x7e16,0x6c0c,0x640c,0x2ffc,0x2ffc,0x2fbc,0x1f18,0x1bb8,0x1bf8,0x0bfc,0x07fc,0x0ffe,0x1ffe}
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
		{0x03c0,0xc7e3,0xeff7,0xffff,0x7ffe,0x7ffe,0x7ffe,0x3ffc,0x3ffc,0x3ffc,0x3ffc,0x3ffc,0x3ffc,0x1ff8,0x3ffc,0x3ffc},
		{0x0000,0x03c0,0xc7e3,0xeff7,0xffff,0x7ffe,0x7ffe,0x7ffe,0x3ffc,0x3ffc,0x3ffc,0x3ffc,0x3ffc,0x3ffc,0x1ff8,0x7ffe}, 	
	
//	{0x0000,0xc003,0x8001,0x9009,0x1008,0x1008,0x0810,0x0810,0x0420,0x0240,0x0180,0x1008,0x1008,0x0000,0x0000,0x0000},	
//	{0x0000,0x0000,0xc003,0x8001,0x9009,0x1008,0x1008,0x0810,0x0810,0x0420,0x0240,0x0180,0x1008,0x1008,0x0000,0x0000},
	
	// down dark
		{0x0000,0x03c0,0xc7e3,0xeff7,0xfdbf,0x7dbe,0x7ffe,0x7ffe,0x3e7c,0x3dbc,0x3e7c,0x3ffc,0x3ffc,0x3ffc,0x1ff8,0x7ffe},
		{0x03c0,0xc7e3,0xeff7,0xfdbf,0x7dbe,0x7ffe,0x7ffe,0x3e7c,0x3dbc,0x3e7c,0x3ffc,0x3ffc,0x3ffc,0x1ff8,0x3ffc,0x3ffc}, 
 
	
//	{0x0000,0x0000,0xc003,0x83c1,0x95a9,0x15a8,0x1008,0x0810,0x0810,0x0990,0x0810,0x1008,0x1008,0x1008,0x0000,0x0000},	
//	{0x0000,0xc003,0x83c1,0x95a9,0x15a8,0x1008,0x0810,0x0810,0x0990,0x0810,0x1008,0x1008,0x1008,0x0000,0x0000,0x0000},
	
	// left dark
		{0x0000,0x03e0,0x07f8,0x4ffc,0x6ffe,0x7afe,0x7afe,0x3ffc,0x3ffc,0x3dfc,0x1af8,0x1df8,0x1ff8,0x3ff0,0x3ff0,0xfffc},
 		{0x03e0,0x07f8,0x4ffc,0x6ffe,0x7afe,0x7afe,0x3ffc,0x3ffc,0x3dfc,0x1af8,0x1df8,0x1ff8,0x3ff0,0x3ff0,0x7ff8,0x7ff8},	
	
//	{0x0000,0x0000,0x0000,0x4000,0x4786,0x4ace,0x4adc,0x0008,0x0008,0x0008,0x0200,0x0020,0x0020,0x0020,0x0010,0x0000},	
//	{0x0000,0x0000,0x4000,0x4786,0x4ace,0x4adc,0x0008,0x0008,0x0008,0x0200,0x0020,0x0020,0x0020,0x0010,0x0008,0x0000},
	
	// right dark
		{0x0000,0x07c0,0x1fe0,0x3ff2,0x7ff6,0x7f5e,0x7f5e,0x3ffc,0x3ffc,0x3fbc,0x1f58,0x1fb8,0x1ff8,0x0ffc,0x0ffc,0x3fff},
 		{0x07c0,0x1fe0,0x3ff2,0x7ff6,0x7f5e,0x7f5e,0x3ffc,0x3ffc,0x3fbc,0x1f58,0x1fb8,0x1ff8,0x0ffc,0x0ffc,0x1ffe,0x1ffe}, 	
	
//	{0x0000,0x0000,0x0000,0x0002,0x61e2,0x7352,0x3b52,0x1000,0x1000,0x1000,0x0040,0x0400,0x0400,0x0400,0x0800,0x0000},
//	{0x0000,0x0000,0x0002,0x61e2,0x7352,0x3b52,0x1000,0x1000,0x1000,0x0040,0x0400,0x0400,0x0400,0x0800,0x1000,0x0000}

	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x03c0,~0xc7e3,~0xeff7,~0xffff,~0x7ffe,~0x7ffe,~0x7ffe,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x3ffc,~0x3ffc},
	{~0x0000,~0x03c0,~0xc7e3,~0xeff7,~0xffff,~0x7ffe,~0x7ffe,~0x7ffe,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x7ffe}, 	
	
	// down mask
	{~0x0000,~0x03c0,~0xc7e3,~0xeff7,~0xfdbf,~0x7dbe,~0x7ffe,~0x7ffe,~0x3e7c,~0x3dbc,~0x3e7c,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x7ffe},	
	{~0x03c0,~0xc7e3,~0xeff7,~0xfdbf,~0x7dbe,~0x7ffe,~0x7ffe,~0x3e7c,~0x3dbc,~0x3e7c,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x3ffc,~0x3ffc},
	
	// left mask
	{~0x0000,~0x03e0,~0x07f8,~0x4ffc,~0x6ffe,~0x7afe,~0x7afe,~0x3ffc,~0x3ffc,~0x3dfc,~0x1af8,~0x1df8,~0x1ff8,~0x3ff0,~0x3ff0,~0xfffc},
	{~0x03e0,~0x07f8,~0x4ffc,~0x6ffe,~0x7afe,~0x7afe,~0x3ffc,~0x3ffc,~0x3dfc,~0x1af8,~0x1df8,~0x1ff8,~0x3ff0,~0x3ff0,~0x7ff8,~0x7ff8},
	
	// right mask
	{~0x0000,~0x07c0,~0x1fe0,~0x3ff2,~0x7ff6,~0x7f5e,~0x7f5e,~0x3ffc,~0x3ffc,~0x3fbc,~0x1f58,~0x1fb8,~0x1ff8,~0x0ffc,~0x0ffc,~0x3fff},
	{~0x07c0,~0x1fe0,~0x3ff2,~0x7ff6,~0x7f5e,~0x7f5e,~0x3ffc,~0x3ffc,~0x3fbc,~0x1f58,~0x1fb8,~0x1ff8,~0x0ffc,~0x0ffc,~0x1ffe,~0x1ffe}
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("wizard out of bounds");}

}// end wizard

/*

void pic_wizard_light()
{

	#undef gfx_size
	#define gfx_size 8

	num_of_sprites=gfx_size; num_of_walk_sprites=2;
	creature_animation_speed=4;
	creature_height=14;

	creature_width=14;	
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
	
	
	{0x03c0,0xc7e3,0xeff7,0xeff7,0x6ff6,0x6ff6,0x77ee,0x37ec,0x3bdc,0x3dbc,0x3e7c,0x2ff4,0x2ff4,0x1ff8,0x3ffc,0x3ffc},
	{0x0000,0x03c0,0xc7e3,0xeff7,0xeff7,0x6ff6,0x6ff6,0x77ee,0x37ec,0x3bdc,0x3dbc,0x3e7c,0x2ff4,0x2ff4,0x1ff8,0x7ffe},

	// down light
	{0x0000,0x03c0,0xc7e3,0xec37,0xe817,0x6816,0x6ff6,0x77ee,0x366c,0x342c,0x366c,0x2ff4,0x2ff4,0x2ff4,0x1ff8,0x7ffe},	
	{0x03c0,0xc7e3,0xec37,0xe817,0x6816,0x6ff6,0x77ee,0x366c,0x342c,0x366c,0x2ff4,0x2ff4,0x2ff4,0x1ff8,0x3ffc,0x3ffc}, 
	
	// left light
	{0x0000,0x03e0,0x07f8,0x4ffc,0x687e,0x3036,0x3026,0x3ff4,0x3ff4,0x3df4,0x18f8,0x1dd8,0x1fd8,0x3fd0,0x3fe0,0xfffc},
	{0x03e0,0x07f8,0x4ffc,0x687e,0x3036,0x3026,0x3ff4,0x3ff4,0x3df4,0x18f8,0x1dd8,0x1fd8,0x3fd0,0x3fe0,0x7ff0,0x7ff8},
	
	// right light
	{0x0000,0x07c0,0x1fe0,0x3ff2,0x7e16,0x6c0c,0x640c,0x2ffc,0x2ffc,0x2fbc,0x1f18,0x1bb8,0x1bf8,0x0bfc,0x07fc,0x3fff},
	{0x07c0,0x1fe0,0x3ff2,0x7e16,0x6c0c,0x640c,0x2ffc,0x2ffc,0x2fbc,0x1f18,0x1bb8,0x1bf8,0x0bfc,0x07fc,0x0ffe,0x1ffe}
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0000,0xc003,0x8001,0x9009,0x1008,0x1008,0x0810,0x0810,0x0420,0x0240,0x0180,0x1008,0x1008,0x0000,0x0000,0x0000},	
	{0x0000,0x0000,0xc003,0x8001,0x9009,0x1008,0x1008,0x0810,0x0810,0x0420,0x0240,0x0180,0x1008,0x1008,0x0000,0x0000},
	
	// down dark
	{0x0000,0x0000,0xc003,0x83c1,0x95a9,0x15a8,0x1008,0x0810,0x0810,0x0990,0x0810,0x1008,0x1008,0x1008,0x0000,0x0000},	
	{0x0000,0xc003,0x83c1,0x95a9,0x15a8,0x1008,0x0810,0x0810,0x0990,0x0810,0x1008,0x1008,0x1008,0x0000,0x0000,0x0000},
	
	// left dark
	{0x0000,0x0000,0x0000,0x4000,0x4786,0x4ace,0x4adc,0x0008,0x0008,0x0008,0x0200,0x0020,0x0020,0x0020,0x0010,0x0000},	
	{0x0000,0x0000,0x4000,0x4786,0x4ace,0x4adc,0x0008,0x0008,0x0008,0x0200,0x0020,0x0020,0x0020,0x0010,0x0008,0x0000},
	
	// right dark
	{0x0000,0x0000,0x0000,0x0002,0x61e2,0x7352,0x3b52,0x1000,0x1000,0x1000,0x0040,0x0400,0x0400,0x0400,0x0800,0x0000},
	{0x0000,0x0000,0x0002,0x61e2,0x7352,0x3b52,0x1000,0x1000,0x1000,0x0040,0x0400,0x0400,0x0400,0x0800,0x1000,0x0000}

	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x03c0,~0xc7e3,~0xeff7,~0xffff,~0x7ffe,~0x7ffe,~0x7ffe,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x3ffc,~0x3ffc},
	{~0x0000,~0x03c0,~0xc7e3,~0xeff7,~0xffff,~0x7ffe,~0x7ffe,~0x7ffe,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x7ffe}, 	
	
	// down mask
	{~0x0000,~0x03c0,~0xc7e3,~0xeff7,~0xfdbf,~0x7dbe,~0x7ffe,~0x7ffe,~0x3e7c,~0x3dbc,~0x3e7c,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x7ffe},	
	{~0x03c0,~0xc7e3,~0xeff7,~0xfdbf,~0x7dbe,~0x7ffe,~0x7ffe,~0x3e7c,~0x3dbc,~0x3e7c,~0x3ffc,~0x3ffc,~0x3ffc,~0x1ff8,~0x3ffc,~0x3ffc},
	
	// left mask
	{~0x0000,~0x03e0,~0x07f8,~0x4ffc,~0x6ffe,~0x7afe,~0x7afe,~0x3ffc,~0x3ffc,~0x3dfc,~0x1af8,~0x1df8,~0x1ff8,~0x3ff0,~0x3ff0,~0xfffc},
	{~0x03e0,~0x07f8,~0x4ffc,~0x6ffe,~0x7afe,~0x7afe,~0x3ffc,~0x3ffc,~0x3dfc,~0x1af8,~0x1df8,~0x1ff8,~0x3ff0,~0x3ff0,~0x7ff8,~0x7ff8},
	
	// right mask
	{~0x0000,~0x07c0,~0x1fe0,~0x3ff2,~0x7ff6,~0x7f5e,~0x7f5e,~0x3ffc,~0x3ffc,~0x3fbc,~0x1f58,~0x1fb8,~0x1ff8,~0x0ffc,~0x0ffc,~0x3fff},
	{~0x07c0,~0x1fe0,~0x3ff2,~0x7ff6,~0x7f5e,~0x7f5e,~0x3ffc,~0x3ffc,~0x3fbc,~0x1f58,~0x1fb8,~0x1ff8,~0x0ffc,~0x0ffc,~0x1ffe,~0x1ffe}
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("wizard out of bounds");}

}// end wizard*/