// C Source File
// Created 2/3/2013; 5:23:09 AM

#include <tigcclib.h>
#include "new_mobs.h"

extern unsigned short mob_pic_light_any[mob_gfx_list_size][16];
extern unsigned short mob_pic_dark_any[mob_gfx_list_size][16];
extern unsigned short mob_pic_mask_any[mob_gfx_list_size][16];
extern int loc_in_pic_arr, mob_location;
extern int num_of_sprites, num_of_walk_sprites, creature_width, creature_height,creature_animation_speed;
//===================================================================================================================

void pic_spike2()// this is the original zelda spike, not the urchin.
{

	#undef gfx_size
	#define gfx_size 1

	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=0;
	creature_height=14;

	creature_width=14;
	
	if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[16]=// for the light

	// up light
	{0x0240,0x0240,0x0240,0x0240,0x0ff0,0x0ff0,0xffff,0x0ff0,0x0ff0,0xffff,0x0ff0,0x0ff0,0x0240,0x0240,0x0240,0x0240};

	static unsigned short tmp_d[16]=// for the dark
	
	// up dark
	{0x0000,0x0000,0x0000,0x0000,0x07e0,0x0bd0,0x0c30,0x0c30,0x0c30,0x0c30,0x0bd0,0x07e0,0x0000,0x0000,0x0000,0x0000};	
	

	static unsigned short tmp_m[16]=// for the mask
	
	{0x0240,0x0240,0x0240,0x0240,0x0ff0,0x0ff0,0xffff,0x0ff0,0x0ff0,0xffff,0x0ff0,0x0ff0,0x0240,0x0240,0x0240,0x0240};
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while i
		if (oob){printf("spike2 out of bounds");}

}// end spike2



//===================================================================================================================


void pic_pede_head()
{


	#undef gfx_size
	#define gfx_size 2
	
	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=4;
	creature_height=8;

	creature_width=8;
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
	{0x0000,0x0c30,0x0420,0x0000,0x0180,0x03c0,0x03c0,0x03c0,0x03c0,0x03c0,0x03c0,0x0180,0x0000,0x0420,0x0c30,0x0000},
	{0x0420,0x0420,0x0420,0x0000,0x0180,0x03c0,0x03c0,0x03c0,0x03c0,0x03c0,0x03c0,0x0180,0x0000,0x0420,0x0420,0x0420},


	// down light
	
	
	// left light
	
	
	// right light
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
	{0x0000,0x0000,0x03c0,0x07e0,0x0660,0x0c30,0x0db0,0x0db0,0x0db0,0x0db0,0x0c30,0x0660,0x07e0,0x03c0,0x0000,0x0000},
	{0x0000,0x0000,0x03c0,0x07e0,0x0660,0x0c30,0x0db0,0x0db0,0x0db0,0x0db0,0x0c30,0x0660,0x07e0,0x03c0,0x0000,0x0000}, 
 	
	// down dark
	
	
	// left dark
	
	
	// right dark
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
	{~0x0000,~0x0c30,~0x07e0,~0x07e0,~0x07e0,~0x0ff0,~0x0ff0,~0x0ff0,~0x0ff0,~0x0ff0,~0x0ff0,~0x07e0,~0x07e0,~0x07e0,~0x0c30,~0x0000},
	{~0x0420,~0x0420,~0x07e0,~0x07e0,~0x07e0,~0x0ff0,~0x0ff0,~0x0ff0,~0x0ff0,~0x0ff0,~0x0ff0,~0x07e0,~0x07e0,~0x07e0,~0x0420,~0x0420},
  	
	// down mask
	
	
	// left mask
	
	
	// right mask
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("pede head out of bounds");}

}// end pede head


//===================================================================================================================


void pic_pede_body()
{


	#undef gfx_size
	#define gfx_size 2

	num_of_sprites=gfx_size; num_of_walk_sprites=1;
	creature_animation_speed=4;
	creature_height=8;

	creature_width=8;
	
		if ((loc_in_pic_arr+gfx_size)>mob_gfx_list_size){return;}// dont write if the stated area goes out of bounds
	static unsigned short tmp_l[gfx_size][16]={// for the light

	// up light
{0x0300,0x0180,0x0080,0x0000,0x0280,0x01c0,0x03c0,0x0180,0x03c0,0x01c0,0x0380,0x0140,0x0000,0x0100,0x0180,0x00c0},
{0x0180,0x0300,0x0200,0x0000,0x0280,0x01c0,0x03c0,0x0180,0x03c0,0x01c0,0x0380,0x0140,0x0000,0x0040,0x00c0,0x0180},
 

	// down light
	
	
	// left light
	
	
	// right light
	
	};// end light
	
	static unsigned short tmp_d[gfx_size][16]={// for the dark
	
	// up dark
{0x0300,0x0180,0x02c0,0x07e0,0x0560,0x0e30,0x0420,0x0e70,0x0c30,0x0620,0x0c70,0x06a0,0x07e0,0x0340,0x0180,0x00c0},
{0x0180,0x0300,0x02c0,0x07e0,0x0560,0x0e30,0x0420,0x0e70,0x0c30,0x0620,0x0c70,0x06a0,0x07e0,0x0340,0x00c0,0x0180}, 	
	
	// down dark
	
	
	// left dark
	
	
	// right dark
	
	};// end dark	
	
	static unsigned short tmp_m[gfx_size][16]={// for the mask
	
	// up mask
{~0x0300,~0x0180,~0x02c0,~0x07e0,~0x07e0,~0x0ff0,~0x07e0,~0x0ff0,~0x0ff0,~0x07e0,~0x0ff0,~0x07e0,~0x07e0,~0x0340,~0x0180,~0x00c0},
{~0x0180,~0x0300,~0x02c0,~0x07e0,~0x07e0,~0x0ff0,~0x07e0,~0x0ff0,~0x0ff0,~0x07e0,~0x0ff0,~0x07e0,~0x07e0,~0x0340,~0x00c0,~0x0180}, 
	
	// down mask
	
	
	// left mask
	
	
	// right mask
	
	};	// end mask
	
	int k=0,p=0,oob=FALSE;
	while (p<gfx_size)
	{
		while (k<16)
		{
			if (loc_in_pic_arr<mob_gfx_list_size){
				mob_pic_light_any[loc_in_pic_arr][k]=tmp_l[p][k];
				mob_pic_dark_any[loc_in_pic_arr][k]=tmp_d[p][k];
				mob_pic_mask_any[loc_in_pic_arr][k]=tmp_m[p][k];
				}else{oob=TRUE;p=gfx_size;}
			k++;
		}// end while k
		k=0;p++;loc_in_pic_arr++;
	}// end while p
		if (oob){printf("pede body out of bounds");}

}// end pede body


//===================================================================================================================


//===================================================================================================================


//===================================================================================================================


//===================================================================================================================


//===================================================================================================================


//===================================================================================================================


//===================================================================================================================