// C Source File
// Created 2/3/2013; 9:46:48 AM

#include <tigcclib.h>
#include "defines.h"
#include "new_worlds.h"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//										remember, you can only modify these files in this routine
//
///////////////////////////////////////////////////////////////////////////////////////////////////////////////
//#define create_warp_same_map(loc, mapx, mapy, x_sprite, y_sprite, return_dir, to_mapx, to_mapy, to_x_sprite, to_y_sprite, return_start_dir)  create_warp_point_set(loc, mapx, mapy, x_sprite, y_sprite, return_dir, same_map, 0, same_map, 0, to_mapx, to_mapy, to_x_sprite, to_y_sprite, return_start_dir)





///////////////////////////////////////////////////////////////////////////////////////////////////////////////
/*
							set_warps():
							use set_warp_point() or create_warp_point_set() in order to create a set of warp points.
							this just calls those functions, instead of manually modifing an array to hold all the warping
							info.  this makes things easer to manage, create, and modify.
							- you can only have a max of 11 spots at this point and time. - this can be changed in the 
							defines.h file. 	search for #define warp_points.  remember that the define file is attached to
							the zelda and ezelda files, so if you change this define then it will auto change everything to
							work correctly, so no code changes are necessary - only a recompile is.
							- the switch() statement is used for the file id# you want to use.  
							- example: if you call: create_warp_file(2), then "case 2:" in set_warps() will be called.  this will execute each
							set_warp_point() inside of it, therefore filling the warp point array with warp points.  then the 
							array will be saved.
							- only modify the switch statement.  dont modify anything else.		
							- at the end of each case statment, you will need to add "create=TRUE;" if you want to have the 
									warp file created. - this will allow you to call create_warp_file() in a loop to auto create all warp files
									for you.

							syntax for the set_warp_point:
							
			void set_warp_point(int loc, int mapx, int mapy, int x_sprite, int y_sprite, int to_ow,	int to_map, 
													int to_map_x, int to_map_y, int to_sprite_x, int to_sprite_y)

			create_warp_point_set(loc, mapx, mapy, x_sprite, y_sprite, return_dir, return_ow, return_map, to_ow, 
														to_map, to_map_x, to_map_y, to_sprite_x, to_sprite_y, return_start_dir)
								
								- create_warp_point_set() creates 2 warp points - one to room "A" and then a return warp from
										room "A" back to room "B".  this is usually used for stairs, or a place where there is an
										entrance and exit from the same place.


*/
///////////////////////////////////////////////////////////////////////////////////////////////////////////////

void create_warp_same_map(int loc, int mapx,int mapy, int x_sprite, int y_sprite, int return_dir, 
													int	to_mapx, int to_mapy, int to_x_sprite, int to_y_sprite, int return_start_dir)
{
	create_warp_point_set(loc, mapx, mapy, x_sprite, y_sprite, return_dir, same_map, 0, same_map, 0, to_mapx, to_mapy, to_x_sprite, to_y_sprite, return_start_dir);
}// end create warp point


int set_warps(int i)
{

}// end set warps	

	
///////////////////////////////////////////////////////////////////////////////////////////////////////////////
/*
void create_warp_point_set(int loc, int mapx, int mapy, int x_sprite, int y_sprite, int return_dir, int return_ow, int return_map,
										int to_ow, int to_map,int to_map_x, int to_map_y, int to_sprite_x, int to_sprite_y, int return_start_dir)

create_warp_same_map(loc, mapx, mapy, x_sprite, y_sprite, return_dir, to_mapx, to_mapy, to_x_sprite, to_y_sprite, return_start_dir) 

x=up/down
y=l/r

mapx/y=8x8 world map
x/y_sprite =8x10 room map 

define get_mob_stat(who, stat) g_mob_list(who,stat)
*/
///////////////////////////////////////////////////////////////////////////////////////////////////////////////



///////////////////////////////////////////////////////////////////////////////////////////////////////////////
/*


*/
///////////////////////////////////////////////////////////////////////////////////////////////////////////////



///////////////////////////////////////////////////////////////////////////////////////////////////////////////
/*
				old warp points:

*/
///////////////////////////////////////////////////////////////////////////////////////////////////////////////	
	
				//	set_warp_point(1, mx, my, sx, sy, 2, RS, x, y, 5,5);
			//	set_warp_point(1, mx, my, sx, sy, 2, RS, x, y, 5,5);
			//	set_warp_point(1, mx, my, sx, sy, 2, RS, x, y, 5,5);
// remember: world[mapx][mapy] and room[y_sprite][x_sprite] 
//create_warp_point_set(loc, mapx, mapy, x_sprite, y_sprite, return_dir, return_ow, return_rset, to_ow, 
//												to_rset, to_map_x, to_map_y, to_sprite_x, to_sprite_y, return_start_dir)				

			//	set_warp_point(0,  46, 14-4, 14+10+4,  16,  16+7,100, 0,  0,  1*16-2,  4*16);//39->5 - 301
			//	set_warp_point(1,  400, 0, 12,  4*16-4,  4*16+6+4,4, 7,  4,  1*16,  28);//39->5 - 301
					
		
		//		set_warp_point(2,  200, 5*16-4, 5*16+20,  7*16,  9*16, 4, 0,  4,  140,  90);//39->5 - 301
	
		//		set_warp_point(3,  218, 16-2, 2*16-6, 16-2, 2*16+2, 200,  0,0,  2*16, 6*16); 
		//		set_warp_point(4,  216, 16-2, 2*16-6, 6*16-2, 7*16+2, 200, 4,1 ,2*16, 16);
				
		//		set_warp_point(5,  215, 8*16-2, 9*16+2, 16-6, 18, 200, 7,7, 7*16, 6*16);
		//		set_warp_point(6,  221, 8*16-2, 9*16+2, 6*16-6, 6*16+4, 200, 1,6 , 7*16, 16);
		
			//17,21
//				set_warp_point(7,  37, 4*16-4, 5*16+4, 0, 7, 202, 7,2, 4*16, 7*16-8);
//				set_warp_point(8,  276, 4*16-4, 5*16+4, 7*16, 8*16+8, 4, 6,2, 4*16, 16); 

			
//				set_warp_point(9,  266, 8*16-4, 9*16-4, 6*16-2, 7*16, 202, 0, 6, 2*16+4, 16);
//				set_warp_point(10, 252, 16-4, 16+8, 16-4, 16+8, 202, 4, 3, 7*16-4, 6*16);//
				
			//	set_warp_point(11, 258, 8*16-4, 9*16-4, 1*16-8, 16+2, 202, 6, 0, 7*16-4, 6*16);
			//	set_warp_point(12, 272, 8*16-4, 9*16-4, 6*16-8, 7*16, 202, 2, 5, 7*16-4, 16);
	//	(3,4 ) 266 8x6
	//	(5,2)  258 8x1
			//	215 8,1 221 7,6
			
		//	37  4,0 ->4,1   6,2   276
	